clan::GLFunctions Class Reference - ClanLib SDK
Description: clan::GLFunctions Class Reference

Public Types | Public Attributes | List of all members
clan::GLFunctions Class Reference
clanGL System

GLFunctions. More...

`#include <opengl_wrap.h>`

## Public Types
typedef void(GLFUNC * | ptr_glActiveShaderProgram) (GLuint pipeline, GLuint program)
typedef void(GLFUNC * | ptr_glActiveTexture) (GLenum texture)
typedef void(GLFUNC * | ptr_glAttachShader) (GLuint program, GLuint shader)
typedef void(GLFUNC * | ptr_glBeginConditionalRender) (GLuint id, GLenum mode)
typedef void(GLFUNC * | ptr_glBeginQuery) (GLenum target, GLuint id)
typedef void(GLFUNC * | ptr_glBeginQueryIndexed) (GLenum target, GLuint index, GLuint id)
typedef void(GLFUNC * | ptr_glBeginTransformFeedback) (GLenum primitiveMode)
typedef void(GLFUNC * | ptr_glBindAttribLocation) (GLuint program, GLuint index, const GLchar *name)
typedef void(GLFUNC * | ptr_glBindBuffer) (GLenum target, GLuint buffer)
typedef void(GLFUNC * | ptr_glBindBufferBase) (GLenum target, GLuint index, GLuint buffer)
typedef void(GLFUNC * | ptr_glBindBufferRange) (GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
typedef void(GLFUNC * | ptr_glBindBuffersBase) (GLenum target, GLuint first, GLsizei count, const GLuint *buffers)
typedef void(GLFUNC * | ptr_glBindBuffersRange) (GLenum target, GLuint first, GLsizei count, const GLuint *buffers, const GLintptr *offsets, const GLsizeiptr *sizes)
typedef void(GLFUNC * | ptr_glBindFragDataLocation) (GLuint program, GLuint color, const GLchar *name)
typedef void(GLFUNC * | ptr_glBindFragDataLocationIndexed) (GLuint program, GLuint colorNumber, GLuint index, const GLchar *name)
typedef void(GLFUNC * | ptr_glBindFramebuffer) (GLenum target, GLuint framebuffer)
typedef void(GLFUNC * | ptr_glBindImageTexture) (GLuint unit, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLenum format)
typedef void(GLFUNC * | ptr_glBindImageTextures) (GLuint first, GLsizei count, const GLuint *textures)
typedef void(GLFUNC * | ptr_glBindProgramPipeline) (GLuint pipeline)
typedef void(GLFUNC * | ptr_glBindRenderbuffer) (GLenum target, GLuint renderbuffer)
typedef void(GLFUNC * | ptr_glBindSampler) (GLuint unit, GLuint sampler)
typedef void(GLFUNC * | ptr_glBindSamplers) (GLuint first, GLsizei count, const GLuint *samplers)
typedef void(GLFUNC * | ptr_glBindTexture) (GLenum target, GLuint texture)
typedef void(GLFUNC * | ptr_glBindTextures) (GLuint first, GLsizei count, const GLuint *textures)
typedef void(GLFUNC * | ptr_glBindTextureUnit) (GLuint unit, GLuint texture)
typedef void(GLFUNC * | ptr_glBindTransformFeedback) (GLenum target, GLuint id)
typedef void(GLFUNC * | ptr_glBindVertexArray) (GLuint array)
typedef void(GLFUNC * | ptr_glBindVertexBuffer) (GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)
typedef void(GLFUNC * | ptr_glBindVertexBuffers) (GLuint first, GLsizei count, const GLuint *buffers, const GLintptr *offsets, const GLsizei *strides)
typedef void(GLFUNC * | ptr_glBlendColor) (GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
typedef void(GLFUNC * | ptr_glBlendEquation) (GLenum mode)
typedef void(GLFUNC * | ptr_glBlendEquationi) (GLuint buf, GLenum mode)
typedef void(GLFUNC * | ptr_glBlendEquationiARB) (GLuint buf, GLenum mode)
typedef void(GLFUNC * | ptr_glBlendEquationSeparate) (GLenum modeRGB, GLenum modeAlpha)
typedef void(GLFUNC * | ptr_glBlendEquationSeparatei) (GLuint buf, GLenum modeRGB, GLenum modeAlpha)
typedef void(GLFUNC * | ptr_glBlendEquationSeparateiARB) (GLuint buf, GLenum modeRGB, GLenum modeAlpha)
typedef void(GLFUNC * | ptr_glBlendFunc) (GLenum sfactor, GLenum dfactor)
typedef void(GLFUNC * | ptr_glBlendFunci) (GLuint buf, GLenum src, GLenum dst)
typedef void(GLFUNC * | ptr_glBlendFunciARB) (GLuint buf, GLenum src, GLenum dst)
typedef void(GLFUNC * | ptr_glBlendFuncSeparate) (GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
typedef void(GLFUNC * | ptr_glBlendFuncSeparatei) (GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
typedef void(GLFUNC * | ptr_glBlendFuncSeparateiARB) (GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
typedef void(GLFUNC * | ptr_glBlitFramebuffer) (GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
typedef void(GLFUNC * | ptr_glBlitNamedFramebuffer) (GLuint readFramebuffer, GLuint drawFramebuffer, GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
typedef void(GLFUNC * | ptr_glBufferData) (GLenum target, GLsizeiptr size, const GLvoid *data, GLenum usage)
typedef void(GLFUNC * | ptr_glBufferStorage) (GLenum target, GLsizeiptr size, const void *data, GLbitfield flags)
typedef void(GLFUNC * | ptr_glBufferSubData) (GLenum target, GLintptr offset, GLsizeiptr size, const GLvoid *data)
typedef GLenum(GLFUNC * | ptr_glCheckFramebufferStatus) (GLenum target)
typedef GLenum(GLFUNC * | ptr_glCheckNamedFramebufferStatus) (GLuint framebuffer, GLenum target)
typedef void(GLFUNC * | ptr_glClampColor) (GLenum target, GLenum clamp)
typedef void(GLFUNC * | ptr_glClear) (GLbitfield mask)
typedef void(GLFUNC * | ptr_glClearBufferData) (GLenum target, GLenum internalformat, GLenum format, GLenum type, const void *data)
typedef void(GLFUNC * | ptr_glClearBufferfi) (GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil)
typedef void(GLFUNC * | ptr_glClearBufferfv) (GLenum buffer, GLint drawbuffer, const GLfloat *value)
typedef void(GLFUNC * | ptr_glClearBufferiv) (GLenum buffer, GLint drawbuffer, const GLint *value)
typedef void(GLFUNC * | ptr_glClearBufferSubData) (GLenum target, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const void *data)
typedef void(GLFUNC * | ptr_glClearBufferuiv) (GLenum buffer, GLint drawbuffer, const GLuint *value)
typedef void(GLFUNC * | ptr_glClearColor) (GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
typedef void(GLFUNC * | ptr_glClearDepth) (GLdouble depth)
typedef void(GLFUNC * | ptr_glClearDepthf) (GLfloat d)
typedef void(GLFUNC * | ptr_glClearNamedBufferData) (GLuint buffer, GLenum internalformat, GLenum format, GLenum type, const void *data)
typedef void(GLFUNC * | ptr_glClearNamedBufferDataEXT) (GLuint buffer, GLenum internalformat, GLenum format, GLenum type, const void *data)
typedef void(GLFUNC * | ptr_glClearNamedBufferSubData) (GLuint buffer, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const void *data)
typedef void(GLFUNC * | ptr_glClearNamedBufferSubDataEXT) (GLuint buffer, GLenum internalformat, GLenum format, GLenum type, GLsizeiptr offset, GLsizeiptr size, const void *data)
typedef void(GLFUNC * | ptr_glClearNamedFramebufferfi) (GLuint framebuffer, GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil)
typedef void(GLFUNC * | ptr_glClearNamedFramebufferfv) (GLuint framebuffer, GLenum buffer, GLint drawbuffer, const GLfloat *value)
typedef void(GLFUNC * | ptr_glClearNamedFramebufferiv) (GLuint framebuffer, GLenum buffer, GLint drawbuffer, const GLint *value)
typedef void(GLFUNC * | ptr_glClearNamedFramebufferuiv) (GLuint framebuffer, GLenum buffer, GLint drawbuffer, const GLuint *value)
typedef void(GLFUNC * | ptr_glClearStencil) (GLint s)
typedef void(GLFUNC * | ptr_glClearTexImage) (GLuint texture, GLint level, GLenum format, GLenum type, const void *data)
typedef void(GLFUNC * | ptr_glClearTexSubImage) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void *data)
typedef GLvoid(GLFUNC * | ptr_glClientActiveTextureARB) (GLenum)
typedef GLenum(GLFUNC * | ptr_glClientWaitSync) (CLsync sync, GLbitfield flags, CLuint64 timeout)
typedef void(GLFUNC * | ptr_glClipControl) (GLenum origin, GLenum depth)
typedef void(GLFUNC * | ptr_glColorMask) (GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)
typedef void(GLFUNC * | ptr_glColorMaski) (GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a)
typedef void(GLFUNC * | ptr_glColorP3ui) (GLenum type, GLuint color)
typedef void(GLFUNC * | ptr_glColorP3uiv) (GLenum type, const GLuint *color)
typedef void(GLFUNC * | ptr_glColorP4ui) (GLenum type, GLuint color)
typedef void(GLFUNC * | ptr_glColorP4uiv) (GLenum type, const GLuint *color)
typedef void(GLFUNC * | ptr_glCompileShader) (GLuint shader)
typedef void(GLFUNC * | ptr_glCompileShaderIncludeARB) (GLuint shader, GLsizei count, const GLchar **path, const GLint *length)
typedef void(GLFUNC * | ptr_glCompressedTexImage1D) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *data)
typedef void(GLFUNC * | ptr_glCompressedTexImage2D) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *data)
typedef void(GLFUNC * | ptr_glCompressedTexImage3D) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data)
typedef void(GLFUNC * | ptr_glCompressedTexSubImage1D) (GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data)
typedef void(GLFUNC * | ptr_glCompressedTexSubImage2D) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data)
typedef void(GLFUNC * | ptr_glCompressedTexSubImage3D) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data)
typedef void(GLFUNC * | ptr_glCompressedTextureSubImage1D) (GLuint texture, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void *data)
typedef void(GLFUNC * | ptr_glCompressedTextureSubImage2D) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void *data)
typedef void(GLFUNC * | ptr_glCompressedTextureSubImage3D) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void *data)
typedef void(GLFUNC * | ptr_glCopyBufferSubData) (GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
typedef void(GLFUNC * | ptr_glCopyImageSubData) (GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei srcWidth, GLsizei srcHeight, GLsizei srcDepth)
typedef void(GLFUNC * | ptr_glCopyNamedBufferSubData) (GLuint readBuffer, GLuint writeBuffer, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
typedef void(GLFUNC * | ptr_glCopyTexImage1D) (GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
typedef void(GLFUNC * | ptr_glCopyTexImage2D) (GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
typedef void(GLFUNC * | ptr_glCopyTexSubImage1D) (GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
typedef void(GLFUNC * | ptr_glCopyTexSubImage2D) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
typedef void(GLFUNC * | ptr_glCopyTexSubImage3D) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
typedef void(GLFUNC * | ptr_glCopyTextureSubImage1D) (GLuint texture, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
typedef void(GLFUNC * | ptr_glCopyTextureSubImage2D) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
typedef void(GLFUNC * | ptr_glCopyTextureSubImage3D) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
typedef void(GLFUNC * | ptr_glCreateBuffers) (GLsizei n, GLuint *buffers)
typedef void(GLFUNC * | ptr_glCreateFramebuffers) (GLsizei n, GLuint *framebuffers)
typedef GLuint(GLFUNC * | ptr_glCreateProgram) (void)
typedef void(GLFUNC * | ptr_glCreateProgramPipelines) (GLsizei n, GLuint *pipelines)
typedef void(GLFUNC * | ptr_glCreateQueries) (GLenum target, GLsizei n, GLuint *ids)
typedef void(GLFUNC * | ptr_glCreateRenderbuffers) (GLsizei n, GLuint *renderbuffers)
typedef void(GLFUNC * | ptr_glCreateSamplers) (GLsizei n, GLuint *samplers)
typedef GLuint(GLFUNC * | ptr_glCreateShader) (GLenum type)
typedef GLuint(GLFUNC * | ptr_glCreateShaderProgramv) (GLenum type, GLsizei count, const GLchar *const *strings)
typedef CLsync(GLFUNC * | ptr_glCreateSyncFromCLeventARB) (struct _cl_context *context, struct _cl_event *event, GLbitfield flags)
typedef void(GLFUNC * | ptr_glCreateTextures) (GLenum target, GLsizei n, GLuint *textures)
typedef void(GLFUNC * | ptr_glCreateTransformFeedbacks) (GLsizei n, GLuint *ids)
typedef void(GLFUNC * | ptr_glCreateVertexArrays) (GLsizei n, GLuint *arrays)
typedef void(GLFUNC * | ptr_glCullFace) (GLenum mode)
typedef void(GLFUNC * | ptr_glDebugMessageCallback) (CLDEBUGPROC callback, const void *userParam)
typedef void(GLFUNC * | ptr_glDebugMessageCallbackARB) (CLDEBUGPROCARB callback, const GLvoid *userParam)
typedef void(GLFUNC * | ptr_glDebugMessageControl) (GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint *ids, GLboolean enabled)
typedef void(GLFUNC * | ptr_glDebugMessageControlARB) (GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint *ids, GLboolean enabled)
typedef void(GLFUNC * | ptr_glDebugMessageInsert) (GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar *buf)
typedef void(GLFUNC * | ptr_glDebugMessageInsertARB) (GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar *buf)
typedef void(GLFUNC * | ptr_glDeleteBuffers) (GLsizei n, const GLuint *buffers)
typedef void(GLFUNC * | ptr_glDeleteFramebuffers) (GLsizei n, const GLuint *framebuffers)
typedef void(GLFUNC * | ptr_glDeleteNamedStringARB) (GLint namelen, const GLchar *name)
typedef void(GLFUNC * | ptr_glDeleteProgram) (GLuint program)
typedef void(GLFUNC * | ptr_glDeleteProgramPipelines) (GLsizei n, const GLuint *pipelines)
typedef void(GLFUNC * | ptr_glDeleteQueries) (GLsizei n, const GLuint *ids)
typedef void(GLFUNC * | ptr_glDeleteRenderbuffers) (GLsizei n, const GLuint *renderbuffers)
typedef void(GLFUNC * | ptr_glDeleteSamplers) (GLsizei count, const GLuint *samplers)
typedef void(GLFUNC * | ptr_glDeleteShader) (GLuint shader)
typedef void(GLFUNC * | ptr_glDeleteSync) (CLsync sync)
typedef void(GLFUNC * | ptr_glDeleteTextures) (GLsizei n, const GLuint *textures)
typedef void(GLFUNC * | ptr_glDeleteTransformFeedbacks) (GLsizei n, const GLuint *ids)
typedef void(GLFUNC * | ptr_glDeleteVertexArrays) (GLsizei n, const GLuint *arrays)
typedef void(GLFUNC * | ptr_glDepthFunc) (GLenum func)
typedef void(GLFUNC * | ptr_glDepthMask) (GLboolean flag)
typedef void(GLFUNC * | ptr_glDepthRange) (GLdouble near, GLdouble far)
typedef void(GLFUNC * | ptr_glDepthRangeArrayv) (GLuint first, GLsizei count, const GLdouble *v)
typedef void(GLFUNC * | ptr_glDepthRangef) (GLfloat n, GLfloat f)
typedef void(GLFUNC * | ptr_glDepthRangeIndexed) (GLuint index, GLdouble n, GLdouble f)
typedef void(GLFUNC * | ptr_glDetachShader) (GLuint program, GLuint shader)
typedef void(GLFUNC * | ptr_glDisable) (GLenum cap)
typedef void(GLFUNC * | ptr_glDisablei) (GLenum target, GLuint index)
typedef void(GLFUNC * | ptr_glDisableVertexArrayAttrib) (GLuint vaobj, GLuint index)
typedef void(GLFUNC * | ptr_glDisableVertexAttribArray) (GLuint index)
typedef void(GLFUNC * | ptr_glDispatchCompute) (GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z)
typedef void(GLFUNC * | ptr_glDispatchComputeIndirect) (GLintptr indirect)
typedef void(GLFUNC * | ptr_glDrawArrays) (GLenum mode, GLint first, GLsizei count)
typedef void(GLFUNC * | ptr_glDrawArraysIndirect) (GLenum mode, const GLvoid *indirect)
typedef void(GLFUNC * | ptr_glDrawArraysInstanced) (GLenum mode, GLint first, GLsizei count, GLsizei instancecount)
typedef void(GLFUNC * | ptr_glDrawArraysInstancedBaseInstance) (GLenum mode, GLint first, GLsizei count, GLsizei instancecount, GLuint baseinstance)
typedef void(GLFUNC * | ptr_glDrawBuffer) (GLenum mode)
typedef void(GLFUNC * | ptr_glDrawBuffers) (GLsizei n, const GLenum *bufs)
typedef void(GLFUNC * | ptr_glDrawElements) (GLenum mode, GLsizei count, GLenum type, const GLvoid *indices)
typedef void(GLFUNC * | ptr_glDrawElementsBaseVertex) (GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLint basevertex)
typedef void(GLFUNC * | ptr_glDrawElementsIndirect) (GLenum mode, GLenum type, const GLvoid *indirect)
typedef void(GLFUNC * | ptr_glDrawElementsInstanced) (GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei instancecount)
typedef void(GLFUNC * | ptr_glDrawElementsInstancedBaseInstance) (GLenum mode, GLsizei count, GLenum type, const void *indices, GLsizei instancecount, GLuint baseinstance)
typedef void(GLFUNC * | ptr_glDrawElementsInstancedBaseVertex) (GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei instancecount, GLint basevertex)
typedef void(GLFUNC * | ptr_glDrawElementsInstancedBaseVertexBaseInstance) (GLenum mode, GLsizei count, GLenum type, const void *indices, GLsizei instancecount, GLint basevertex, GLuint baseinstance)
typedef void(GLFUNC * | ptr_glDrawRangeElements) (GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices)
typedef void(GLFUNC * | ptr_glDrawRangeElementsBaseVertex) (GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices, GLint basevertex)
typedef void(GLFUNC * | ptr_glDrawTransformFeedback) (GLenum mode, GLuint id)
typedef void(GLFUNC * | ptr_glDrawTransformFeedbackInstanced) (GLenum mode, GLuint id, GLsizei instancecount)
typedef void(GLFUNC * | ptr_glDrawTransformFeedbackStream) (GLenum mode, GLuint id, GLuint stream)
typedef void(GLFUNC * | ptr_glDrawTransformFeedbackStreamInstanced) (GLenum mode, GLuint id, GLuint stream, GLsizei instancecount)
typedef void(GLFUNC * | ptr_glEnable) (GLenum cap)
typedef void(GLFUNC * | ptr_glEnablei) (GLenum target, GLuint index)
typedef void(GLFUNC * | ptr_glEnableVertexArrayAttrib) (GLuint vaobj, GLuint index)
typedef void(GLFUNC * | ptr_glEnableVertexAttribArray) (GLuint index)
typedef void(GLFUNC * | ptr_glEndConditionalRender) (void)
typedef void(GLFUNC * | ptr_glEndQuery) (GLenum target)
typedef void(GLFUNC * | ptr_glEndQueryIndexed) (GLenum target, GLuint index)
typedef void(GLFUNC * | ptr_glEndTransformFeedback) (void)
typedef CLsync(GLFUNC * | ptr_glFenceSync) (GLenum condition, GLbitfield flags)
typedef void(GLFUNC * | ptr_glFinish) (void)
typedef void(GLFUNC * | ptr_glFlush) (void)
typedef void(GLFUNC * | ptr_glFlushMappedBufferRange) (GLenum target, GLintptr offset, GLsizeiptr length)
typedef void(GLFUNC * | ptr_glFlushMappedNamedBufferRange) (GLuint buffer, GLintptr offset, GLsizeiptr length)
typedef void(GLFUNC * | ptr_glFramebufferParameteri) (GLenum target, GLenum pname, GLint param)
typedef void(GLFUNC * | ptr_glFramebufferRenderbuffer) (GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
typedef void(GLFUNC * | ptr_glFramebufferTexture) (GLenum target, GLenum attachment, GLuint texture, GLint level)
typedef void(GLFUNC * | ptr_glFramebufferTexture1D) (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
typedef void(GLFUNC * | ptr_glFramebufferTexture2D) (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
typedef void(GLFUNC * | ptr_glFramebufferTexture3D) (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
typedef void(GLFUNC * | ptr_glFramebufferTextureLayer) (GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
typedef void(GLFUNC * | ptr_glFrontFace) (GLenum mode)
typedef void(GLFUNC * | ptr_glGenBuffers) (GLsizei n, GLuint *buffers)
typedef void(GLFUNC * | ptr_glGenerateMipmap) (GLenum target)
typedef void(GLFUNC * | ptr_glGenerateTextureMipmap) (GLuint texture)
typedef void(GLFUNC * | ptr_glGenFramebuffers) (GLsizei n, GLuint *framebuffers)
typedef void(GLFUNC * | ptr_glGenProgramPipelines) (GLsizei n, GLuint *pipelines)
typedef void(GLFUNC * | ptr_glGenQueries) (GLsizei n, GLuint *ids)
typedef void(GLFUNC * | ptr_glGenRenderbuffers) (GLsizei n, GLuint *renderbuffers)
typedef void(GLFUNC * | ptr_glGenSamplers) (GLsizei count, GLuint *samplers)
typedef void(GLFUNC * | ptr_glGenTextures) (GLsizei n, GLuint *textures)
typedef void(GLFUNC * | ptr_glGenTransformFeedbacks) (GLsizei n, GLuint *ids)
typedef void(GLFUNC * | ptr_glGenVertexArrays) (GLsizei n, GLuint *arrays)
typedef void(GLFUNC * | ptr_glGetActiveAtomicCounterBufferiv) (GLuint program, GLuint bufferIndex, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetActiveAttrib) (GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name)
typedef void(GLFUNC * | ptr_glGetActiveSubroutineName) (GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei *length, GLchar *name)
typedef void(GLFUNC * | ptr_glGetActiveSubroutineUniformiv) (GLuint program, GLenum shadertype, GLuint index, GLenum pname, GLint *values)
typedef void(GLFUNC * | ptr_glGetActiveSubroutineUniformName) (GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei *length, GLchar *name)
typedef void(GLFUNC * | ptr_glGetActiveUniform) (GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name)
typedef void(GLFUNC * | ptr_glGetActiveUniformBlockiv) (GLuint program, GLuint uniformBlockIndex, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetActiveUniformBlockName) (GLuint program, GLuint uniformBlockIndex, GLsizei bufSize, GLsizei *length, GLchar *uniformBlockName)
typedef void(GLFUNC * | ptr_glGetActiveUniformName) (GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei *length, GLchar *uniformName)
typedef void(GLFUNC * | ptr_glGetActiveUniformsiv) (GLuint program, GLsizei uniformCount, const GLuint *uniformIndices, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetAttachedShaders) (GLuint program, GLsizei maxCount, GLsizei *count, GLuint *obj)
typedef GLint(GLFUNC * | ptr_glGetAttribLocation) (GLuint program, const GLchar *name)
typedef void(GLFUNC * | ptr_glGetBooleani_v) (GLenum target, GLuint index, GLboolean *data)
typedef void(GLFUNC * | ptr_glGetBooleanv) (GLenum pname, GLboolean *params)
typedef void(GLFUNC * | ptr_glGetBufferParameteri64v) (GLenum target, GLenum pname, CLint64 *params)
typedef void(GLFUNC * | ptr_glGetBufferParameteriv) (GLenum target, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetBufferPointerv) (GLenum target, GLenum pname, GLvoid **params)
typedef void(GLFUNC * | ptr_glGetBufferSubData) (GLenum target, GLintptr offset, GLsizeiptr size, GLvoid *data)
typedef void(GLFUNC * | ptr_glGetCompressedTexImage) (GLenum target, GLint level, GLvoid *img)
typedef void(GLFUNC * | ptr_glGetCompressedTextureImage) (GLuint texture, GLint level, GLsizei bufSize, void *pixels)
typedef void(GLFUNC * | ptr_glGetCompressedTextureSubImage) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLsizei bufSize, void *pixels)
typedef GLuint(GLFUNC * | ptr_glGetDebugMessageLog) (GLuint count, GLsizei bufsize, GLenum *sources, GLenum *types, GLuint *ids, GLenum *severities, GLsizei *lengths, GLchar *messageLog)
typedef GLuint(GLFUNC * | ptr_glGetDebugMessageLogARB) (GLuint count, GLsizei bufsize, GLenum *sources, GLenum *types, GLuint *ids, GLenum *severities, GLsizei *lengths, GLchar *messageLog)
typedef void(GLFUNC * | ptr_glGetDoublei_v) (GLenum target, GLuint index, GLdouble *data)
typedef void(GLFUNC * | ptr_glGetDoublev) (GLenum pname, GLdouble *params)
typedef GLenum(GLFUNC * | ptr_glGetError) (void)
typedef void(GLFUNC * | ptr_glGetFloati_v) (GLenum target, GLuint index, GLfloat *data)
typedef void(GLFUNC * | ptr_glGetFloatv) (GLenum pname, GLfloat *params)
typedef GLint(GLFUNC * | ptr_glGetFragDataIndex) (GLuint program, const GLchar *name)
typedef GLint(GLFUNC * | ptr_glGetFragDataLocation) (GLuint program, const GLchar *name)
typedef void(GLFUNC * | ptr_glGetFramebufferAttachmentParameteriv) (GLenum target, GLenum attachment, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetFramebufferParameteriv) (GLenum target, GLenum pname, GLint *params)
typedef GLenum(GLFUNC * | ptr_glGetGraphicsResetStatus) (void)
typedef GLenum(GLFUNC * | ptr_glGetGraphicsResetStatusARB) (void)
typedef void(GLFUNC * | ptr_glGetInteger64i_v) (GLenum target, GLuint index, CLint64 *data)
typedef void(GLFUNC * | ptr_glGetInteger64v) (GLenum pname, CLint64 *params)
typedef void(GLFUNC * | ptr_glGetIntegeri_v) (GLenum target, GLuint index, GLint *data)
typedef void(GLFUNC * | ptr_glGetIntegerv) (GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetInternalformati64v) (GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, CLint64 *params)
typedef void(GLFUNC * | ptr_glGetInternalformativ) (GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint *params)
typedef void(GLFUNC * | ptr_glGetMultisamplefv) (GLenum pname, GLuint index, GLfloat *val)
typedef void(GLFUNC * | ptr_glGetNamedBufferParameteri64v) (GLuint buffer, GLenum pname, CLint64 *params)
typedef void(GLFUNC * | ptr_glGetNamedBufferParameteriv) (GLuint buffer, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetNamedBufferPointerv) (GLuint buffer, GLenum pname, void **params)
typedef void(GLFUNC * | ptr_glGetNamedBufferSubData) (GLuint buffer, GLintptr offset, GLsizeiptr size, void *data)
typedef void(GLFUNC * | ptr_glGetNamedFramebufferAttachmentParameteriv) (GLuint framebuffer, GLenum attachment, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetNamedFramebufferParameteriv) (GLuint framebuffer, GLenum pname, GLint *param)
typedef void(GLFUNC * | ptr_glGetNamedFramebufferParameterivEXT) (GLuint framebuffer, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetNamedRenderbufferParameteriv) (GLuint renderbuffer, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetNamedStringARB) (GLint namelen, const GLchar *name, GLsizei bufSize, GLint *stringlen, GLchar *string)
typedef void(GLFUNC * | ptr_glGetNamedStringivARB) (GLint namelen, const GLchar *name, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetnColorTable) (GLenum target, GLenum format, GLenum type, GLsizei bufSize, void *table)
typedef void(GLFUNC * | ptr_glGetnColorTableARB) (GLenum target, GLenum format, GLenum type, GLsizei bufSize, GLvoid *table)
typedef void(GLFUNC * | ptr_glGetnCompressedTexImage) (GLenum target, GLint lod, GLsizei bufSize, void *pixels)
typedef void(GLFUNC * | ptr_glGetnCompressedTexImageARB) (GLenum target, GLint lod, GLsizei bufSize, GLvoid *img)
typedef void(GLFUNC * | ptr_glGetnConvolutionFilter) (GLenum target, GLenum format, GLenum type, GLsizei bufSize, void *image)
typedef void(GLFUNC * | ptr_glGetnConvolutionFilterARB) (GLenum target, GLenum format, GLenum type, GLsizei bufSize, GLvoid *image)
typedef void(GLFUNC * | ptr_glGetnHistogram) (GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, void *values)
typedef void(GLFUNC * | ptr_glGetnHistogramARB) (GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, GLvoid *values)
typedef void(GLFUNC * | ptr_glGetnMapdv) (GLenum target, GLenum query, GLsizei bufSize, GLdouble *v)
typedef void(GLFUNC * | ptr_glGetnMapdvARB) (GLenum target, GLenum query, GLsizei bufSize, GLdouble *v)
typedef void(GLFUNC * | ptr_glGetnMapfv) (GLenum target, GLenum query, GLsizei bufSize, GLfloat *v)
typedef void(GLFUNC * | ptr_glGetnMapfvARB) (GLenum target, GLenum query, GLsizei bufSize, GLfloat *v)
typedef void(GLFUNC * | ptr_glGetnMapiv) (GLenum target, GLenum query, GLsizei bufSize, GLint *v)
typedef void(GLFUNC * | ptr_glGetnMapivARB) (GLenum target, GLenum query, GLsizei bufSize, GLint *v)
typedef void(GLFUNC * | ptr_glGetnMinmax) (GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, void *values)
typedef void(GLFUNC * | ptr_glGetnMinmaxARB) (GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, GLvoid *values)
typedef void(GLFUNC * | ptr_glGetnPixelMapfv) (GLenum map, GLsizei bufSize, GLfloat *values)
typedef void(GLFUNC * | ptr_glGetnPixelMapfvARB) (GLenum map, GLsizei bufSize, GLfloat *values)
typedef void(GLFUNC * | ptr_glGetnPixelMapuiv) (GLenum map, GLsizei bufSize, GLuint *values)
typedef void(GLFUNC * | ptr_glGetnPixelMapuivARB) (GLenum map, GLsizei bufSize, GLuint *values)
typedef void(GLFUNC * | ptr_glGetnPixelMapusv) (GLenum map, GLsizei bufSize, GLushort *values)
typedef void(GLFUNC * | ptr_glGetnPixelMapusvARB) (GLenum map, GLsizei bufSize, GLushort *values)
typedef void(GLFUNC * | ptr_glGetnPolygonStipple) (GLsizei bufSize, GLubyte *pattern)
typedef void(GLFUNC * | ptr_glGetnPolygonStippleARB) (GLsizei bufSize, GLubyte *pattern)
typedef void(GLFUNC * | ptr_glGetnSeparableFilter) (GLenum target, GLenum format, GLenum type, GLsizei rowBufSize, void *row, GLsizei columnBufSize, void *column, void *span)
typedef void(GLFUNC * | ptr_glGetnSeparableFilterARB) (GLenum target, GLenum format, GLenum type, GLsizei rowBufSize, GLvoid *row, GLsizei columnBufSize, GLvoid *column, GLvoid *span)
typedef void(GLFUNC * | ptr_glGetnTexImage) (GLenum target, GLint level, GLenum format, GLenum type, GLsizei bufSize, void *pixels)
typedef void(GLFUNC * | ptr_glGetnTexImageARB) (GLenum target, GLint level, GLenum format, GLenum type, GLsizei bufSize, GLvoid *img)
typedef void(GLFUNC * | ptr_glGetnUniformdv) (GLuint program, GLint location, GLsizei bufSize, GLdouble *params)
typedef void(GLFUNC * | ptr_glGetnUniformdvARB) (GLuint program, GLint location, GLsizei bufSize, GLdouble *params)
typedef void(GLFUNC * | ptr_glGetnUniformfv) (GLuint program, GLint location, GLsizei bufSize, GLfloat *params)
typedef void(GLFUNC * | ptr_glGetnUniformfvARB) (GLuint program, GLint location, GLsizei bufSize, GLfloat *params)
typedef void(GLFUNC * | ptr_glGetnUniformiv) (GLuint program, GLint location, GLsizei bufSize, GLint *params)
typedef void(GLFUNC * | ptr_glGetnUniformivARB) (GLuint program, GLint location, GLsizei bufSize, GLint *params)
typedef void(GLFUNC * | ptr_glGetnUniformuiv) (GLuint program, GLint location, GLsizei bufSize, GLuint *params)
typedef void(GLFUNC * | ptr_glGetnUniformuivARB) (GLuint program, GLint location, GLsizei bufSize, GLuint *params)
typedef void(GLFUNC * | ptr_glGetObjectLabel) (GLenum identifier, GLuint name, GLsizei bufSize, GLsizei *length, GLchar *label)
typedef void(GLFUNC * | ptr_glGetObjectPtrLabel) (const void *ptr, GLsizei bufSize, GLsizei *length, GLchar *label)
typedef void(GLFUNC * | ptr_glGetPointerv) (GLenum pname, GLvoid **params)
typedef void(GLFUNC * | ptr_glGetProgramBinary) (GLuint program, GLsizei bufSize, GLsizei *length, GLenum *binaryFormat, GLvoid *binary)
typedef void(GLFUNC * | ptr_glGetProgramInfoLog) (GLuint program, GLsizei bufSize, GLsizei *length, GLchar *infoLog)
typedef void(GLFUNC * | ptr_glGetProgramInterfaceiv) (GLuint program, GLenum programInterface, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetProgramiv) (GLuint program, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetProgramPipelineInfoLog) (GLuint pipeline, GLsizei bufSize, GLsizei *length, GLchar *infoLog)
typedef void(GLFUNC * | ptr_glGetProgramPipelineiv) (GLuint pipeline, GLenum pname, GLint *params)
typedef GLuint(GLFUNC * | ptr_glGetProgramResourceIndex) (GLuint program, GLenum programInterface, const GLchar *name)
typedef void(GLFUNC * | ptr_glGetProgramResourceiv) (GLuint program, GLenum programInterface, GLuint index, GLsizei propCount, const GLenum *props, GLsizei bufSize, GLsizei *length, GLint *params)
typedef GLint(GLFUNC * | ptr_glGetProgramResourceLocation) (GLuint program, GLenum programInterface, const GLchar *name)
typedef GLint(GLFUNC * | ptr_glGetProgramResourceLocationIndex) (GLuint program, GLenum programInterface, const GLchar *name)
typedef void(GLFUNC * | ptr_glGetProgramResourceName) (GLuint program, GLenum programInterface, GLuint index, GLsizei bufSize, GLsizei *length, GLchar *name)
typedef void(GLFUNC * | ptr_glGetProgramStageiv) (GLuint program, GLenum shadertype, GLenum pname, GLint *values)
typedef void(GLFUNC * | ptr_glGetQueryBufferObjecti64v) (GLuint id, GLuint buffer, GLenum pname, GLintptr offset)
typedef void(GLFUNC * | ptr_glGetQueryBufferObjectiv) (GLuint id, GLuint buffer, GLenum pname, GLintptr offset)
typedef void(GLFUNC * | ptr_glGetQueryBufferObjectui64v) (GLuint id, GLuint buffer, GLenum pname, GLintptr offset)
typedef void(GLFUNC * | ptr_glGetQueryBufferObjectuiv) (GLuint id, GLuint buffer, GLenum pname, GLintptr offset)
typedef void(GLFUNC * | ptr_glGetQueryIndexediv) (GLenum target, GLuint index, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetQueryiv) (GLenum target, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetQueryObjecti64v) (GLuint id, GLenum pname, CLint64 *params)
typedef void(GLFUNC * | ptr_glGetQueryObjectiv) (GLuint id, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetQueryObjectui64v) (GLuint id, GLenum pname, CLuint64 *params)
typedef void(GLFUNC * | ptr_glGetQueryObjectuiv) (GLuint id, GLenum pname, GLuint *params)
typedef void(GLFUNC * | ptr_glGetRenderbufferParameteriv) (GLenum target, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetSamplerParameterfv) (GLuint sampler, GLenum pname, GLfloat *params)
typedef void(GLFUNC * | ptr_glGetSamplerParameterIiv) (GLuint sampler, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetSamplerParameterIuiv) (GLuint sampler, GLenum pname, GLuint *params)
typedef void(GLFUNC * | ptr_glGetSamplerParameteriv) (GLuint sampler, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetShaderInfoLog) (GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *infoLog)
typedef void(GLFUNC * | ptr_glGetShaderiv) (GLuint shader, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetShaderPrecisionFormat) (GLenum shadertype, GLenum precisiontype, GLint *range, GLint *precision)
typedef void(GLFUNC * | ptr_glGetShaderSource) (GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *source)
typedef const GLubyte *(GLFUNC * | ptr_glGetString) (GLenum name)
typedef const GLubyte *(GLFUNC * | ptr_glGetStringi) (GLenum name, GLuint index)
typedef GLuint(GLFUNC * | ptr_glGetSubroutineIndex) (GLuint program, GLenum shadertype, const GLchar *name)
typedef GLint(GLFUNC * | ptr_glGetSubroutineUniformLocation) (GLuint program, GLenum shadertype, const GLchar *name)
typedef void(GLFUNC * | ptr_glGetSynciv) (CLsync sync, GLenum pname, GLsizei bufSize, GLsizei *length, GLint *values)
typedef void(GLFUNC * | ptr_glGetTexImage) (GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels)
typedef void(GLFUNC * | ptr_glGetTexLevelParameterfv) (GLenum target, GLint level, GLenum pname, GLfloat *params)
typedef void(GLFUNC * | ptr_glGetTexLevelParameteriv) (GLenum target, GLint level, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetTexParameterfv) (GLenum target, GLenum pname, GLfloat *params)
typedef void(GLFUNC * | ptr_glGetTexParameterIiv) (GLenum target, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetTexParameterIuiv) (GLenum target, GLenum pname, GLuint *params)
typedef void(GLFUNC * | ptr_glGetTexParameteriv) (GLenum target, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetTextureImage) (GLuint texture, GLint level, GLenum format, GLenum type, GLsizei bufSize, void *pixels)
typedef void(GLFUNC * | ptr_glGetTextureLevelParameterfv) (GLuint texture, GLint level, GLenum pname, GLfloat *params)
typedef void(GLFUNC * | ptr_glGetTextureLevelParameteriv) (GLuint texture, GLint level, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetTextureParameterfv) (GLuint texture, GLenum pname, GLfloat *params)
typedef void(GLFUNC * | ptr_glGetTextureParameterIiv) (GLuint texture, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetTextureParameterIuiv) (GLuint texture, GLenum pname, GLuint *params)
typedef void(GLFUNC * | ptr_glGetTextureParameteriv) (GLuint texture, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetTextureSubImage) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, GLsizei bufSize, void *pixels)
typedef void(GLFUNC * | ptr_glGetTransformFeedbacki64_v) (GLuint xfb, GLenum pname, GLuint index, CLint64 *param)
typedef void(GLFUNC * | ptr_glGetTransformFeedbacki_v) (GLuint xfb, GLenum pname, GLuint index, GLint *param)
typedef void(GLFUNC * | ptr_glGetTransformFeedbackiv) (GLuint xfb, GLenum pname, GLint *param)
typedef void(GLFUNC * | ptr_glGetTransformFeedbackVarying) (GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLsizei *size, GLenum *type, GLchar *name)
typedef GLuint(GLFUNC * | ptr_glGetUniformBlockIndex) (GLuint program, const GLchar *uniformBlockName)
typedef void(GLFUNC * | ptr_glGetUniformdv) (GLuint program, GLint location, GLdouble *params)
typedef void(GLFUNC * | ptr_glGetUniformfv) (GLuint program, GLint location, GLfloat *params)
typedef void(GLFUNC * | ptr_glGetUniformIndices) (GLuint program, GLsizei uniformCount, const GLchar *const *uniformNames, GLuint *uniformIndices)
typedef void(GLFUNC * | ptr_glGetUniformiv) (GLuint program, GLint location, GLint *params)
typedef GLint(GLFUNC * | ptr_glGetUniformLocation) (GLuint program, const GLchar *name)
typedef void(GLFUNC * | ptr_glGetUniformSubroutineuiv) (GLenum shadertype, GLint location, GLuint *params)
typedef void(GLFUNC * | ptr_glGetUniformuiv) (GLuint program, GLint location, GLuint *params)
typedef void(GLFUNC * | ptr_glGetVertexArrayIndexed64iv) (GLuint vaobj, GLuint index, GLenum pname, CLint64 *param)
typedef void(GLFUNC * | ptr_glGetVertexArrayIndexediv) (GLuint vaobj, GLuint index, GLenum pname, GLint *param)
typedef void(GLFUNC * | ptr_glGetVertexArrayiv) (GLuint vaobj, GLenum pname, GLint *param)
typedef void(GLFUNC * | ptr_glGetVertexAttribdv) (GLuint index, GLenum pname, GLdouble *params)
typedef void(GLFUNC * | ptr_glGetVertexAttribfv) (GLuint index, GLenum pname, GLfloat *params)
typedef void(GLFUNC * | ptr_glGetVertexAttribIiv) (GLuint index, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetVertexAttribIuiv) (GLuint index, GLenum pname, GLuint *params)
typedef void(GLFUNC * | ptr_glGetVertexAttribiv) (GLuint index, GLenum pname, GLint *params)
typedef void(GLFUNC * | ptr_glGetVertexAttribLdv) (GLuint index, GLenum pname, GLdouble *params)
typedef void(GLFUNC * | ptr_glGetVertexAttribPointerv) (GLuint index, GLenum pname, GLvoid **pointer)
typedef void(GLFUNC * | ptr_glHint) (GLenum target, GLenum mode)
typedef void(GLFUNC * | ptr_glInvalidateBufferData) (GLuint buffer)
typedef void(GLFUNC * | ptr_glInvalidateBufferSubData) (GLuint buffer, GLintptr offset, GLsizeiptr length)
typedef void(GLFUNC * | ptr_glInvalidateFramebuffer) (GLenum target, GLsizei numAttachments, const GLenum *attachments)
typedef void(GLFUNC * | ptr_glInvalidateNamedFramebufferData) (GLuint framebuffer, GLsizei numAttachments, const GLenum *attachments)
typedef void(GLFUNC * | ptr_glInvalidateNamedFramebufferSubData) (GLuint framebuffer, GLsizei numAttachments, const GLenum *attachments, GLint x, GLint y, GLsizei width, GLsizei height)
typedef void(GLFUNC * | ptr_glInvalidateSubFramebuffer) (GLenum target, GLsizei numAttachments, const GLenum *attachments, GLint x, GLint y, GLsizei width, GLsizei height)
typedef void(GLFUNC * | ptr_glInvalidateTexImage) (GLuint texture, GLint level)
typedef void(GLFUNC * | ptr_glInvalidateTexSubImage) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth)
typedef GLboolean(GLFUNC * | ptr_glIsBuffer) (GLuint buffer)
typedef GLboolean(GLFUNC * | ptr_glIsEnabled) (GLenum cap)
typedef GLboolean(GLFUNC * | ptr_glIsEnabledi) (GLenum target, GLuint index)
typedef GLboolean(GLFUNC * | ptr_glIsFramebuffer) (GLuint framebuffer)
typedef GLboolean(GLFUNC * | ptr_glIsNamedStringARB) (GLint namelen, const GLchar *name)
typedef GLboolean(GLFUNC * | ptr_glIsProgram) (GLuint program)
typedef GLboolean(GLFUNC * | ptr_glIsProgramPipeline) (GLuint pipeline)
typedef GLboolean(GLFUNC * | ptr_glIsQuery) (GLuint id)
typedef GLboolean(GLFUNC * | ptr_glIsRenderbuffer) (GLuint renderbuffer)
typedef GLboolean(GLFUNC * | ptr_glIsSampler) (GLuint sampler)
typedef GLboolean(GLFUNC * | ptr_glIsShader) (GLuint shader)
typedef GLboolean(GLFUNC * | ptr_glIsSync) (CLsync sync)
typedef GLboolean(GLFUNC * | ptr_glIsTexture) (GLuint texture)
typedef GLboolean(GLFUNC * | ptr_glIsTransformFeedback) (GLuint id)
typedef GLboolean(GLFUNC * | ptr_glIsVertexArray) (GLuint array)
typedef void(GLFUNC * | ptr_glLineWidth) (GLfloat width)
typedef void(GLFUNC * | ptr_glLinkProgram) (GLuint program)
typedef void(GLFUNC * | ptr_glLogicOp) (GLenum opcode)
typedef GLvoid *(GLFUNC * | ptr_glMapBuffer) (GLenum target, GLenum access)
typedef GLvoid *(GLFUNC * | ptr_glMapBufferRange) (GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)
typedef void *(GLFUNC * | ptr_glMapNamedBuffer) (GLuint buffer, GLenum access)
typedef void *(GLFUNC * | ptr_glMapNamedBufferRange) (GLuint buffer, GLintptr offset, GLsizeiptr length, GLbitfield access)
typedef void(GLFUNC * | ptr_glMemoryBarrier) (GLbitfield barriers)
typedef void(GLFUNC * | ptr_glMemoryBarrierByRegion) (GLbitfield barriers)
typedef void(GLFUNC * | ptr_glMinSampleShading) (GLfloat value)
typedef void(GLFUNC * | ptr_glMinSampleShadingARB) (GLfloat value)
typedef void(GLFUNC * | ptr_glMultiDrawArrays) (GLenum mode, const GLint *first, const GLsizei *count, GLsizei drawcount)
typedef void(GLFUNC * | ptr_glMultiDrawArraysIndirect) (GLenum mode, const void *indirect, GLsizei drawcount, GLsizei stride)
typedef void(GLFUNC * | ptr_glMultiDrawElements) (GLenum mode, const GLsizei *count, GLenum type, const GLvoid *const *indices, GLsizei drawcount)
typedef void(GLFUNC * | ptr_glMultiDrawElementsBaseVertex) (GLenum mode, const GLsizei *count, GLenum type, const GLvoid *const *indices, GLsizei drawcount, const GLint *basevertex)
typedef void(GLFUNC * | ptr_glMultiDrawElementsIndirect) (GLenum mode, GLenum type, const void *indirect, GLsizei drawcount, GLsizei stride)
typedef void(GLFUNC * | ptr_glMultiTexCoordP1ui) (GLenum texture, GLenum type, GLuint coords)
typedef void(GLFUNC * | ptr_glMultiTexCoordP1uiv) (GLenum texture, GLenum type, const GLuint *coords)
typedef void(GLFUNC * | ptr_glMultiTexCoordP2ui) (GLenum texture, GLenum type, GLuint coords)
typedef void(GLFUNC * | ptr_glMultiTexCoordP2uiv) (GLenum texture, GLenum type, const GLuint *coords)
typedef void(GLFUNC * | ptr_glMultiTexCoordP3ui) (GLenum texture, GLenum type, GLuint coords)
typedef void(GLFUNC * | ptr_glMultiTexCoordP3uiv) (GLenum texture, GLenum type, const GLuint *coords)
typedef void(GLFUNC * | ptr_glMultiTexCoordP4ui) (GLenum texture, GLenum type, GLuint coords)
typedef void(GLFUNC * | ptr_glMultiTexCoordP4uiv) (GLenum texture, GLenum type, const GLuint *coords)
typedef void(GLFUNC * | ptr_glNamedBufferData) (GLuint buffer, GLsizeiptr size, const void *data, GLenum usage)
typedef void(GLFUNC * | ptr_glNamedBufferStorage) (GLuint buffer, GLsizeiptr size, const void *data, GLbitfield flags)
typedef void(GLFUNC * | ptr_glNamedBufferSubData) (GLuint buffer, GLintptr offset, GLsizeiptr size, const void *data)
typedef void(GLFUNC * | ptr_glNamedFramebufferDrawBuffer) (GLuint framebuffer, GLenum buf)
typedef void(GLFUNC * | ptr_glNamedFramebufferDrawBuffers) (GLuint framebuffer, GLsizei n, const GLenum *bufs)
typedef void(GLFUNC * | ptr_glNamedFramebufferParameteri) (GLuint framebuffer, GLenum pname, GLint param)
typedef void(GLFUNC * | ptr_glNamedFramebufferParameteriEXT) (GLuint framebuffer, GLenum pname, GLint param)
typedef void(GLFUNC * | ptr_glNamedFramebufferReadBuffer) (GLuint framebuffer, GLenum src)
typedef void(GLFUNC * | ptr_glNamedFramebufferRenderbuffer) (GLuint framebuffer, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
typedef void(GLFUNC * | ptr_glNamedFramebufferTexture) (GLuint framebuffer, GLenum attachment, GLuint texture, GLint level)
typedef void(GLFUNC * | ptr_glNamedFramebufferTextureLayer) (GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLint layer)
typedef void(GLFUNC * | ptr_glNamedRenderbufferStorage) (GLuint renderbuffer, GLenum internalformat, GLsizei width, GLsizei height)
typedef void(GLFUNC * | ptr_glNamedRenderbufferStorageMultisample) (GLuint renderbuffer, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
typedef void(GLFUNC * | ptr_glNamedStringARB) (GLenum type, GLint namelen, const GLchar *name, GLint stringlen, const GLchar *string)
typedef void(GLFUNC * | ptr_glNormalP3ui) (GLenum type, GLuint coords)
typedef void(GLFUNC * | ptr_glNormalP3uiv) (GLenum type, const GLuint *coords)
typedef void(GLFUNC * | ptr_glObjectLabel) (GLenum identifier, GLuint name, GLsizei length, const GLchar *label)
typedef void(GLFUNC * | ptr_glObjectPtrLabel) (const void *ptr, GLsizei length, const GLchar *label)
typedef void(GLFUNC * | ptr_glPatchParameterfv) (GLenum pname, const GLfloat *values)
typedef void(GLFUNC * | ptr_glPatchParameteri) (GLenum pname, GLint value)
typedef void(GLFUNC * | ptr_glPauseTransformFeedback) (void)
typedef void(GLFUNC * | ptr_glPixelStoref) (GLenum pname, GLfloat param)
typedef void(GLFUNC * | ptr_glPixelStorei) (GLenum pname, GLint param)
typedef void(GLFUNC * | ptr_glPointParameterf) (GLenum pname, GLfloat param)
typedef void(GLFUNC * | ptr_glPointParameterfv) (GLenum pname, const GLfloat *params)
typedef void(GLFUNC * | ptr_glPointParameteri) (GLenum pname, GLint param)
typedef void(GLFUNC * | ptr_glPointParameteriv) (GLenum pname, const GLint *params)
typedef void(GLFUNC * | ptr_glPointSize) (GLfloat size)
typedef void(GLFUNC * | ptr_glPolygonMode) (GLenum face, GLenum mode)
typedef void(GLFUNC * | ptr_glPolygonOffset) (GLfloat factor, GLfloat units)
typedef void(GLFUNC * | ptr_glPopDebugGroup) (void)
typedef void(GLFUNC * | ptr_glPrimitiveRestartIndex) (GLuint index)
typedef void(GLFUNC * | ptr_glProgramBinary) (GLuint program, GLenum binaryFormat, const GLvoid *binary, GLsizei length)
typedef void(GLFUNC * | ptr_glProgramParameteri) (GLuint program, GLenum pname, GLint value)
typedef void(GLFUNC * | ptr_glProgramUniform1d) (GLuint program, GLint location, GLdouble v0)
typedef void(GLFUNC * | ptr_glProgramUniform1dv) (GLuint program, GLint location, GLsizei count, const GLdouble *value)
typedef void(GLFUNC * | ptr_glProgramUniform1f) (GLuint program, GLint location, GLfloat v0)
typedef void(GLFUNC * | ptr_glProgramUniform1fv) (GLuint program, GLint location, GLsizei count, const GLfloat *value)
typedef void(GLFUNC * | ptr_glProgramUniform1i) (GLuint program, GLint location, GLint v0)
typedef void(GLFUNC * | ptr_glProgramUniform1iv) (GLuint program, GLint location, GLsizei count, const GLint *value)
typedef void(GLFUNC * | ptr_glProgramUniform1ui) (GLuint program, GLint location, GLuint v0)
typedef void(GLFUNC * | ptr_glProgramUniform1uiv) (GLuint program, GLint location, GLsizei count, const GLuint *value)
typedef void(GLFUNC * | ptr_glProgramUniform2d) (GLuint program, GLint location, GLdouble v0, GLdouble v1)
typedef void(GLFUNC * | ptr_glProgramUniform2dv) (GLuint program, GLint location, GLsizei count, const GLdouble *value)
typedef void(GLFUNC * | ptr_glProgramUniform2f) (GLuint program, GLint location, GLfloat v0, GLfloat v1)
typedef void(GLFUNC * | ptr_glProgramUniform2fv) (GLuint program, GLint location, GLsizei count, const GLfloat *value)
typedef void(GLFUNC * | ptr_glProgramUniform2i) (GLuint program, GLint location, GLint v0, GLint v1)
typedef void(GLFUNC * | ptr_glProgramUniform2iv) (GLuint program, GLint location, GLsizei count, const GLint *value)
typedef void(GLFUNC * | ptr_glProgramUniform2ui) (GLuint program, GLint location, GLuint v0, GLuint v1)
typedef void(GLFUNC * | ptr_glProgramUniform2uiv) (GLuint program, GLint location, GLsizei count, const GLuint *value)
typedef void(GLFUNC * | ptr_glProgramUniform3d) (GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2)
typedef void(GLFUNC * | ptr_glProgramUniform3dv) (GLuint program, GLint location, GLsizei count, const GLdouble *value)
typedef void(GLFUNC * | ptr_glProgramUniform3f) (GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
typedef void(GLFUNC * | ptr_glProgramUniform3fv) (GLuint program, GLint location, GLsizei count, const GLfloat *value)
typedef void(GLFUNC * | ptr_glProgramUniform3i) (GLuint program, GLint location, GLint v0, GLint v1, GLint v2)
typedef void(GLFUNC * | ptr_glProgramUniform3iv) (GLuint program, GLint location, GLsizei count, const GLint *value)
typedef void(GLFUNC * | ptr_glProgramUniform3ui) (GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2)
typedef void(GLFUNC * | ptr_glProgramUniform3uiv) (GLuint program, GLint location, GLsizei count, const GLuint *value)
typedef void(GLFUNC * | ptr_glProgramUniform4d) (GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2, GLdouble v3)
typedef void(GLFUNC * | ptr_glProgramUniform4dv) (GLuint program, GLint location, GLsizei count, const GLdouble *value)
typedef void(GLFUNC * | ptr_glProgramUniform4f) (GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
typedef void(GLFUNC * | ptr_glProgramUniform4fv) (GLuint program, GLint location, GLsizei count, const GLfloat *value)
typedef void(GLFUNC * | ptr_glProgramUniform4i) (GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
typedef void(GLFUNC * | ptr_glProgramUniform4iv) (GLuint program, GLint location, GLsizei count, const GLint *value)
typedef void(GLFUNC * | ptr_glProgramUniform4ui) (GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
typedef void(GLFUNC * | ptr_glProgramUniform4uiv) (GLuint program, GLint location, GLsizei count, const GLuint *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix2dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix2fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix2x3dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix2x3fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix2x4dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix2x4fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix3dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix3fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix3x2dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix3x2fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix3x4dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix3x4fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix4dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix4fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix4x2dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix4x2fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix4x3dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glProgramUniformMatrix4x3fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glProvokingVertex) (GLenum mode)
typedef void(GLFUNC * | ptr_glPushDebugGroup) (GLenum source, GLuint id, GLsizei length, const GLchar *message)
typedef void(GLFUNC * | ptr_glQueryCounter) (GLuint id, GLenum target)
typedef void(GLFUNC * | ptr_glReadBuffer) (GLenum mode)
typedef void(GLFUNC * | ptr_glReadnPixels) (GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, void *data)
typedef void(GLFUNC * | ptr_glReadnPixelsARB) (GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, GLvoid *data)
typedef void(GLFUNC * | ptr_glReadPixels) (GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid *pixels)
typedef void(GLFUNC * | ptr_glReleaseShaderCompiler) (void)
typedef void(GLFUNC * | ptr_glRenderbufferStorage) (GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
typedef void(GLFUNC * | ptr_glRenderbufferStorageMultisample) (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
typedef void(GLFUNC * | ptr_glResumeTransformFeedback) (void)
typedef void(GLFUNC * | ptr_glSampleCoverage) (GLfloat value, GLboolean invert)
typedef void(GLFUNC * | ptr_glSampleMaski) (GLuint index, GLbitfield mask)
typedef void(GLFUNC * | ptr_glSamplerParameterf) (GLuint sampler, GLenum pname, GLfloat param)
typedef void(GLFUNC * | ptr_glSamplerParameterfv) (GLuint sampler, GLenum pname, const GLfloat *param)
typedef void(GLFUNC * | ptr_glSamplerParameteri) (GLuint sampler, GLenum pname, GLint param)
typedef void(GLFUNC * | ptr_glSamplerParameterIiv) (GLuint sampler, GLenum pname, const GLint *param)
typedef void(GLFUNC * | ptr_glSamplerParameterIuiv) (GLuint sampler, GLenum pname, const GLuint *param)
typedef void(GLFUNC * | ptr_glSamplerParameteriv) (GLuint sampler, GLenum pname, const GLint *param)
typedef void(GLFUNC * | ptr_glScissor) (GLint x, GLint y, GLsizei width, GLsizei height)
typedef void(GLFUNC * | ptr_glScissorArrayv) (GLuint first, GLsizei count, const GLint *v)
typedef void(GLFUNC * | ptr_glScissorIndexed) (GLuint index, GLint left, GLint bottom, GLsizei width, GLsizei height)
typedef void(GLFUNC * | ptr_glScissorIndexedv) (GLuint index, const GLint *v)
typedef void(GLFUNC * | ptr_glSecondaryColorP3ui) (GLenum type, GLuint color)
typedef void(GLFUNC * | ptr_glSecondaryColorP3uiv) (GLenum type, const GLuint *color)
typedef void(GLFUNC * | ptr_glShaderBinary) (GLsizei count, const GLuint *shaders, GLenum binaryformat, const GLvoid *binary, GLsizei length)
typedef void(GLFUNC * | ptr_glShaderSource) (GLuint shader, GLsizei count, const GLchar *const *string, const GLint *length)
typedef void(GLFUNC * | ptr_glShaderStorageBlockBinding) (GLuint program, GLuint storageBlockIndex, GLuint storageBlockBinding)
typedef void(GLFUNC * | ptr_glStencilFunc) (GLenum func, GLint ref, GLuint mask)
typedef void(GLFUNC * | ptr_glStencilFuncSeparate) (GLenum face, GLenum func, GLint ref, GLuint mask)
typedef void(GLFUNC * | ptr_glStencilMask) (GLuint mask)
typedef void(GLFUNC * | ptr_glStencilMaskSeparate) (GLenum face, GLuint mask)
typedef void(GLFUNC * | ptr_glStencilOp) (GLenum fail, GLenum zfail, GLenum zpass)
typedef void(GLFUNC * | ptr_glStencilOpSeparate) (GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass)
typedef void(GLFUNC * | ptr_glTexBuffer) (GLenum target, GLenum internalformat, GLuint buffer)
typedef void(GLFUNC * | ptr_glTexBufferRange) (GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
typedef void(GLFUNC * | ptr_glTexCoordP1ui) (GLenum type, GLuint coords)
typedef void(GLFUNC * | ptr_glTexCoordP1uiv) (GLenum type, const GLuint *coords)
typedef void(GLFUNC * | ptr_glTexCoordP2ui) (GLenum type, GLuint coords)
typedef void(GLFUNC * | ptr_glTexCoordP2uiv) (GLenum type, const GLuint *coords)
typedef void(GLFUNC * | ptr_glTexCoordP3ui) (GLenum type, GLuint coords)
typedef void(GLFUNC * | ptr_glTexCoordP3uiv) (GLenum type, const GLuint *coords)
typedef void(GLFUNC * | ptr_glTexCoordP4ui) (GLenum type, GLuint coords)
typedef void(GLFUNC * | ptr_glTexCoordP4uiv) (GLenum type, const GLuint *coords)
typedef void(GLFUNC * | ptr_glTexImage1D) (GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
typedef void(GLFUNC * | ptr_glTexImage2D) (GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
typedef void(GLFUNC * | ptr_glTexImage2DMultisample) (GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
typedef void(GLFUNC * | ptr_glTexImage3D) (GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
typedef void(GLFUNC * | ptr_glTexImage3DMultisample) (GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
typedef void(GLFUNC * | ptr_glTexParameterf) (GLenum target, GLenum pname, GLfloat param)
typedef void(GLFUNC * | ptr_glTexParameterfv) (GLenum target, GLenum pname, const GLfloat *params)
typedef void(GLFUNC * | ptr_glTexParameteri) (GLenum target, GLenum pname, GLint param)
typedef void(GLFUNC * | ptr_glTexParameterIiv) (GLenum target, GLenum pname, const GLint *params)
typedef void(GLFUNC * | ptr_glTexParameterIuiv) (GLenum target, GLenum pname, const GLuint *params)
typedef void(GLFUNC * | ptr_glTexParameteriv) (GLenum target, GLenum pname, const GLint *params)
typedef void(GLFUNC * | ptr_glTexStorage1D) (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
typedef void(GLFUNC * | ptr_glTexStorage2D) (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
typedef void(GLFUNC * | ptr_glTexStorage2DMultisample) (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
typedef void(GLFUNC * | ptr_glTexStorage3D) (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
typedef void(GLFUNC * | ptr_glTexStorage3DMultisample) (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
typedef void(GLFUNC * | ptr_glTexSubImage1D) (GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels)
typedef void(GLFUNC * | ptr_glTexSubImage2D) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
typedef void(GLFUNC * | ptr_glTexSubImage3D) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
typedef void(GLFUNC * | ptr_glTextureBarrier) (void)
typedef void(GLFUNC * | ptr_glTextureBuffer) (GLuint texture, GLenum internalformat, GLuint buffer)
typedef void(GLFUNC * | ptr_glTextureBufferRange) (GLuint texture, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
typedef void(GLFUNC * | ptr_glTextureBufferRangeEXT) (GLuint texture, GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
typedef void(GLFUNC * | ptr_glTextureParameterf) (GLuint texture, GLenum pname, GLfloat param)
typedef void(GLFUNC * | ptr_glTextureParameterfv) (GLuint texture, GLenum pname, const GLfloat *param)
typedef void(GLFUNC * | ptr_glTextureParameteri) (GLuint texture, GLenum pname, GLint param)
typedef void(GLFUNC * | ptr_glTextureParameterIiv) (GLuint texture, GLenum pname, const GLint *params)
typedef void(GLFUNC * | ptr_glTextureParameterIuiv) (GLuint texture, GLenum pname, const GLuint *params)
typedef void(GLFUNC * | ptr_glTextureParameteriv) (GLuint texture, GLenum pname, const GLint *param)
typedef void(GLFUNC * | ptr_glTextureStorage1D) (GLuint texture, GLsizei levels, GLenum internalformat, GLsizei width)
typedef void(GLFUNC * | ptr_glTextureStorage1DEXT) (GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
typedef void(GLFUNC * | ptr_glTextureStorage2D) (GLuint texture, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
typedef void(GLFUNC * | ptr_glTextureStorage2DEXT) (GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
typedef void(GLFUNC * | ptr_glTextureStorage2DMultisample) (GLuint texture, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
typedef void(GLFUNC * | ptr_glTextureStorage2DMultisampleEXT) (GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
typedef void(GLFUNC * | ptr_glTextureStorage3D) (GLuint texture, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
typedef void(GLFUNC * | ptr_glTextureStorage3DEXT) (GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
typedef void(GLFUNC * | ptr_glTextureStorage3DMultisample) (GLuint texture, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
typedef void(GLFUNC * | ptr_glTextureStorage3DMultisampleEXT) (GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
typedef void(GLFUNC * | ptr_glTextureSubImage1D) (GLuint texture, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void *pixels)
typedef void(GLFUNC * | ptr_glTextureSubImage2D) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void *pixels)
typedef void(GLFUNC * | ptr_glTextureSubImage3D) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void *pixels)
typedef void(GLFUNC * | ptr_glTextureView) (GLuint texture, GLenum target, GLuint origtexture, GLenum internalformat, GLuint minlevel, GLuint numlevels, GLuint minlayer, GLuint numlayers)
typedef void(GLFUNC * | ptr_glTransformFeedbackBufferBase) (GLuint xfb, GLuint index, GLuint buffer)
typedef void(GLFUNC * | ptr_glTransformFeedbackBufferRange) (GLuint xfb, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
typedef void(GLFUNC * | ptr_glTransformFeedbackVaryings) (GLuint program, GLsizei count, const GLchar *const *varyings, GLenum bufferMode)
typedef void(GLFUNC * | ptr_glUniform1d) (GLint location, GLdouble x)
typedef void(GLFUNC * | ptr_glUniform1dv) (GLint location, GLsizei count, const GLdouble *value)
typedef void(GLFUNC * | ptr_glUniform1f) (GLint location, GLfloat v0)
typedef void(GLFUNC * | ptr_glUniform1fv) (GLint location, GLsizei count, const GLfloat *value)
typedef void(GLFUNC * | ptr_glUniform1i) (GLint location, GLint v0)
typedef void(GLFUNC * | ptr_glUniform1iv) (GLint location, GLsizei count, const GLint *value)
typedef void(GLFUNC * | ptr_glUniform1ui) (GLint location, GLuint v0)
typedef void(GLFUNC * | ptr_glUniform1uiv) (GLint location, GLsizei count, const GLuint *value)
typedef void(GLFUNC * | ptr_glUniform2d) (GLint location, GLdouble x, GLdouble y)
typedef void(GLFUNC * | ptr_glUniform2dv) (GLint location, GLsizei count, const GLdouble *value)
typedef void(GLFUNC * | ptr_glUniform2f) (GLint location, GLfloat v0, GLfloat v1)
typedef void(GLFUNC * | ptr_glUniform2fv) (GLint location, GLsizei count, const GLfloat *value)
typedef void(GLFUNC * | ptr_glUniform2i) (GLint location, GLint v0, GLint v1)
typedef void(GLFUNC * | ptr_glUniform2iv) (GLint location, GLsizei count, const GLint *value)
typedef void(GLFUNC * | ptr_glUniform2ui) (GLint location, GLuint v0, GLuint v1)
typedef void(GLFUNC * | ptr_glUniform2uiv) (GLint location, GLsizei count, const GLuint *value)
typedef void(GLFUNC * | ptr_glUniform3d) (GLint location, GLdouble x, GLdouble y, GLdouble z)
typedef void(GLFUNC * | ptr_glUniform3dv) (GLint location, GLsizei count, const GLdouble *value)
typedef void(GLFUNC * | ptr_glUniform3f) (GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
typedef void(GLFUNC * | ptr_glUniform3fv) (GLint location, GLsizei count, const GLfloat *value)
typedef void(GLFUNC * | ptr_glUniform3i) (GLint location, GLint v0, GLint v1, GLint v2)
typedef void(GLFUNC * | ptr_glUniform3iv) (GLint location, GLsizei count, const GLint *value)
typedef void(GLFUNC * | ptr_glUniform3ui) (GLint location, GLuint v0, GLuint v1, GLuint v2)
typedef void(GLFUNC * | ptr_glUniform3uiv) (GLint location, GLsizei count, const GLuint *value)
typedef void(GLFUNC * | ptr_glUniform4d) (GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
typedef void(GLFUNC * | ptr_glUniform4dv) (GLint location, GLsizei count, const GLdouble *value)
typedef void(GLFUNC * | ptr_glUniform4f) (GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
typedef void(GLFUNC * | ptr_glUniform4fv) (GLint location, GLsizei count, const GLfloat *value)
typedef void(GLFUNC * | ptr_glUniform4i) (GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
typedef void(GLFUNC * | ptr_glUniform4iv) (GLint location, GLsizei count, const GLint *value)
typedef void(GLFUNC * | ptr_glUniform4ui) (GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
typedef void(GLFUNC * | ptr_glUniform4uiv) (GLint location, GLsizei count, const GLuint *value)
typedef void(GLFUNC * | ptr_glUniformBlockBinding) (GLuint program, GLuint uniformBlockIndex, GLuint uniformBlockBinding)
typedef void(GLFUNC * | ptr_glUniformMatrix2dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glUniformMatrix2fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glUniformMatrix2x3dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glUniformMatrix2x3fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glUniformMatrix2x4dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glUniformMatrix2x4fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glUniformMatrix3dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glUniformMatrix3fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glUniformMatrix3x2dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glUniformMatrix3x2fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glUniformMatrix3x4dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glUniformMatrix3x4fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glUniformMatrix4dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glUniformMatrix4fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glUniformMatrix4x2dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glUniformMatrix4x2fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glUniformMatrix4x3dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
typedef void(GLFUNC * | ptr_glUniformMatrix4x3fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
typedef void(GLFUNC * | ptr_glUniformSubroutinesuiv) (GLenum shadertype, GLsizei count, const GLuint *indices)
typedef GLboolean(GLFUNC * | ptr_glUnmapBuffer) (GLenum target)
typedef GLboolean(GLFUNC * | ptr_glUnmapNamedBuffer) (GLuint buffer)
typedef void(GLFUNC * | ptr_glUseProgram) (GLuint program)
typedef void(GLFUNC * | ptr_glUseProgramStages) (GLuint pipeline, GLbitfield stages, GLuint program)
typedef void(GLFUNC * | ptr_glValidateProgram) (GLuint program)
typedef void(GLFUNC * | ptr_glValidateProgramPipeline) (GLuint pipeline)
typedef void(GLFUNC * | ptr_glVertexArrayAttribBinding) (GLuint vaobj, GLuint attribindex, GLuint bindingindex)
typedef void(GLFUNC * | ptr_glVertexArrayAttribFormat) (GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)
typedef void(GLFUNC * | ptr_glVertexArrayAttribIFormat) (GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
typedef void(GLFUNC * | ptr_glVertexArrayAttribLFormat) (GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
typedef void(GLFUNC * | ptr_glVertexArrayBindingDivisor) (GLuint vaobj, GLuint bindingindex, GLuint divisor)
typedef void(GLFUNC * | ptr_glVertexArrayBindVertexBufferEXT) (GLuint vaobj, GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)
typedef void(GLFUNC * | ptr_glVertexArrayElementBuffer) (GLuint vaobj, GLuint buffer)
typedef void(GLFUNC * | ptr_glVertexArrayVertexAttribBindingEXT) (GLuint vaobj, GLuint attribindex, GLuint bindingindex)
typedef void(GLFUNC * | ptr_glVertexArrayVertexAttribFormatEXT) (GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)
typedef void(GLFUNC * | ptr_glVertexArrayVertexAttribIFormatEXT) (GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
typedef void(GLFUNC * | ptr_glVertexArrayVertexAttribLFormatEXT) (GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
typedef void(GLFUNC * | ptr_glVertexArrayVertexBindingDivisorEXT) (GLuint vaobj, GLuint bindingindex, GLuint divisor)
typedef void(GLFUNC * | ptr_glVertexArrayVertexBuffer) (GLuint vaobj, GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)
typedef void(GLFUNC * | ptr_glVertexArrayVertexBuffers) (GLuint vaobj, GLuint first, GLsizei count, const GLuint *buffers, const GLintptr *offsets, const GLsizei *strides)
typedef void(GLFUNC * | ptr_glVertexAttrib1d) (GLuint index, GLdouble x)
typedef void(GLFUNC * | ptr_glVertexAttrib1dv) (GLuint index, const GLdouble *v)
typedef void(GLFUNC * | ptr_glVertexAttrib1f) (GLuint index, GLfloat x)
typedef void(GLFUNC * | ptr_glVertexAttrib1fv) (GLuint index, const GLfloat *v)
typedef void(GLFUNC * | ptr_glVertexAttrib1s) (GLuint index, GLshort x)
typedef void(GLFUNC * | ptr_glVertexAttrib1sv) (GLuint index, const GLshort *v)
typedef void(GLFUNC * | ptr_glVertexAttrib2d) (GLuint index, GLdouble x, GLdouble y)
typedef void(GLFUNC * | ptr_glVertexAttrib2dv) (GLuint index, const GLdouble *v)
typedef void(GLFUNC * | ptr_glVertexAttrib2f) (GLuint index, GLfloat x, GLfloat y)
typedef void(GLFUNC * | ptr_glVertexAttrib2fv) (GLuint index, const GLfloat *v)
typedef void(GLFUNC * | ptr_glVertexAttrib2s) (GLuint index, GLshort x, GLshort y)
typedef void(GLFUNC * | ptr_glVertexAttrib2sv) (GLuint index, const GLshort *v)
typedef void(GLFUNC * | ptr_glVertexAttrib3d) (GLuint index, GLdouble x, GLdouble y, GLdouble z)
typedef void(GLFUNC * | ptr_glVertexAttrib3dv) (GLuint index, const GLdouble *v)
typedef void(GLFUNC * | ptr_glVertexAttrib3f) (GLuint index, GLfloat x, GLfloat y, GLfloat z)
typedef void(GLFUNC * | ptr_glVertexAttrib3fv) (GLuint index, const GLfloat *v)
typedef void(GLFUNC * | ptr_glVertexAttrib3s) (GLuint index, GLshort x, GLshort y, GLshort z)
typedef void(GLFUNC * | ptr_glVertexAttrib3sv) (GLuint index, const GLshort *v)
typedef void(GLFUNC * | ptr_glVertexAttrib4bv) (GLuint index, const GLbyte *v)
typedef void(GLFUNC * | ptr_glVertexAttrib4d) (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
typedef void(GLFUNC * | ptr_glVertexAttrib4dv) (GLuint index, const GLdouble *v)
typedef void(GLFUNC * | ptr_glVertexAttrib4f) (GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
typedef void(GLFUNC * | ptr_glVertexAttrib4fv) (GLuint index, const GLfloat *v)
typedef void(GLFUNC * | ptr_glVertexAttrib4iv) (GLuint index, const GLint *v)
typedef void(GLFUNC * | ptr_glVertexAttrib4Nbv) (GLuint index, const GLbyte *v)
typedef void(GLFUNC * | ptr_glVertexAttrib4Niv) (GLuint index, const GLint *v)
typedef void(GLFUNC * | ptr_glVertexAttrib4Nsv) (GLuint index, const GLshort *v)
typedef void(GLFUNC * | ptr_glVertexAttrib4Nub) (GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
typedef void(GLFUNC * | ptr_glVertexAttrib4Nubv) (GLuint index, const GLubyte *v)
typedef void(GLFUNC * | ptr_glVertexAttrib4Nuiv) (GLuint index, const GLuint *v)
typedef void(GLFUNC * | ptr_glVertexAttrib4Nusv) (GLuint index, const GLushort *v)
typedef void(GLFUNC * | ptr_glVertexAttrib4s) (GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
typedef void(GLFUNC * | ptr_glVertexAttrib4sv) (GLuint index, const GLshort *v)
typedef void(GLFUNC * | ptr_glVertexAttrib4ubv) (GLuint index, const GLubyte *v)
typedef void(GLFUNC * | ptr_glVertexAttrib4uiv) (GLuint index, const GLuint *v)
typedef void(GLFUNC * | ptr_glVertexAttrib4usv) (GLuint index, const GLushort *v)
typedef void(GLFUNC * | ptr_glVertexAttribBinding) (GLuint attribindex, GLuint bindingindex)
typedef void(GLFUNC * | ptr_glVertexAttribDivisor) (GLuint index, GLuint divisor)
typedef void(GLFUNC * | ptr_glVertexAttribFormat) (GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)
typedef void(GLFUNC * | ptr_glVertexAttribI1i) (GLuint index, GLint x)
typedef void(GLFUNC * | ptr_glVertexAttribI1iv) (GLuint index, const GLint *v)
typedef void(GLFUNC * | ptr_glVertexAttribI1ui) (GLuint index, GLuint x)
typedef void(GLFUNC * | ptr_glVertexAttribI1uiv) (GLuint index, const GLuint *v)
typedef void(GLFUNC * | ptr_glVertexAttribI2i) (GLuint index, GLint x, GLint y)
typedef void(GLFUNC * | ptr_glVertexAttribI2iv) (GLuint index, const GLint *v)
typedef void(GLFUNC * | ptr_glVertexAttribI2ui) (GLuint index, GLuint x, GLuint y)
typedef void(GLFUNC * | ptr_glVertexAttribI2uiv) (GLuint index, const GLuint *v)
typedef void(GLFUNC * | ptr_glVertexAttribI3i) (GLuint index, GLint x, GLint y, GLint z)
typedef void(GLFUNC * | ptr_glVertexAttribI3iv) (GLuint index, const GLint *v)
typedef void(GLFUNC * | ptr_glVertexAttribI3ui) (GLuint index, GLuint x, GLuint y, GLuint z)
typedef void(GLFUNC * | ptr_glVertexAttribI3uiv) (GLuint index, const GLuint *v)
typedef void(GLFUNC * | ptr_glVertexAttribI4bv) (GLuint index, const GLbyte *v)
typedef void(GLFUNC * | ptr_glVertexAttribI4i) (GLuint index, GLint x, GLint y, GLint z, GLint w)
typedef void(GLFUNC * | ptr_glVertexAttribI4iv) (GLuint index, const GLint *v)
typedef void(GLFUNC * | ptr_glVertexAttribI4sv) (GLuint index, const GLshort *v)
typedef void(GLFUNC * | ptr_glVertexAttribI4ubv) (GLuint index, const GLubyte *v)
typedef void(GLFUNC * | ptr_glVertexAttribI4ui) (GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
typedef void(GLFUNC * | ptr_glVertexAttribI4uiv) (GLuint index, const GLuint *v)
typedef void(GLFUNC * | ptr_glVertexAttribI4usv) (GLuint index, const GLushort *v)
typedef void(GLFUNC * | ptr_glVertexAttribIFormat) (GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
typedef void(GLFUNC * | ptr_glVertexAttribIPointer) (GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
typedef void(GLFUNC * | ptr_glVertexAttribL1d) (GLuint index, GLdouble x)
typedef void(GLFUNC * | ptr_glVertexAttribL1dv) (GLuint index, const GLdouble *v)
typedef void(GLFUNC * | ptr_glVertexAttribL2d) (GLuint index, GLdouble x, GLdouble y)
typedef void(GLFUNC * | ptr_glVertexAttribL2dv) (GLuint index, const GLdouble *v)
typedef void(GLFUNC * | ptr_glVertexAttribL3d) (GLuint index, GLdouble x, GLdouble y, GLdouble z)
typedef void(GLFUNC * | ptr_glVertexAttribL3dv) (GLuint index, const GLdouble *v)
typedef void(GLFUNC * | ptr_glVertexAttribL4d) (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
typedef void(GLFUNC * | ptr_glVertexAttribL4dv) (GLuint index, const GLdouble *v)
typedef void(GLFUNC * | ptr_glVertexAttribLFormat) (GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
typedef void(GLFUNC * | ptr_glVertexAttribLPointer) (GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
typedef void(GLFUNC * | ptr_glVertexAttribP1ui) (GLuint index, GLenum type, GLboolean normalized, GLuint value)
typedef void(GLFUNC * | ptr_glVertexAttribP1uiv) (GLuint index, GLenum type, GLboolean normalized, const GLuint *value)
typedef void(GLFUNC * | ptr_glVertexAttribP2ui) (GLuint index, GLenum type, GLboolean normalized, GLuint value)
typedef void(GLFUNC * | ptr_glVertexAttribP2uiv) (GLuint index, GLenum type, GLboolean normalized, const GLuint *value)
typedef void(GLFUNC * | ptr_glVertexAttribP3ui) (GLuint index, GLenum type, GLboolean normalized, GLuint value)
typedef void(GLFUNC * | ptr_glVertexAttribP3uiv) (GLuint index, GLenum type, GLboolean normalized, const GLuint *value)
typedef void(GLFUNC * | ptr_glVertexAttribP4ui) (GLuint index, GLenum type, GLboolean normalized, GLuint value)
typedef void(GLFUNC * | ptr_glVertexAttribP4uiv) (GLuint index, GLenum type, GLboolean normalized, const GLuint *value)
typedef void(GLFUNC * | ptr_glVertexAttribPointer) (GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid *pointer)
typedef void(GLFUNC * | ptr_glVertexBindingDivisor) (GLuint bindingindex, GLuint divisor)
typedef void(GLFUNC * | ptr_glVertexP2ui) (GLenum type, GLuint value)
typedef void(GLFUNC * | ptr_glVertexP2uiv) (GLenum type, const GLuint *value)
typedef void(GLFUNC * | ptr_glVertexP3ui) (GLenum type, GLuint value)
typedef void(GLFUNC * | ptr_glVertexP3uiv) (GLenum type, const GLuint *value)
typedef void(GLFUNC * | ptr_glVertexP4ui) (GLenum type, GLuint value)
typedef void(GLFUNC * | ptr_glVertexP4uiv) (GLenum type, const GLuint *value)
typedef void(GLFUNC * | ptr_glViewport) (GLint x, GLint y, GLsizei width, GLsizei height)
typedef void(GLFUNC * | ptr_glViewportArrayv) (GLuint first, GLsizei count, const GLfloat *v)
typedef void(GLFUNC * | ptr_glViewportIndexedf) (GLuint index, GLfloat x, GLfloat y, GLfloat w, GLfloat h)
typedef void(GLFUNC * | ptr_glViewportIndexedfv) (GLuint index, const GLfloat *v)
typedef void(GLFUNC * | ptr_glWaitSync) (CLsync sync, GLbitfield flags, CLuint64 timeout)

## Public Attributes
ptr_glActiveShaderProgram | activeShaderProgram
ptr_glActiveTexture | activeTexture
ptr_glAttachShader | attachShader
ptr_glBeginConditionalRender | beginConditionalRender
ptr_glBeginQuery | beginQuery
ptr_glBeginQueryIndexed | beginQueryIndexed
ptr_glBeginTransformFeedback | beginTransformFeedback
ptr_glBindAttribLocation | bindAttribLocation
ptr_glBindBuffer | bindBuffer
ptr_glBindBufferBase | bindBufferBase
ptr_glBindBufferRange | bindBufferRange
ptr_glBindBuffersBase | BindBuffersBase
ptr_glBindBuffersRange | BindBuffersRange
ptr_glBindFragDataLocation | bindFragDataLocation
ptr_glBindFragDataLocationIndexed | bindFragDataLocationIndexed
ptr_glBindFramebuffer | bindFramebuffer
ptr_glBindImageTexture | bindImageTexture
ptr_glBindImageTextures | BindImageTextures
ptr_glBindProgramPipeline | bindProgramPipeline
ptr_glBindRenderbuffer | bindRenderbuffer
ptr_glBindSampler | bindSampler
ptr_glBindSamplers | BindSamplers
ptr_glBindTexture | bindTexture
ptr_glBindTextures | BindTextures
ptr_glBindTextureUnit | BindTextureUnit
ptr_glBindTransformFeedback | bindTransformFeedback
ptr_glBindVertexArray | bindVertexArray
ptr_glBindVertexBuffer | bindVertexBuffer
ptr_glBindVertexBuffers | BindVertexBuffers
ptr_glBlendColor | blendColor
ptr_glBlendEquation | blendEquation
ptr_glBlendEquationi | blendEquationi
ptr_glBlendEquationiARB | blendEquationiARB
ptr_glBlendEquationSeparate | blendEquationSeparate
ptr_glBlendEquationSeparatei | blendEquationSeparatei
ptr_glBlendEquationSeparateiARB | blendEquationSeparateiARB
ptr_glBlendFunc | blendFunc
ptr_glBlendFunci | blendFunci
ptr_glBlendFunciARB | blendFunciARB
ptr_glBlendFuncSeparate | blendFuncSeparate
ptr_glBlendFuncSeparatei | blendFuncSeparatei
ptr_glBlendFuncSeparateiARB | blendFuncSeparateiARB
ptr_glBlitFramebuffer | blitFramebuffer
ptr_glBlitNamedFramebuffer | BlitNamedFramebuffer
ptr_glBufferData | bufferData
ptr_glBufferStorage | BufferStorage
ptr_glBufferSubData | bufferSubData
ptr_glCheckFramebufferStatus | checkFramebufferStatus
ptr_glCheckNamedFramebufferStatus | CheckNamedFramebufferStatus
ptr_glClampColor | clampColor
ptr_glClear | clear
ptr_glClearBufferData | clearBufferData
ptr_glClearBufferfi | clearBufferfi
ptr_glClearBufferfv | clearBufferfv
ptr_glClearBufferiv | clearBufferiv
ptr_glClearBufferSubData | clearBufferSubData
ptr_glClearBufferuiv | clearBufferuiv
ptr_glClearColor | clearColor
ptr_glClearDepth | clearDepth
ptr_glClearDepthf | clearDepthf
ptr_glClearNamedBufferData | ClearNamedBufferData
ptr_glClearNamedBufferDataEXT | clearNamedBufferDataEXT
ptr_glClearNamedBufferSubData | ClearNamedBufferSubData
ptr_glClearNamedBufferSubDataEXT | clearNamedBufferSubDataEXT
ptr_glClearNamedFramebufferfi | ClearNamedFramebufferfi
ptr_glClearNamedFramebufferfv | ClearNamedFramebufferfv
ptr_glClearNamedFramebufferiv | ClearNamedFramebufferiv
ptr_glClearNamedFramebufferuiv | ClearNamedFramebufferuiv
ptr_glClearStencil | clearStencil
ptr_glClearTexImage | ClearTexImage
ptr_glClearTexSubImage | ClearTexSubImage
ptr_glClientActiveTextureARB | clientActiveTexture
ptr_glClientWaitSync | clientWaitSync
ptr_glClipControl | ClipControl
ptr_glColorMask | colorMask
ptr_glColorMaski | colorMaski
ptr_glColorP3ui | colorP3ui
ptr_glColorP3uiv | colorP3uiv
ptr_glColorP4ui | colorP4ui
ptr_glColorP4uiv | colorP4uiv
ptr_glCompileShader | compileShader
ptr_glCompileShaderIncludeARB | compileShaderIncludeARB
ptr_glCompressedTexImage1D | compressedTexImage1D
ptr_glCompressedTexImage2D | compressedTexImage2D
ptr_glCompressedTexImage3D | compressedTexImage3D
ptr_glCompressedTexSubImage1D | compressedTexSubImage1D
ptr_glCompressedTexSubImage2D | compressedTexSubImage2D
ptr_glCompressedTexSubImage3D | compressedTexSubImage3D
ptr_glCompressedTextureSubImage1D | CompressedTextureSubImage1D
ptr_glCompressedTextureSubImage2D | CompressedTextureSubImage2D
ptr_glCompressedTextureSubImage3D | CompressedTextureSubImage3D
ptr_glCopyBufferSubData | copyBufferSubData
ptr_glCopyImageSubData | copyImageSubData
ptr_glCopyNamedBufferSubData | CopyNamedBufferSubData
ptr_glCopyTexImage1D | copyTexImage1D
ptr_glCopyTexImage2D | copyTexImage2D
ptr_glCopyTexSubImage1D | copyTexSubImage1D
ptr_glCopyTexSubImage2D | copyTexSubImage2D
ptr_glCopyTexSubImage3D | copyTexSubImage3D
ptr_glCopyTextureSubImage1D | CopyTextureSubImage1D
ptr_glCopyTextureSubImage2D | CopyTextureSubImage2D
ptr_glCopyTextureSubImage3D | CopyTextureSubImage3D
ptr_glCreateBuffers | CreateBuffers
ptr_glCreateFramebuffers | CreateFramebuffers
ptr_glCreateProgram | createProgram
ptr_glCreateProgramPipelines | CreateProgramPipelines
ptr_glCreateQueries | CreateQueries
ptr_glCreateRenderbuffers | CreateRenderbuffers
ptr_glCreateSamplers | CreateSamplers
ptr_glCreateShader | createShader
ptr_glCreateShaderProgramv | createShaderProgramv
ptr_glCreateSyncFromCLeventARB | createSyncFromCLeventARB
ptr_glCreateTextures | CreateTextures
ptr_glCreateTransformFeedbacks | CreateTransformFeedbacks
ptr_glCreateVertexArrays | CreateVertexArrays
ptr_glCullFace | cullFace
ptr_glDebugMessageCallback | debugMessageCallback
ptr_glDebugMessageCallbackARB | debugMessageCallbackARB
ptr_glDebugMessageControl | debugMessageControl
ptr_glDebugMessageControlARB | debugMessageControlARB
ptr_glDebugMessageInsert | debugMessageInsert
ptr_glDebugMessageInsertARB | debugMessageInsertARB
ptr_glDeleteBuffers | deleteBuffers
ptr_glDeleteFramebuffers | deleteFramebuffers
ptr_glDeleteNamedStringARB | deleteNamedStringARB
ptr_glDeleteProgram | deleteProgram
ptr_glDeleteProgramPipelines | deleteProgramPipelines
ptr_glDeleteQueries | deleteQueries
ptr_glDeleteRenderbuffers | deleteRenderbuffers
ptr_glDeleteSamplers | deleteSamplers
ptr_glDeleteShader | deleteShader
ptr_glDeleteSync | deleteSync
ptr_glDeleteTextures | deleteTextures
ptr_glDeleteTransformFeedbacks | deleteTransformFeedbacks
ptr_glDeleteVertexArrays | deleteVertexArrays
ptr_glDepthFunc | depthFunc
ptr_glDepthMask | depthMask
ptr_glDepthRange | depthRange
ptr_glDepthRangeArrayv | depthRangeArrayv
ptr_glDepthRangef | depthRangef
ptr_glDepthRangeIndexed | depthRangeIndexed
ptr_glDetachShader | detachShader
ptr_glDisable | disable
ptr_glDisablei | disablei
ptr_glDisableVertexArrayAttrib | DisableVertexArrayAttrib
ptr_glDisableVertexAttribArray | disableVertexAttribArray
ptr_glDispatchCompute | dispatchCompute
ptr_glDispatchComputeIndirect | dispatchComputeIndirect
ptr_glDrawArrays | drawArrays
ptr_glDrawArraysIndirect | drawArraysIndirect
ptr_glDrawArraysInstanced | drawArraysInstanced
ptr_glDrawArraysInstancedBaseInstance | drawArraysInstancedBaseInstance
ptr_glDrawBuffer | drawBuffer
ptr_glDrawBuffers | drawBuffers
ptr_glDrawElements | drawElements
ptr_glDrawElementsBaseVertex | drawElementsBaseVertex
ptr_glDrawElementsIndirect | drawElementsIndirect
ptr_glDrawElementsInstanced | drawElementsInstanced
ptr_glDrawElementsInstancedBaseInstance | drawElementsInstancedBaseInstance
ptr_glDrawElementsInstancedBaseVertex | drawElementsInstancedBaseVertex
ptr_glDrawElementsInstancedBaseVertexBaseInstance | drawElementsInstancedBaseVertexBaseInstance
ptr_glDrawRangeElements | drawRangeElements
ptr_glDrawRangeElementsBaseVertex | drawRangeElementsBaseVertex
ptr_glDrawTransformFeedback | drawTransformFeedback
ptr_glDrawTransformFeedbackInstanced | drawTransformFeedbackInstanced
ptr_glDrawTransformFeedbackStream | drawTransformFeedbackStream
ptr_glDrawTransformFeedbackStreamInstanced | drawTransformFeedbackStreamInstanced
ptr_glEnable | enable
ptr_glEnablei | enablei
ptr_glEnableVertexArrayAttrib | EnableVertexArrayAttrib
ptr_glEnableVertexAttribArray | enableVertexAttribArray
ptr_glEndConditionalRender | endConditionalRender
ptr_glEndQuery | endQuery
ptr_glEndQueryIndexed | endQueryIndexed
ptr_glEndTransformFeedback | endTransformFeedback
ptr_glFenceSync | fenceSync
ptr_glFinish | finish
ptr_glFlush | flush
ptr_glFlushMappedBufferRange | flushMappedBufferRange
ptr_glFlushMappedNamedBufferRange | FlushMappedNamedBufferRange
ptr_glFramebufferParameteri | framebufferParameteri
ptr_glFramebufferRenderbuffer | framebufferRenderbuffer
ptr_glFramebufferTexture | framebufferTexture
ptr_glFramebufferTexture1D | framebufferTexture1D
ptr_glFramebufferTexture2D | framebufferTexture2D
ptr_glFramebufferTexture3D | framebufferTexture3D
ptr_glFramebufferTextureLayer | framebufferTextureLayer
ptr_glFrontFace | frontFace
ptr_glGenBuffers | genBuffers
ptr_glGenerateMipmap | generateMipmap
ptr_glGenerateTextureMipmap | GenerateTextureMipmap
ptr_glGenFramebuffers | genFramebuffers
ptr_glGenProgramPipelines | genProgramPipelines
ptr_glGenQueries | genQueries
ptr_glGenRenderbuffers | genRenderbuffers
ptr_glGenSamplers | genSamplers
ptr_glGenTextures | genTextures
ptr_glGenTransformFeedbacks | genTransformFeedbacks
ptr_glGenVertexArrays | genVertexArrays
ptr_glGetActiveAtomicCounterBufferiv | getActiveAtomicCounterBufferiv
ptr_glGetActiveAttrib | getActiveAttrib
ptr_glGetActiveSubroutineName | getActiveSubroutineName
ptr_glGetActiveSubroutineUniformiv | getActiveSubroutineUniformiv
ptr_glGetActiveSubroutineUniformName | getActiveSubroutineUniformName
ptr_glGetActiveUniform | getActiveUniform
ptr_glGetActiveUniformBlockiv | getActiveUniformBlockiv
ptr_glGetActiveUniformBlockName | getActiveUniformBlockName
ptr_glGetActiveUniformName | getActiveUniformName
ptr_glGetActiveUniformsiv | getActiveUniformsiv
ptr_glGetAttachedShaders | getAttachedShaders
ptr_glGetAttribLocation | getAttribLocation
ptr_glGetBooleani_v | getBooleani_v
ptr_glGetBooleanv | getBooleanv
ptr_glGetBufferParameteri64v | getBufferParameteri64v
ptr_glGetBufferParameteriv | getBufferParameteriv
ptr_glGetBufferPointerv | getBufferPointerv
ptr_glGetBufferSubData | getBufferSubData
ptr_glGetCompressedTexImage | getCompressedTexImage
ptr_glGetCompressedTextureImage | GetCompressedTextureImage
ptr_glGetCompressedTextureSubImage | GetCompressedTextureSubImage
ptr_glGetDebugMessageLog | getDebugMessageLog
ptr_glGetDebugMessageLogARB | getDebugMessageLogARB
ptr_glGetDoublei_v | getDoublei_v
ptr_glGetDoublev | getDoublev
ptr_glGetError | getError
ptr_glGetFloati_v | getFloati_v
ptr_glGetFloatv | getFloatv
ptr_glGetFragDataIndex | getFragDataIndex
ptr_glGetFragDataLocation | getFragDataLocation
ptr_glGetFramebufferAttachmentParameteriv | getFramebufferAttachmentParameteriv
ptr_glGetFramebufferParameteriv | getFramebufferParameteriv
ptr_glGetGraphicsResetStatus | GetGraphicsResetStatus
ptr_glGetGraphicsResetStatusARB | getGraphicsResetStatusARB
ptr_glGetInteger64i_v | getInteger64i_v
ptr_glGetInteger64v | getInteger64v
ptr_glGetIntegeri_v | getIntegeri_v
ptr_glGetIntegerv | getIntegerv
ptr_glGetInternalformati64v | getInternalformati64v
ptr_glGetInternalformativ | getInternalformativ
ptr_glGetMultisamplefv | getMultisamplefv
ptr_glGetNamedBufferParameteri64v | GetNamedBufferParameteri64v
ptr_glGetNamedBufferParameteriv | GetNamedBufferParameteriv
ptr_glGetNamedBufferPointerv | GetNamedBufferPointerv
ptr_glGetNamedBufferSubData | GetNamedBufferSubData
ptr_glGetNamedFramebufferAttachmentParameteriv | GetNamedFramebufferAttachmentParameteriv
ptr_glGetNamedFramebufferParameteriv | GetNamedFramebufferParameteriv
ptr_glGetNamedFramebufferParameterivEXT | getNamedFramebufferParameterivEXT
ptr_glGetNamedRenderbufferParameteriv | GetNamedRenderbufferParameteriv
ptr_glGetNamedStringARB | getNamedStringARB
ptr_glGetNamedStringivARB | getNamedStringivARB
ptr_glGetnColorTable | GetnColorTable
ptr_glGetnColorTableARB | getnColorTableARB
ptr_glGetnCompressedTexImage | GetnCompressedTexImage
ptr_glGetnCompressedTexImageARB | getnCompressedTexImageARB
ptr_glGetnConvolutionFilter | GetnConvolutionFilter
ptr_glGetnConvolutionFilterARB | getnConvolutionFilterARB
ptr_glGetnHistogram | GetnHistogram
ptr_glGetnHistogramARB | getnHistogramARB
ptr_glGetnMapdv | GetnMapdv
ptr_glGetnMapdvARB | getnMapdvARB
ptr_glGetnMapfv | GetnMapfv
ptr_glGetnMapfvARB | getnMapfvARB
ptr_glGetnMapiv | GetnMapiv
ptr_glGetnMapivARB | getnMapivARB
ptr_glGetnMinmax | GetnMinmax
ptr_glGetnMinmaxARB | getnMinmaxARB
ptr_glGetnPixelMapfv | GetnPixelMapfv
ptr_glGetnPixelMapfvARB | getnPixelMapfvARB
ptr_glGetnPixelMapuiv | GetnPixelMapuiv
ptr_glGetnPixelMapuivARB | getnPixelMapuivARB
ptr_glGetnPixelMapusv | GetnPixelMapusv
ptr_glGetnPixelMapusvARB | getnPixelMapusvARB
ptr_glGetnPolygonStipple | GetnPolygonStipple
ptr_glGetnPolygonStippleARB | getnPolygonStippleARB
ptr_glGetnSeparableFilter | GetnSeparableFilter
ptr_glGetnSeparableFilterARB | getnSeparableFilterARB
ptr_glGetnTexImage | GetnTexImage
ptr_glGetnTexImageARB | getnTexImageARB
ptr_glGetnUniformdv | GetnUniformdv
ptr_glGetnUniformdvARB | getnUniformdvARB
ptr_glGetnUniformfv | GetnUniformfv
ptr_glGetnUniformfvARB | getnUniformfvARB
ptr_glGetnUniformiv | GetnUniformiv
ptr_glGetnUniformivARB | getnUniformivARB
ptr_glGetnUniformuiv | GetnUniformuiv
ptr_glGetnUniformuivARB | getnUniformuivARB
ptr_glGetObjectLabel | getObjectLabel
ptr_glGetObjectPtrLabel | getObjectPtrLabel
ptr_glGetPointerv | getPointerv
ptr_glGetProgramBinary | getProgramBinary
ptr_glGetProgramInfoLog | getProgramInfoLog
ptr_glGetProgramInterfaceiv | getProgramInterfaceiv
ptr_glGetProgramiv | getProgramiv
ptr_glGetProgramPipelineInfoLog | getProgramPipelineInfoLog
ptr_glGetProgramPipelineiv | getProgramPipelineiv
ptr_glGetProgramResourceIndex | getProgramResourceIndex
ptr_glGetProgramResourceiv | getProgramResourceiv
ptr_glGetProgramResourceLocation | getProgramResourceLocation
ptr_glGetProgramResourceLocationIndex | getProgramResourceLocationIndex
ptr_glGetProgramResourceName | getProgramResourceName
ptr_glGetProgramStageiv | getProgramStageiv
ptr_glGetQueryBufferObjecti64v | GetQueryBufferObjecti64v
ptr_glGetQueryBufferObjectiv | GetQueryBufferObjectiv
ptr_glGetQueryBufferObjectui64v | GetQueryBufferObjectui64v
ptr_glGetQueryBufferObjectuiv | GetQueryBufferObjectuiv
ptr_glGetQueryIndexediv | getQueryIndexediv
ptr_glGetQueryiv | getQueryiv
ptr_glGetQueryObjecti64v | getQueryObjecti64v
ptr_glGetQueryObjectiv | getQueryObjectiv
ptr_glGetQueryObjectui64v | getQueryObjectui64v
ptr_glGetQueryObjectuiv | getQueryObjectuiv
ptr_glGetRenderbufferParameteriv | getRenderbufferParameteriv
ptr_glGetSamplerParameterfv | getSamplerParameterfv
ptr_glGetSamplerParameterIiv | getSamplerParameterIiv
ptr_glGetSamplerParameterIuiv | getSamplerParameterIuiv
ptr_glGetSamplerParameteriv | getSamplerParameteriv
ptr_glGetShaderInfoLog | getShaderInfoLog
ptr_glGetShaderiv | getShaderiv
ptr_glGetShaderPrecisionFormat | getShaderPrecisionFormat
ptr_glGetShaderSource | getShaderSource
ptr_glGetString | getString
ptr_glGetStringi | getStringi
ptr_glGetSubroutineIndex | getSubroutineIndex
ptr_glGetSubroutineUniformLocation | getSubroutineUniformLocation
ptr_glGetSynciv | getSynciv
ptr_glGetTexImage | getTexImage
ptr_glGetTexLevelParameterfv | getTexLevelParameterfv
ptr_glGetTexLevelParameteriv | getTexLevelParameteriv
ptr_glGetTexParameterfv | getTexParameterfv
ptr_glGetTexParameterIiv | getTexParameterIiv
ptr_glGetTexParameterIuiv | getTexParameterIuiv
ptr_glGetTexParameteriv | getTexParameteriv
ptr_glGetTextureImage | GetTextureImage
ptr_glGetTextureLevelParameterfv | GetTextureLevelParameterfv
ptr_glGetTextureLevelParameteriv | GetTextureLevelParameteriv
ptr_glGetTextureParameterfv | GetTextureParameterfv
ptr_glGetTextureParameterIiv | GetTextureParameterIiv
ptr_glGetTextureParameterIuiv | GetTextureParameterIuiv
ptr_glGetTextureParameteriv | GetTextureParameteriv
ptr_glGetTextureSubImage | GetTextureSubImage
ptr_glGetTransformFeedbacki64_v | GetTransformFeedbacki64_v
ptr_glGetTransformFeedbacki_v | GetTransformFeedbacki_v
ptr_glGetTransformFeedbackiv | GetTransformFeedbackiv
ptr_glGetTransformFeedbackVarying | getTransformFeedbackVarying
ptr_glGetUniformBlockIndex | getUniformBlockIndex
ptr_glGetUniformdv | getUniformdv
ptr_glGetUniformfv | getUniformfv
ptr_glGetUniformIndices | getUniformIndices
ptr_glGetUniformiv | getUniformiv
ptr_glGetUniformLocation | getUniformLocation
ptr_glGetUniformSubroutineuiv | getUniformSubroutineuiv
ptr_glGetUniformuiv | getUniformuiv
ptr_glGetVertexArrayIndexed64iv | GetVertexArrayIndexed64iv
ptr_glGetVertexArrayIndexediv | GetVertexArrayIndexediv
ptr_glGetVertexArrayiv | GetVertexArrayiv
ptr_glGetVertexAttribdv | getVertexAttribdv
ptr_glGetVertexAttribfv | getVertexAttribfv
ptr_glGetVertexAttribIiv | getVertexAttribIiv
ptr_glGetVertexAttribIuiv | getVertexAttribIuiv
ptr_glGetVertexAttribiv | getVertexAttribiv
ptr_glGetVertexAttribLdv | getVertexAttribLdv
ptr_glGetVertexAttribPointerv | getVertexAttribPointerv
ptr_glHint | hint
ptr_glInvalidateBufferData | invalidateBufferData
ptr_glInvalidateBufferSubData | invalidateBufferSubData
ptr_glInvalidateFramebuffer | invalidateFramebuffer
ptr_glInvalidateNamedFramebufferData | InvalidateNamedFramebufferData
ptr_glInvalidateNamedFramebufferSubData | InvalidateNamedFramebufferSubData
ptr_glInvalidateSubFramebuffer | invalidateSubFramebuffer
ptr_glInvalidateTexImage | invalidateTexImage
ptr_glInvalidateTexSubImage | invalidateTexSubImage
ptr_glIsBuffer | isBuffer
ptr_glIsEnabled | isEnabled
ptr_glIsEnabledi | isEnabledi
ptr_glIsFramebuffer | isFramebuffer
ptr_glIsNamedStringARB | isNamedStringARB
ptr_glIsProgram | isProgram
ptr_glIsProgramPipeline | isProgramPipeline
ptr_glIsQuery | isQuery
ptr_glIsRenderbuffer | isRenderbuffer
ptr_glIsSampler | isSampler
ptr_glIsShader | isShader
ptr_glIsSync | isSync
ptr_glIsTexture | isTexture
ptr_glIsTransformFeedback | isTransformFeedback
ptr_glIsVertexArray | isVertexArray
ptr_glLineWidth | lineWidth
ptr_glLinkProgram | linkProgram
ptr_glLogicOp | logicOp
ptr_glMapBuffer | mapBuffer
ptr_glMapBufferRange | mapBufferRange
ptr_glMapNamedBuffer | MapNamedBuffer
ptr_glMapNamedBufferRange | MapNamedBufferRange
ptr_glMemoryBarrier | memoryBarrier
ptr_glMemoryBarrierByRegion | MemoryBarrierByRegion
ptr_glMinSampleShading | minSampleShading
ptr_glMinSampleShadingARB | minSampleShadingARB
ptr_glMultiDrawArrays | multiDrawArrays
ptr_glMultiDrawArraysIndirect | multiDrawArraysIndirect
ptr_glMultiDrawElements | multiDrawElements
ptr_glMultiDrawElementsBaseVertex | multiDrawElementsBaseVertex
ptr_glMultiDrawElementsIndirect | multiDrawElementsIndirect
ptr_glMultiTexCoordP1ui | multiTexCoordP1ui
ptr_glMultiTexCoordP1uiv | multiTexCoordP1uiv
ptr_glMultiTexCoordP2ui | multiTexCoordP2ui
ptr_glMultiTexCoordP2uiv | multiTexCoordP2uiv
ptr_glMultiTexCoordP3ui | multiTexCoordP3ui
ptr_glMultiTexCoordP3uiv | multiTexCoordP3uiv
ptr_glMultiTexCoordP4ui | multiTexCoordP4ui
ptr_glMultiTexCoordP4uiv | multiTexCoordP4uiv
ptr_glNamedBufferData | NamedBufferData
ptr_glNamedBufferStorage | NamedBufferStorage
ptr_glNamedBufferSubData | NamedBufferSubData
ptr_glNamedFramebufferDrawBuffer | NamedFramebufferDrawBuffer
ptr_glNamedFramebufferDrawBuffers | NamedFramebufferDrawBuffers
ptr_glNamedFramebufferParameteri | NamedFramebufferParameteri
ptr_glNamedFramebufferParameteriEXT | namedFramebufferParameteriEXT
ptr_glNamedFramebufferReadBuffer | NamedFramebufferReadBuffer
ptr_glNamedFramebufferRenderbuffer | NamedFramebufferRenderbuffer
ptr_glNamedFramebufferTexture | NamedFramebufferTexture
ptr_glNamedFramebufferTextureLayer | NamedFramebufferTextureLayer
ptr_glNamedRenderbufferStorage | NamedRenderbufferStorage
ptr_glNamedRenderbufferStorageMultisample | NamedRenderbufferStorageMultisample
ptr_glNamedStringARB | namedStringARB
ptr_glNormalP3ui | normalP3ui
ptr_glNormalP3uiv | normalP3uiv
ptr_glObjectLabel | objectLabel
ptr_glObjectPtrLabel | objectPtrLabel
ptr_glPatchParameterfv | patchParameterfv
ptr_glPatchParameteri | patchParameteri
ptr_glPauseTransformFeedback | pauseTransformFeedback
ptr_glPixelStoref | pixelStoref
ptr_glPixelStorei | pixelStorei
ptr_glPointParameterf | pointParameterf
ptr_glPointParameterfv | pointParameterfv
ptr_glPointParameteri | pointParameteri
ptr_glPointParameteriv | pointParameteriv
ptr_glPointSize | pointSize
ptr_glPolygonMode | polygonMode
ptr_glPolygonOffset | polygonOffset
ptr_glPopDebugGroup | popDebugGroup
ptr_glPrimitiveRestartIndex | primitiveRestartIndex
ptr_glProgramBinary | programBinary
ptr_glProgramParameteri | programParameteri
ptr_glProgramUniform1d | programUniform1d
ptr_glProgramUniform1dv | programUniform1dv
ptr_glProgramUniform1f | programUniform1f
ptr_glProgramUniform1fv | programUniform1fv
ptr_glProgramUniform1i | programUniform1i
ptr_glProgramUniform1iv | programUniform1iv
ptr_glProgramUniform1ui | programUniform1ui
ptr_glProgramUniform1uiv | programUniform1uiv
ptr_glProgramUniform2d | programUniform2d
ptr_glProgramUniform2dv | programUniform2dv
ptr_glProgramUniform2f | programUniform2f
ptr_glProgramUniform2fv | programUniform2fv
ptr_glProgramUniform2i | programUniform2i
ptr_glProgramUniform2iv | programUniform2iv
ptr_glProgramUniform2ui | programUniform2ui
ptr_glProgramUniform2uiv | programUniform2uiv
ptr_glProgramUniform3d | programUniform3d
ptr_glProgramUniform3dv | programUniform3dv
ptr_glProgramUniform3f | programUniform3f
ptr_glProgramUniform3fv | programUniform3fv
ptr_glProgramUniform3i | programUniform3i
ptr_glProgramUniform3iv | programUniform3iv
ptr_glProgramUniform3ui | programUniform3ui
ptr_glProgramUniform3uiv | programUniform3uiv
ptr_glProgramUniform4d | programUniform4d
ptr_glProgramUniform4dv | programUniform4dv
ptr_glProgramUniform4f | programUniform4f
ptr_glProgramUniform4fv | programUniform4fv
ptr_glProgramUniform4i | programUniform4i
ptr_glProgramUniform4iv | programUniform4iv
ptr_glProgramUniform4ui | programUniform4ui
ptr_glProgramUniform4uiv | programUniform4uiv
ptr_glProgramUniformMatrix2dv | programUniformMatrix2dv
ptr_glProgramUniformMatrix2fv | programUniformMatrix2fv
ptr_glProgramUniformMatrix2x3dv | programUniformMatrix2x3dv
ptr_glProgramUniformMatrix2x3fv | programUniformMatrix2x3fv
ptr_glProgramUniformMatrix2x4dv | programUniformMatrix2x4dv
ptr_glProgramUniformMatrix2x4fv | programUniformMatrix2x4fv
ptr_glProgramUniformMatrix3dv | programUniformMatrix3dv
ptr_glProgramUniformMatrix3fv | programUniformMatrix3fv
ptr_glProgramUniformMatrix3x2dv | programUniformMatrix3x2dv
ptr_glProgramUniformMatrix3x2fv | programUniformMatrix3x2fv
ptr_glProgramUniformMatrix3x4dv | programUniformMatrix3x4dv
ptr_glProgramUniformMatrix3x4fv | programUniformMatrix3x4fv
ptr_glProgramUniformMatrix4dv | programUniformMatrix4dv
ptr_glProgramUniformMatrix4fv | programUniformMatrix4fv
ptr_glProgramUniformMatrix4x2dv | programUniformMatrix4x2dv
ptr_glProgramUniformMatrix4x2fv | programUniformMatrix4x2fv
ptr_glProgramUniformMatrix4x3dv | programUniformMatrix4x3dv
ptr_glProgramUniformMatrix4x3fv | programUniformMatrix4x3fv
ptr_glProvokingVertex | provokingVertex
ptr_glPushDebugGroup | pushDebugGroup
ptr_glQueryCounter | queryCounter
ptr_glReadBuffer | readBuffer
ptr_glReadnPixels | ReadnPixels
ptr_glReadnPixelsARB | readnPixelsARB
ptr_glReadPixels | readPixels
ptr_glReleaseShaderCompiler | releaseShaderCompiler
ptr_glRenderbufferStorage | renderbufferStorage
ptr_glRenderbufferStorageMultisample | renderbufferStorageMultisample
ptr_glResumeTransformFeedback | resumeTransformFeedback
ptr_glSampleCoverage | sampleCoverage
ptr_glSampleMaski | sampleMaski
ptr_glSamplerParameterf | samplerParameterf
ptr_glSamplerParameterfv | samplerParameterfv
ptr_glSamplerParameteri | samplerParameteri
ptr_glSamplerParameterIiv | samplerParameterIiv
ptr_glSamplerParameterIuiv | samplerParameterIuiv
ptr_glSamplerParameteriv | samplerParameteriv
ptr_glScissor | scissor
ptr_glScissorArrayv | scissorArrayv
ptr_glScissorIndexed | scissorIndexed
ptr_glScissorIndexedv | scissorIndexedv
ptr_glSecondaryColorP3ui | secondaryColorP3ui
ptr_glSecondaryColorP3uiv | secondaryColorP3uiv
ptr_glShaderBinary | shaderBinary
ptr_glShaderSource | shaderSource
ptr_glShaderStorageBlockBinding | shaderStorageBlockBinding
ptr_glStencilFunc | stencilFunc
ptr_glStencilFuncSeparate | stencilFuncSeparate
ptr_glStencilMask | stencilMask
ptr_glStencilMaskSeparate | stencilMaskSeparate
ptr_glStencilOp | stencilOp
ptr_glStencilOpSeparate | stencilOpSeparate
ptr_glTexBuffer | texBuffer
ptr_glTexBufferRange | texBufferRange
ptr_glTexCoordP1ui | texCoordP1ui
ptr_glTexCoordP1uiv | texCoordP1uiv
ptr_glTexCoordP2ui | texCoordP2ui
ptr_glTexCoordP2uiv | texCoordP2uiv
ptr_glTexCoordP3ui | texCoordP3ui
ptr_glTexCoordP3uiv | texCoordP3uiv
ptr_glTexCoordP4ui | texCoordP4ui
ptr_glTexCoordP4uiv | texCoordP4uiv
ptr_glTexImage1D | texImage1D
ptr_glTexImage2D | texImage2D
ptr_glTexImage2DMultisample | texImage2DMultisample
ptr_glTexImage3D | texImage3D
ptr_glTexImage3DMultisample | texImage3DMultisample
ptr_glTexParameterf | texParameterf
ptr_glTexParameterfv | texParameterfv
ptr_glTexParameteri | texParameteri
ptr_glTexParameterIiv | texParameterIiv
ptr_glTexParameterIuiv | texParameterIuiv
ptr_glTexParameteriv | texParameteriv
ptr_glTexStorage1D | texStorage1D
ptr_glTexStorage2D | texStorage2D
ptr_glTexStorage2DMultisample | texStorage2DMultisample
ptr_glTexStorage3D | texStorage3D
ptr_glTexStorage3DMultisample | texStorage3DMultisample
ptr_glTexSubImage1D | texSubImage1D
ptr_glTexSubImage2D | texSubImage2D
ptr_glTexSubImage3D | texSubImage3D
ptr_glTextureBarrier | TextureBarrier
ptr_glTextureBuffer | TextureBuffer
ptr_glTextureBufferRange | TextureBufferRange
ptr_glTextureBufferRangeEXT | textureBufferRangeEXT
ptr_glTextureParameterf | TextureParameterf
ptr_glTextureParameterfv | TextureParameterfv
ptr_glTextureParameteri | TextureParameteri
ptr_glTextureParameterIiv | TextureParameterIiv
ptr_glTextureParameterIuiv | TextureParameterIuiv
ptr_glTextureParameteriv | TextureParameteriv
ptr_glTextureStorage1D | TextureStorage1D
ptr_glTextureStorage1DEXT | textureStorage1DEXT
ptr_glTextureStorage2D | TextureStorage2D
ptr_glTextureStorage2DEXT | textureStorage2DEXT
ptr_glTextureStorage2DMultisample | TextureStorage2DMultisample
ptr_glTextureStorage2DMultisampleEXT | textureStorage2DMultisampleEXT
ptr_glTextureStorage3D | TextureStorage3D
ptr_glTextureStorage3DEXT | textureStorage3DEXT
ptr_glTextureStorage3DMultisample | TextureStorage3DMultisample
ptr_glTextureStorage3DMultisampleEXT | textureStorage3DMultisampleEXT
ptr_glTextureSubImage1D | TextureSubImage1D
ptr_glTextureSubImage2D | TextureSubImage2D
ptr_glTextureSubImage3D | TextureSubImage3D
ptr_glTextureView | textureView
ptr_glTransformFeedbackBufferBase | TransformFeedbackBufferBase
ptr_glTransformFeedbackBufferRange | TransformFeedbackBufferRange
ptr_glTransformFeedbackVaryings | transformFeedbackVaryings
ptr_glUniform1d | uniform1d
ptr_glUniform1dv | uniform1dv
ptr_glUniform1f | uniform1f
ptr_glUniform1fv | uniform1fv
ptr_glUniform1i | uniform1i
ptr_glUniform1iv | uniform1iv
ptr_glUniform1ui | uniform1ui
ptr_glUniform1uiv | uniform1uiv
ptr_glUniform2d | uniform2d
ptr_glUniform2dv | uniform2dv
ptr_glUniform2f | uniform2f
ptr_glUniform2fv | uniform2fv
ptr_glUniform2i | uniform2i
ptr_glUniform2iv | uniform2iv
ptr_glUniform2ui | uniform2ui
ptr_glUniform2uiv | uniform2uiv
ptr_glUniform3d | uniform3d
ptr_glUniform3dv | uniform3dv
ptr_glUniform3f | uniform3f
ptr_glUniform3fv | uniform3fv
ptr_glUniform3i | uniform3i
ptr_glUniform3iv | uniform3iv
ptr_glUniform3ui | uniform3ui
ptr_glUniform3uiv | uniform3uiv
ptr_glUniform4d | uniform4d
ptr_glUniform4dv | uniform4dv
ptr_glUniform4f | uniform4f
ptr_glUniform4fv | uniform4fv
ptr_glUniform4i | uniform4i
ptr_glUniform4iv | uniform4iv
ptr_glUniform4ui | uniform4ui
ptr_glUniform4uiv | uniform4uiv
ptr_glUniformBlockBinding | uniformBlockBinding
ptr_glUniformMatrix2dv | uniformMatrix2dv
ptr_glUniformMatrix2fv | uniformMatrix2fv
ptr_glUniformMatrix2x3dv | uniformMatrix2x3dv
ptr_glUniformMatrix2x3fv | uniformMatrix2x3fv
ptr_glUniformMatrix2x4dv | uniformMatrix2x4dv
ptr_glUniformMatrix2x4fv | uniformMatrix2x4fv
ptr_glUniformMatrix3dv | uniformMatrix3dv
ptr_glUniformMatrix3fv | uniformMatrix3fv
ptr_glUniformMatrix3x2dv | uniformMatrix3x2dv
ptr_glUniformMatrix3x2fv | uniformMatrix3x2fv
ptr_glUniformMatrix3x4dv | uniformMatrix3x4dv
ptr_glUniformMatrix3x4fv | uniformMatrix3x4fv
ptr_glUniformMatrix4dv | uniformMatrix4dv
ptr_glUniformMatrix4fv | uniformMatrix4fv
ptr_glUniformMatrix4x2dv | uniformMatrix4x2dv
ptr_glUniformMatrix4x2fv | uniformMatrix4x2fv
ptr_glUniformMatrix4x3dv | uniformMatrix4x3dv
ptr_glUniformMatrix4x3fv | uniformMatrix4x3fv
ptr_glUniformSubroutinesuiv | uniformSubroutinesuiv
ptr_glUnmapBuffer | unmapBuffer
ptr_glUnmapNamedBuffer | UnmapNamedBuffer
ptr_glUseProgram | useProgram
ptr_glUseProgramStages | useProgramStages
ptr_glValidateProgram | validateProgram
ptr_glValidateProgramPipeline | validateProgramPipeline
ptr_glVertexArrayAttribBinding | VertexArrayAttribBinding
ptr_glVertexArrayAttribFormat | VertexArrayAttribFormat
ptr_glVertexArrayAttribIFormat | VertexArrayAttribIFormat
ptr_glVertexArrayAttribLFormat | VertexArrayAttribLFormat
ptr_glVertexArrayBindingDivisor | VertexArrayBindingDivisor
ptr_glVertexArrayBindVertexBufferEXT | vertexArrayBindVertexBufferEXT
ptr_glVertexArrayElementBuffer | VertexArrayElementBuffer
ptr_glVertexArrayVertexAttribBindingEXT | vertexArrayVertexAttribBindingEXT
ptr_glVertexArrayVertexAttribFormatEXT | vertexArrayVertexAttribFormatEXT
ptr_glVertexArrayVertexAttribIFormatEXT | vertexArrayVertexAttribIFormatEXT
ptr_glVertexArrayVertexAttribLFormatEXT | vertexArrayVertexAttribLFormatEXT
ptr_glVertexArrayVertexBindingDivisorEXT | vertexArrayVertexBindingDivisorEXT
ptr_glVertexArrayVertexBuffer | VertexArrayVertexBuffer
ptr_glVertexArrayVertexBuffers | VertexArrayVertexBuffers
ptr_glVertexAttrib1d | vertexAttrib1d
ptr_glVertexAttrib1dv | vertexAttrib1dv
ptr_glVertexAttrib1f | vertexAttrib1f
ptr_glVertexAttrib1fv | vertexAttrib1fv
ptr_glVertexAttrib1s | vertexAttrib1s
ptr_glVertexAttrib1sv | vertexAttrib1sv
ptr_glVertexAttrib2d | vertexAttrib2d
ptr_glVertexAttrib2dv | vertexAttrib2dv
ptr_glVertexAttrib2f | vertexAttrib2f
ptr_glVertexAttrib2fv | vertexAttrib2fv
ptr_glVertexAttrib2s | vertexAttrib2s
ptr_glVertexAttrib2sv | vertexAttrib2sv
ptr_glVertexAttrib3d | vertexAttrib3d
ptr_glVertexAttrib3dv | vertexAttrib3dv
ptr_glVertexAttrib3f | vertexAttrib3f
ptr_glVertexAttrib3fv | vertexAttrib3fv
ptr_glVertexAttrib3s | vertexAttrib3s
ptr_glVertexAttrib3sv | vertexAttrib3sv
ptr_glVertexAttrib4bv | vertexAttrib4bv
ptr_glVertexAttrib4d | vertexAttrib4d
ptr_glVertexAttrib4dv | vertexAttrib4dv
ptr_glVertexAttrib4f | vertexAttrib4f
ptr_glVertexAttrib4fv | vertexAttrib4fv
ptr_glVertexAttrib4iv | vertexAttrib4iv
ptr_glVertexAttrib4Nbv | vertexAttrib4Nbv
ptr_glVertexAttrib4Niv | vertexAttrib4Niv
ptr_glVertexAttrib4Nsv | vertexAttrib4Nsv
ptr_glVertexAttrib4Nub | vertexAttrib4Nub
ptr_glVertexAttrib4Nubv | vertexAttrib4Nubv
ptr_glVertexAttrib4Nuiv | vertexAttrib4Nuiv
ptr_glVertexAttrib4Nusv | vertexAttrib4Nusv
ptr_glVertexAttrib4s | vertexAttrib4s
ptr_glVertexAttrib4sv | vertexAttrib4sv
ptr_glVertexAttrib4ubv | vertexAttrib4ubv
ptr_glVertexAttrib4uiv | vertexAttrib4uiv
ptr_glVertexAttrib4usv | vertexAttrib4usv
ptr_glVertexAttribBinding | vertexAttribBinding
ptr_glVertexAttribDivisor | vertexAttribDivisor
ptr_glVertexAttribFormat | vertexAttribFormat
ptr_glVertexAttribI1i | vertexAttribI1i
ptr_glVertexAttribI1iv | vertexAttribI1iv
ptr_glVertexAttribI1ui | vertexAttribI1ui
ptr_glVertexAttribI1uiv | vertexAttribI1uiv
ptr_glVertexAttribI2i | vertexAttribI2i
ptr_glVertexAttribI2iv | vertexAttribI2iv
ptr_glVertexAttribI2ui | vertexAttribI2ui
ptr_glVertexAttribI2uiv | vertexAttribI2uiv
ptr_glVertexAttribI3i | vertexAttribI3i
ptr_glVertexAttribI3iv | vertexAttribI3iv
ptr_glVertexAttribI3ui | vertexAttribI3ui
ptr_glVertexAttribI3uiv | vertexAttribI3uiv
ptr_glVertexAttribI4bv | vertexAttribI4bv
ptr_glVertexAttribI4i | vertexAttribI4i
ptr_glVertexAttribI4iv | vertexAttribI4iv
ptr_glVertexAttribI4sv | vertexAttribI4sv
ptr_glVertexAttribI4ubv | vertexAttribI4ubv
ptr_glVertexAttribI4ui | vertexAttribI4ui
ptr_glVertexAttribI4uiv | vertexAttribI4uiv
ptr_glVertexAttribI4usv | vertexAttribI4usv
ptr_glVertexAttribIFormat | vertexAttribIFormat
ptr_glVertexAttribIPointer | vertexAttribIPointer
ptr_glVertexAttribL1d | vertexAttribL1d
ptr_glVertexAttribL1dv | vertexAttribL1dv
ptr_glVertexAttribL2d | vertexAttribL2d
ptr_glVertexAttribL2dv | vertexAttribL2dv
ptr_glVertexAttribL3d | vertexAttribL3d
ptr_glVertexAttribL3dv | vertexAttribL3dv
ptr_glVertexAttribL4d | vertexAttribL4d
ptr_glVertexAttribL4dv | vertexAttribL4dv
ptr_glVertexAttribLFormat | vertexAttribLFormat
ptr_glVertexAttribLPointer | vertexAttribLPointer
ptr_glVertexAttribP1ui | vertexAttribP1ui
ptr_glVertexAttribP1uiv | vertexAttribP1uiv
ptr_glVertexAttribP2ui | vertexAttribP2ui
ptr_glVertexAttribP2uiv | vertexAttribP2uiv
ptr_glVertexAttribP3ui | vertexAttribP3ui
ptr_glVertexAttribP3uiv | vertexAttribP3uiv
ptr_glVertexAttribP4ui | vertexAttribP4ui
ptr_glVertexAttribP4uiv | vertexAttribP4uiv
ptr_glVertexAttribPointer | vertexAttribPointer
ptr_glVertexBindingDivisor | vertexBindingDivisor
ptr_glVertexP2ui | vertexP2ui
ptr_glVertexP2uiv | vertexP2uiv
ptr_glVertexP3ui | vertexP3ui
ptr_glVertexP3uiv | vertexP3uiv
ptr_glVertexP4ui | vertexP4ui
ptr_glVertexP4uiv | vertexP4uiv
ptr_glViewport | viewport
ptr_glViewportArrayv | viewportArrayv
ptr_glViewportIndexedf | viewportIndexedf
ptr_glViewportIndexedfv | viewportIndexedfv
ptr_glWaitSync | waitSync

## Detailed Description

GLFunctions.

## Member Typedef Documentation

## ◆ ptr_glActiveShaderProgram

typedef void(GLFUNC * clan::GLFunctions::ptr_glActiveShaderProgram) (GLuint pipeline, GLuint program)

## ◆ ptr_glActiveTexture

typedef void(GLFUNC * clan::GLFunctions::ptr_glActiveTexture) (GLenum texture)

## ◆ ptr_glAttachShader

typedef void(GLFUNC * clan::GLFunctions::ptr_glAttachShader) (GLuint program, GLuint shader)

## ◆ ptr_glBeginConditionalRender

typedef void(GLFUNC * clan::GLFunctions::ptr_glBeginConditionalRender) (GLuint id, GLenum mode)

## ◆ ptr_glBeginQuery

typedef void(GLFUNC * clan::GLFunctions::ptr_glBeginQuery) (GLenum target, GLuint id)

## ◆ ptr_glBeginQueryIndexed

typedef void(GLFUNC * clan::GLFunctions::ptr_glBeginQueryIndexed) (GLenum target, GLuint index, GLuint id)

## ◆ ptr_glBeginTransformFeedback

typedef void(GLFUNC * clan::GLFunctions::ptr_glBeginTransformFeedback) (GLenum primitiveMode)

## ◆ ptr_glBindAttribLocation

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindAttribLocation) (GLuint program, GLuint index, const GLchar *name)

## ◆ ptr_glBindBuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindBuffer) (GLenum target, GLuint buffer)

## ◆ ptr_glBindBufferBase

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindBufferBase) (GLenum target, GLuint index, GLuint buffer)

## ◆ ptr_glBindBufferRange

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindBufferRange) (GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)

## ◆ ptr_glBindBuffersBase

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindBuffersBase) (GLenum target, GLuint first, GLsizei count, const GLuint *buffers)

## ◆ ptr_glBindBuffersRange

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindBuffersRange) (GLenum target, GLuint first, GLsizei count, const GLuint *buffers, const GLintptr *offsets, const GLsizeiptr *sizes)

## ◆ ptr_glBindFragDataLocation

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindFragDataLocation) (GLuint program, GLuint color, const GLchar *name)

## ◆ ptr_glBindFragDataLocationIndexed

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindFragDataLocationIndexed) (GLuint program, GLuint colorNumber, GLuint index, const GLchar *name)

## ◆ ptr_glBindFramebuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindFramebuffer) (GLenum target, GLuint framebuffer)

## ◆ ptr_glBindImageTexture

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindImageTexture) (GLuint unit, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLenum format)

## ◆ ptr_glBindImageTextures

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindImageTextures) (GLuint first, GLsizei count, const GLuint *textures)

## ◆ ptr_glBindProgramPipeline

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindProgramPipeline) (GLuint pipeline)

## ◆ ptr_glBindRenderbuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindRenderbuffer) (GLenum target, GLuint renderbuffer)

## ◆ ptr_glBindSampler

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindSampler) (GLuint unit, GLuint sampler)

## ◆ ptr_glBindSamplers

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindSamplers) (GLuint first, GLsizei count, const GLuint *samplers)

## ◆ ptr_glBindTexture

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindTexture) (GLenum target, GLuint texture)

## ◆ ptr_glBindTextures

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindTextures) (GLuint first, GLsizei count, const GLuint *textures)

## ◆ ptr_glBindTextureUnit

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindTextureUnit) (GLuint unit, GLuint texture)

## ◆ ptr_glBindTransformFeedback

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindTransformFeedback) (GLenum target, GLuint id)

## ◆ ptr_glBindVertexArray

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindVertexArray) (GLuint array)

## ◆ ptr_glBindVertexBuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindVertexBuffer) (GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)

## ◆ ptr_glBindVertexBuffers

typedef void(GLFUNC * clan::GLFunctions::ptr_glBindVertexBuffers) (GLuint first, GLsizei count, const GLuint *buffers, const GLintptr *offsets, const GLsizei *strides)

## ◆ ptr_glBlendColor

typedef void(GLFUNC * clan::GLFunctions::ptr_glBlendColor) (GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)

## ◆ ptr_glBlendEquation

typedef void(GLFUNC * clan::GLFunctions::ptr_glBlendEquation) (GLenum mode)

## ◆ ptr_glBlendEquationi

typedef void(GLFUNC * clan::GLFunctions::ptr_glBlendEquationi) (GLuint buf, GLenum mode)

## ◆ ptr_glBlendEquationiARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glBlendEquationiARB) (GLuint buf, GLenum mode)

## ◆ ptr_glBlendEquationSeparate

typedef void(GLFUNC * clan::GLFunctions::ptr_glBlendEquationSeparate) (GLenum modeRGB, GLenum modeAlpha)

## ◆ ptr_glBlendEquationSeparatei

typedef void(GLFUNC * clan::GLFunctions::ptr_glBlendEquationSeparatei) (GLuint buf, GLenum modeRGB, GLenum modeAlpha)

## ◆ ptr_glBlendEquationSeparateiARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glBlendEquationSeparateiARB) (GLuint buf, GLenum modeRGB, GLenum modeAlpha)

## ◆ ptr_glBlendFunc

typedef void(GLFUNC * clan::GLFunctions::ptr_glBlendFunc) (GLenum sfactor, GLenum dfactor)

## ◆ ptr_glBlendFunci

typedef void(GLFUNC * clan::GLFunctions::ptr_glBlendFunci) (GLuint buf, GLenum src, GLenum dst)

## ◆ ptr_glBlendFunciARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glBlendFunciARB) (GLuint buf, GLenum src, GLenum dst)

## ◆ ptr_glBlendFuncSeparate

typedef void(GLFUNC * clan::GLFunctions::ptr_glBlendFuncSeparate) (GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)

## ◆ ptr_glBlendFuncSeparatei

typedef void(GLFUNC * clan::GLFunctions::ptr_glBlendFuncSeparatei) (GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)

## ◆ ptr_glBlendFuncSeparateiARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glBlendFuncSeparateiARB) (GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)

## ◆ ptr_glBlitFramebuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glBlitFramebuffer) (GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)

## ◆ ptr_glBlitNamedFramebuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glBlitNamedFramebuffer) (GLuint readFramebuffer, GLuint drawFramebuffer, GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)

## ◆ ptr_glBufferData

typedef void(GLFUNC * clan::GLFunctions::ptr_glBufferData) (GLenum target, GLsizeiptr size, const GLvoid *data, GLenum usage)

## ◆ ptr_glBufferStorage

typedef void(GLFUNC * clan::GLFunctions::ptr_glBufferStorage) (GLenum target, GLsizeiptr size, const void *data, GLbitfield flags)

## ◆ ptr_glBufferSubData

typedef void(GLFUNC * clan::GLFunctions::ptr_glBufferSubData) (GLenum target, GLintptr offset, GLsizeiptr size, const GLvoid *data)

## ◆ ptr_glCheckFramebufferStatus

typedef GLenum(GLFUNC * clan::GLFunctions::ptr_glCheckFramebufferStatus) (GLenum target)

## ◆ ptr_glCheckNamedFramebufferStatus

typedef GLenum(GLFUNC * clan::GLFunctions::ptr_glCheckNamedFramebufferStatus) (GLuint framebuffer, GLenum target)

## ◆ ptr_glClampColor

typedef void(GLFUNC * clan::GLFunctions::ptr_glClampColor) (GLenum target, GLenum clamp)

## ◆ ptr_glClear

typedef void(GLFUNC * clan::GLFunctions::ptr_glClear) (GLbitfield mask)

## ◆ ptr_glClearBufferData

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearBufferData) (GLenum target, GLenum internalformat, GLenum format, GLenum type, const void *data)

## ◆ ptr_glClearBufferfi

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearBufferfi) (GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil)

## ◆ ptr_glClearBufferfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearBufferfv) (GLenum buffer, GLint drawbuffer, const GLfloat *value)

## ◆ ptr_glClearBufferiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearBufferiv) (GLenum buffer, GLint drawbuffer, const GLint *value)

## ◆ ptr_glClearBufferSubData

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearBufferSubData) (GLenum target, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const void *data)

## ◆ ptr_glClearBufferuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearBufferuiv) (GLenum buffer, GLint drawbuffer, const GLuint *value)

## ◆ ptr_glClearColor

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearColor) (GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)

## ◆ ptr_glClearDepth

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearDepth) (GLdouble depth)

## ◆ ptr_glClearDepthf

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearDepthf) (GLfloat d)

## ◆ ptr_glClearNamedBufferData

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearNamedBufferData) (GLuint buffer, GLenum internalformat, GLenum format, GLenum type, const void *data)

## ◆ ptr_glClearNamedBufferDataEXT

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearNamedBufferDataEXT) (GLuint buffer, GLenum internalformat, GLenum format, GLenum type, const void *data)

## ◆ ptr_glClearNamedBufferSubData

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearNamedBufferSubData) (GLuint buffer, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const void *data)

## ◆ ptr_glClearNamedBufferSubDataEXT

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearNamedBufferSubDataEXT) (GLuint buffer, GLenum internalformat, GLenum format, GLenum type, GLsizeiptr offset, GLsizeiptr size, const void *data)

## ◆ ptr_glClearNamedFramebufferfi

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearNamedFramebufferfi) (GLuint framebuffer, GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil)

## ◆ ptr_glClearNamedFramebufferfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearNamedFramebufferfv) (GLuint framebuffer, GLenum buffer, GLint drawbuffer, const GLfloat *value)

## ◆ ptr_glClearNamedFramebufferiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearNamedFramebufferiv) (GLuint framebuffer, GLenum buffer, GLint drawbuffer, const GLint *value)

## ◆ ptr_glClearNamedFramebufferuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearNamedFramebufferuiv) (GLuint framebuffer, GLenum buffer, GLint drawbuffer, const GLuint *value)

## ◆ ptr_glClearStencil

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearStencil) (GLint s)

## ◆ ptr_glClearTexImage

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearTexImage) (GLuint texture, GLint level, GLenum format, GLenum type, const void *data)

## ◆ ptr_glClearTexSubImage

typedef void(GLFUNC * clan::GLFunctions::ptr_glClearTexSubImage) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void *data)

## ◆ ptr_glClientActiveTextureARB

typedef GLvoid(GLFUNC * clan::GLFunctions::ptr_glClientActiveTextureARB) (GLenum)

## ◆ ptr_glClientWaitSync

typedef GLenum(GLFUNC * clan::GLFunctions::ptr_glClientWaitSync) (CLsync sync, GLbitfield flags, CLuint64 timeout)

## ◆ ptr_glClipControl

typedef void(GLFUNC * clan::GLFunctions::ptr_glClipControl) (GLenum origin, GLenum depth)

## ◆ ptr_glColorMask

typedef void(GLFUNC * clan::GLFunctions::ptr_glColorMask) (GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)

## ◆ ptr_glColorMaski

typedef void(GLFUNC * clan::GLFunctions::ptr_glColorMaski) (GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a)

## ◆ ptr_glColorP3ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glColorP3ui) (GLenum type, GLuint color)

## ◆ ptr_glColorP3uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glColorP3uiv) (GLenum type, const GLuint *color)

## ◆ ptr_glColorP4ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glColorP4ui) (GLenum type, GLuint color)

## ◆ ptr_glColorP4uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glColorP4uiv) (GLenum type, const GLuint *color)

## ◆ ptr_glCompileShader

typedef void(GLFUNC * clan::GLFunctions::ptr_glCompileShader) (GLuint shader)

## ◆ ptr_glCompileShaderIncludeARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glCompileShaderIncludeARB) (GLuint shader, GLsizei count, const GLchar **path, const GLint *length)

## ◆ ptr_glCompressedTexImage1D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCompressedTexImage1D) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *data)

## ◆ ptr_glCompressedTexImage2D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCompressedTexImage2D) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *data)

## ◆ ptr_glCompressedTexImage3D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCompressedTexImage3D) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data)

## ◆ ptr_glCompressedTexSubImage1D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCompressedTexSubImage1D) (GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data)

## ◆ ptr_glCompressedTexSubImage2D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCompressedTexSubImage2D) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data)

## ◆ ptr_glCompressedTexSubImage3D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCompressedTexSubImage3D) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data)

## ◆ ptr_glCompressedTextureSubImage1D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCompressedTextureSubImage1D) (GLuint texture, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const void *data)

## ◆ ptr_glCompressedTextureSubImage2D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCompressedTextureSubImage2D) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void *data)

## ◆ ptr_glCompressedTextureSubImage3D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCompressedTextureSubImage3D) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void *data)

## ◆ ptr_glCopyBufferSubData

typedef void(GLFUNC * clan::GLFunctions::ptr_glCopyBufferSubData) (GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)

## ◆ ptr_glCopyImageSubData

typedef void(GLFUNC * clan::GLFunctions::ptr_glCopyImageSubData) (GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei srcWidth, GLsizei srcHeight, GLsizei srcDepth)

## ◆ ptr_glCopyNamedBufferSubData

typedef void(GLFUNC * clan::GLFunctions::ptr_glCopyNamedBufferSubData) (GLuint readBuffer, GLuint writeBuffer, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)

## ◆ ptr_glCopyTexImage1D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCopyTexImage1D) (GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)

## ◆ ptr_glCopyTexImage2D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCopyTexImage2D) (GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)

## ◆ ptr_glCopyTexSubImage1D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCopyTexSubImage1D) (GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)

## ◆ ptr_glCopyTexSubImage2D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCopyTexSubImage2D) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)

## ◆ ptr_glCopyTexSubImage3D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCopyTexSubImage3D) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)

## ◆ ptr_glCopyTextureSubImage1D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCopyTextureSubImage1D) (GLuint texture, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)

## ◆ ptr_glCopyTextureSubImage2D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCopyTextureSubImage2D) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)

## ◆ ptr_glCopyTextureSubImage3D

typedef void(GLFUNC * clan::GLFunctions::ptr_glCopyTextureSubImage3D) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)

## ◆ ptr_glCreateBuffers

typedef void(GLFUNC * clan::GLFunctions::ptr_glCreateBuffers) (GLsizei n, GLuint *buffers)

## ◆ ptr_glCreateFramebuffers

typedef void(GLFUNC * clan::GLFunctions::ptr_glCreateFramebuffers) (GLsizei n, GLuint *framebuffers)

## ◆ ptr_glCreateProgram

typedef GLuint(GLFUNC * clan::GLFunctions::ptr_glCreateProgram) (void)

## ◆ ptr_glCreateProgramPipelines

typedef void(GLFUNC * clan::GLFunctions::ptr_glCreateProgramPipelines) (GLsizei n, GLuint *pipelines)

## ◆ ptr_glCreateQueries

typedef void(GLFUNC * clan::GLFunctions::ptr_glCreateQueries) (GLenum target, GLsizei n, GLuint *ids)

## ◆ ptr_glCreateRenderbuffers

typedef void(GLFUNC * clan::GLFunctions::ptr_glCreateRenderbuffers) (GLsizei n, GLuint *renderbuffers)

## ◆ ptr_glCreateSamplers

typedef void(GLFUNC * clan::GLFunctions::ptr_glCreateSamplers) (GLsizei n, GLuint *samplers)

## ◆ ptr_glCreateShader

typedef GLuint(GLFUNC * clan::GLFunctions::ptr_glCreateShader) (GLenum type)

## ◆ ptr_glCreateShaderProgramv

typedef GLuint(GLFUNC * clan::GLFunctions::ptr_glCreateShaderProgramv) (GLenum type, GLsizei count, const GLchar *const *strings)

## ◆ ptr_glCreateSyncFromCLeventARB

typedef CLsync(GLFUNC * clan::GLFunctions::ptr_glCreateSyncFromCLeventARB) (struct _cl_context *context, struct _cl_event *event, GLbitfield flags)

## ◆ ptr_glCreateTextures

typedef void(GLFUNC * clan::GLFunctions::ptr_glCreateTextures) (GLenum target, GLsizei n, GLuint *textures)

## ◆ ptr_glCreateTransformFeedbacks

typedef void(GLFUNC * clan::GLFunctions::ptr_glCreateTransformFeedbacks) (GLsizei n, GLuint *ids)

## ◆ ptr_glCreateVertexArrays

typedef void(GLFUNC * clan::GLFunctions::ptr_glCreateVertexArrays) (GLsizei n, GLuint *arrays)

## ◆ ptr_glCullFace

typedef void(GLFUNC * clan::GLFunctions::ptr_glCullFace) (GLenum mode)

## ◆ ptr_glDebugMessageCallback

typedef void(GLFUNC * clan::GLFunctions::ptr_glDebugMessageCallback) (CLDEBUGPROC callback, const void *userParam)

## ◆ ptr_glDebugMessageCallbackARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glDebugMessageCallbackARB) (CLDEBUGPROCARB callback, const GLvoid *userParam)

## ◆ ptr_glDebugMessageControl

typedef void(GLFUNC * clan::GLFunctions::ptr_glDebugMessageControl) (GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint *ids, GLboolean enabled)

## ◆ ptr_glDebugMessageControlARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glDebugMessageControlARB) (GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint *ids, GLboolean enabled)

## ◆ ptr_glDebugMessageInsert

typedef void(GLFUNC * clan::GLFunctions::ptr_glDebugMessageInsert) (GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar *buf)

## ◆ ptr_glDebugMessageInsertARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glDebugMessageInsertARB) (GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar *buf)

## ◆ ptr_glDeleteBuffers

typedef void(GLFUNC * clan::GLFunctions::ptr_glDeleteBuffers) (GLsizei n, const GLuint *buffers)

## ◆ ptr_glDeleteFramebuffers

typedef void(GLFUNC * clan::GLFunctions::ptr_glDeleteFramebuffers) (GLsizei n, const GLuint *framebuffers)

## ◆ ptr_glDeleteNamedStringARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glDeleteNamedStringARB) (GLint namelen, const GLchar *name)

## ◆ ptr_glDeleteProgram

typedef void(GLFUNC * clan::GLFunctions::ptr_glDeleteProgram) (GLuint program)

## ◆ ptr_glDeleteProgramPipelines

typedef void(GLFUNC * clan::GLFunctions::ptr_glDeleteProgramPipelines) (GLsizei n, const GLuint *pipelines)

## ◆ ptr_glDeleteQueries

typedef void(GLFUNC * clan::GLFunctions::ptr_glDeleteQueries) (GLsizei n, const GLuint *ids)

## ◆ ptr_glDeleteRenderbuffers

typedef void(GLFUNC * clan::GLFunctions::ptr_glDeleteRenderbuffers) (GLsizei n, const GLuint *renderbuffers)

## ◆ ptr_glDeleteSamplers

typedef void(GLFUNC * clan::GLFunctions::ptr_glDeleteSamplers) (GLsizei count, const GLuint *samplers)

## ◆ ptr_glDeleteShader

typedef void(GLFUNC * clan::GLFunctions::ptr_glDeleteShader) (GLuint shader)

## ◆ ptr_glDeleteSync

typedef void(GLFUNC * clan::GLFunctions::ptr_glDeleteSync) (CLsync sync)

## ◆ ptr_glDeleteTextures

typedef void(GLFUNC * clan::GLFunctions::ptr_glDeleteTextures) (GLsizei n, const GLuint *textures)

## ◆ ptr_glDeleteTransformFeedbacks

typedef void(GLFUNC * clan::GLFunctions::ptr_glDeleteTransformFeedbacks) (GLsizei n, const GLuint *ids)

## ◆ ptr_glDeleteVertexArrays

typedef void(GLFUNC * clan::GLFunctions::ptr_glDeleteVertexArrays) (GLsizei n, const GLuint *arrays)

## ◆ ptr_glDepthFunc

typedef void(GLFUNC * clan::GLFunctions::ptr_glDepthFunc) (GLenum func)

## ◆ ptr_glDepthMask

typedef void(GLFUNC * clan::GLFunctions::ptr_glDepthMask) (GLboolean flag)

## ◆ ptr_glDepthRange

typedef void(GLFUNC * clan::GLFunctions::ptr_glDepthRange) (GLdouble near, GLdouble far)

## ◆ ptr_glDepthRangeArrayv

typedef void(GLFUNC * clan::GLFunctions::ptr_glDepthRangeArrayv) (GLuint first, GLsizei count, const GLdouble *v)

## ◆ ptr_glDepthRangef

typedef void(GLFUNC * clan::GLFunctions::ptr_glDepthRangef) (GLfloat n, GLfloat f)

## ◆ ptr_glDepthRangeIndexed

typedef void(GLFUNC * clan::GLFunctions::ptr_glDepthRangeIndexed) (GLuint index, GLdouble n, GLdouble f)

## ◆ ptr_glDetachShader

typedef void(GLFUNC * clan::GLFunctions::ptr_glDetachShader) (GLuint program, GLuint shader)

## ◆ ptr_glDisable

typedef void(GLFUNC * clan::GLFunctions::ptr_glDisable) (GLenum cap)

## ◆ ptr_glDisablei

typedef void(GLFUNC * clan::GLFunctions::ptr_glDisablei) (GLenum target, GLuint index)

## ◆ ptr_glDisableVertexArrayAttrib

typedef void(GLFUNC * clan::GLFunctions::ptr_glDisableVertexArrayAttrib) (GLuint vaobj, GLuint index)

## ◆ ptr_glDisableVertexAttribArray

typedef void(GLFUNC * clan::GLFunctions::ptr_glDisableVertexAttribArray) (GLuint index)

## ◆ ptr_glDispatchCompute

typedef void(GLFUNC * clan::GLFunctions::ptr_glDispatchCompute) (GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z)

## ◆ ptr_glDispatchComputeIndirect

typedef void(GLFUNC * clan::GLFunctions::ptr_glDispatchComputeIndirect) (GLintptr indirect)

## ◆ ptr_glDrawArrays

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawArrays) (GLenum mode, GLint first, GLsizei count)

## ◆ ptr_glDrawArraysIndirect

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawArraysIndirect) (GLenum mode, const GLvoid *indirect)

## ◆ ptr_glDrawArraysInstanced

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawArraysInstanced) (GLenum mode, GLint first, GLsizei count, GLsizei instancecount)

## ◆ ptr_glDrawArraysInstancedBaseInstance

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawArraysInstancedBaseInstance) (GLenum mode, GLint first, GLsizei count, GLsizei instancecount, GLuint baseinstance)

## ◆ ptr_glDrawBuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawBuffer) (GLenum mode)

## ◆ ptr_glDrawBuffers

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawBuffers) (GLsizei n, const GLenum *bufs)

## ◆ ptr_glDrawElements

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawElements) (GLenum mode, GLsizei count, GLenum type, const GLvoid *indices)

## ◆ ptr_glDrawElementsBaseVertex

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawElementsBaseVertex) (GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLint basevertex)

## ◆ ptr_glDrawElementsIndirect

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawElementsIndirect) (GLenum mode, GLenum type, const GLvoid *indirect)

## ◆ ptr_glDrawElementsInstanced

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawElementsInstanced) (GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei instancecount)

## ◆ ptr_glDrawElementsInstancedBaseInstance

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawElementsInstancedBaseInstance) (GLenum mode, GLsizei count, GLenum type, const void *indices, GLsizei instancecount, GLuint baseinstance)

## ◆ ptr_glDrawElementsInstancedBaseVertex

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawElementsInstancedBaseVertex) (GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei instancecount, GLint basevertex)

## ◆ ptr_glDrawElementsInstancedBaseVertexBaseInstance

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawElementsInstancedBaseVertexBaseInstance) (GLenum mode, GLsizei count, GLenum type, const void *indices, GLsizei instancecount, GLint basevertex, GLuint baseinstance)

## ◆ ptr_glDrawRangeElements

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawRangeElements) (GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices)

## ◆ ptr_glDrawRangeElementsBaseVertex

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawRangeElementsBaseVertex) (GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices, GLint basevertex)

## ◆ ptr_glDrawTransformFeedback

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawTransformFeedback) (GLenum mode, GLuint id)

## ◆ ptr_glDrawTransformFeedbackInstanced

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawTransformFeedbackInstanced) (GLenum mode, GLuint id, GLsizei instancecount)

## ◆ ptr_glDrawTransformFeedbackStream

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawTransformFeedbackStream) (GLenum mode, GLuint id, GLuint stream)

## ◆ ptr_glDrawTransformFeedbackStreamInstanced

typedef void(GLFUNC * clan::GLFunctions::ptr_glDrawTransformFeedbackStreamInstanced) (GLenum mode, GLuint id, GLuint stream, GLsizei instancecount)

## ◆ ptr_glEnable

typedef void(GLFUNC * clan::GLFunctions::ptr_glEnable) (GLenum cap)

## ◆ ptr_glEnablei

typedef void(GLFUNC * clan::GLFunctions::ptr_glEnablei) (GLenum target, GLuint index)

## ◆ ptr_glEnableVertexArrayAttrib

typedef void(GLFUNC * clan::GLFunctions::ptr_glEnableVertexArrayAttrib) (GLuint vaobj, GLuint index)

## ◆ ptr_glEnableVertexAttribArray

typedef void(GLFUNC * clan::GLFunctions::ptr_glEnableVertexAttribArray) (GLuint index)

## ◆ ptr_glEndConditionalRender

typedef void(GLFUNC * clan::GLFunctions::ptr_glEndConditionalRender) (void)

## ◆ ptr_glEndQuery

typedef void(GLFUNC * clan::GLFunctions::ptr_glEndQuery) (GLenum target)

## ◆ ptr_glEndQueryIndexed

typedef void(GLFUNC * clan::GLFunctions::ptr_glEndQueryIndexed) (GLenum target, GLuint index)

## ◆ ptr_glEndTransformFeedback

typedef void(GLFUNC * clan::GLFunctions::ptr_glEndTransformFeedback) (void)

## ◆ ptr_glFenceSync

typedef CLsync(GLFUNC * clan::GLFunctions::ptr_glFenceSync) (GLenum condition, GLbitfield flags)

## ◆ ptr_glFinish

typedef void(GLFUNC * clan::GLFunctions::ptr_glFinish) (void)

## ◆ ptr_glFlush

typedef void(GLFUNC * clan::GLFunctions::ptr_glFlush) (void)

## ◆ ptr_glFlushMappedBufferRange

typedef void(GLFUNC * clan::GLFunctions::ptr_glFlushMappedBufferRange) (GLenum target, GLintptr offset, GLsizeiptr length)

## ◆ ptr_glFlushMappedNamedBufferRange

typedef void(GLFUNC * clan::GLFunctions::ptr_glFlushMappedNamedBufferRange) (GLuint buffer, GLintptr offset, GLsizeiptr length)

## ◆ ptr_glFramebufferParameteri

typedef void(GLFUNC * clan::GLFunctions::ptr_glFramebufferParameteri) (GLenum target, GLenum pname, GLint param)

## ◆ ptr_glFramebufferRenderbuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glFramebufferRenderbuffer) (GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)

## ◆ ptr_glFramebufferTexture

typedef void(GLFUNC * clan::GLFunctions::ptr_glFramebufferTexture) (GLenum target, GLenum attachment, GLuint texture, GLint level)

## ◆ ptr_glFramebufferTexture1D

typedef void(GLFUNC * clan::GLFunctions::ptr_glFramebufferTexture1D) (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)

## ◆ ptr_glFramebufferTexture2D

typedef void(GLFUNC * clan::GLFunctions::ptr_glFramebufferTexture2D) (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)

## ◆ ptr_glFramebufferTexture3D

typedef void(GLFUNC * clan::GLFunctions::ptr_glFramebufferTexture3D) (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)

## ◆ ptr_glFramebufferTextureLayer

typedef void(GLFUNC * clan::GLFunctions::ptr_glFramebufferTextureLayer) (GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)

## ◆ ptr_glFrontFace

typedef void(GLFUNC * clan::GLFunctions::ptr_glFrontFace) (GLenum mode)

## ◆ ptr_glGenBuffers

typedef void(GLFUNC * clan::GLFunctions::ptr_glGenBuffers) (GLsizei n, GLuint *buffers)

## ◆ ptr_glGenerateMipmap

typedef void(GLFUNC * clan::GLFunctions::ptr_glGenerateMipmap) (GLenum target)

## ◆ ptr_glGenerateTextureMipmap

typedef void(GLFUNC * clan::GLFunctions::ptr_glGenerateTextureMipmap) (GLuint texture)

## ◆ ptr_glGenFramebuffers

typedef void(GLFUNC * clan::GLFunctions::ptr_glGenFramebuffers) (GLsizei n, GLuint *framebuffers)

## ◆ ptr_glGenProgramPipelines

typedef void(GLFUNC * clan::GLFunctions::ptr_glGenProgramPipelines) (GLsizei n, GLuint *pipelines)

## ◆ ptr_glGenQueries

typedef void(GLFUNC * clan::GLFunctions::ptr_glGenQueries) (GLsizei n, GLuint *ids)

## ◆ ptr_glGenRenderbuffers

typedef void(GLFUNC * clan::GLFunctions::ptr_glGenRenderbuffers) (GLsizei n, GLuint *renderbuffers)

## ◆ ptr_glGenSamplers

typedef void(GLFUNC * clan::GLFunctions::ptr_glGenSamplers) (GLsizei count, GLuint *samplers)

## ◆ ptr_glGenTextures

typedef void(GLFUNC * clan::GLFunctions::ptr_glGenTextures) (GLsizei n, GLuint *textures)

## ◆ ptr_glGenTransformFeedbacks

typedef void(GLFUNC * clan::GLFunctions::ptr_glGenTransformFeedbacks) (GLsizei n, GLuint *ids)

## ◆ ptr_glGenVertexArrays

typedef void(GLFUNC * clan::GLFunctions::ptr_glGenVertexArrays) (GLsizei n, GLuint *arrays)

## ◆ ptr_glGetActiveAtomicCounterBufferiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetActiveAtomicCounterBufferiv) (GLuint program, GLuint bufferIndex, GLenum pname, GLint *params)

## ◆ ptr_glGetActiveAttrib

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetActiveAttrib) (GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name)

## ◆ ptr_glGetActiveSubroutineName

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetActiveSubroutineName) (GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei *length, GLchar *name)

## ◆ ptr_glGetActiveSubroutineUniformiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetActiveSubroutineUniformiv) (GLuint program, GLenum shadertype, GLuint index, GLenum pname, GLint *values)

## ◆ ptr_glGetActiveSubroutineUniformName

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetActiveSubroutineUniformName) (GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei *length, GLchar *name)

## ◆ ptr_glGetActiveUniform

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetActiveUniform) (GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name)

## ◆ ptr_glGetActiveUniformBlockiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetActiveUniformBlockiv) (GLuint program, GLuint uniformBlockIndex, GLenum pname, GLint *params)

## ◆ ptr_glGetActiveUniformBlockName

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetActiveUniformBlockName) (GLuint program, GLuint uniformBlockIndex, GLsizei bufSize, GLsizei *length, GLchar *uniformBlockName)

## ◆ ptr_glGetActiveUniformName

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetActiveUniformName) (GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei *length, GLchar *uniformName)

## ◆ ptr_glGetActiveUniformsiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetActiveUniformsiv) (GLuint program, GLsizei uniformCount, const GLuint *uniformIndices, GLenum pname, GLint *params)

## ◆ ptr_glGetAttachedShaders

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetAttachedShaders) (GLuint program, GLsizei maxCount, GLsizei *count, GLuint *obj)

## ◆ ptr_glGetAttribLocation

typedef GLint(GLFUNC * clan::GLFunctions::ptr_glGetAttribLocation) (GLuint program, const GLchar *name)

## ◆ ptr_glGetBooleani_v

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetBooleani_v) (GLenum target, GLuint index, GLboolean *data)

## ◆ ptr_glGetBooleanv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetBooleanv) (GLenum pname, GLboolean *params)

## ◆ ptr_glGetBufferParameteri64v

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetBufferParameteri64v) (GLenum target, GLenum pname, CLint64 *params)

## ◆ ptr_glGetBufferParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetBufferParameteriv) (GLenum target, GLenum pname, GLint *params)

## ◆ ptr_glGetBufferPointerv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetBufferPointerv) (GLenum target, GLenum pname, GLvoid **params)

## ◆ ptr_glGetBufferSubData

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetBufferSubData) (GLenum target, GLintptr offset, GLsizeiptr size, GLvoid *data)

## ◆ ptr_glGetCompressedTexImage

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetCompressedTexImage) (GLenum target, GLint level, GLvoid *img)

## ◆ ptr_glGetCompressedTextureImage

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetCompressedTextureImage) (GLuint texture, GLint level, GLsizei bufSize, void *pixels)

## ◆ ptr_glGetCompressedTextureSubImage

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetCompressedTextureSubImage) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLsizei bufSize, void *pixels)

## ◆ ptr_glGetDebugMessageLog

typedef GLuint(GLFUNC * clan::GLFunctions::ptr_glGetDebugMessageLog) (GLuint count, GLsizei bufsize, GLenum *sources, GLenum *types, GLuint *ids, GLenum *severities, GLsizei *lengths, GLchar *messageLog)

## ◆ ptr_glGetDebugMessageLogARB

typedef GLuint(GLFUNC * clan::GLFunctions::ptr_glGetDebugMessageLogARB) (GLuint count, GLsizei bufsize, GLenum *sources, GLenum *types, GLuint *ids, GLenum *severities, GLsizei *lengths, GLchar *messageLog)

## ◆ ptr_glGetDoublei_v

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetDoublei_v) (GLenum target, GLuint index, GLdouble *data)

## ◆ ptr_glGetDoublev

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetDoublev) (GLenum pname, GLdouble *params)

## ◆ ptr_glGetError

typedef GLenum(GLFUNC * clan::GLFunctions::ptr_glGetError) (void)

## ◆ ptr_glGetFloati_v

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetFloati_v) (GLenum target, GLuint index, GLfloat *data)

## ◆ ptr_glGetFloatv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetFloatv) (GLenum pname, GLfloat *params)

## ◆ ptr_glGetFragDataIndex

typedef GLint(GLFUNC * clan::GLFunctions::ptr_glGetFragDataIndex) (GLuint program, const GLchar *name)

## ◆ ptr_glGetFragDataLocation

typedef GLint(GLFUNC * clan::GLFunctions::ptr_glGetFragDataLocation) (GLuint program, const GLchar *name)

## ◆ ptr_glGetFramebufferAttachmentParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetFramebufferAttachmentParameteriv) (GLenum target, GLenum attachment, GLenum pname, GLint *params)

## ◆ ptr_glGetFramebufferParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetFramebufferParameteriv) (GLenum target, GLenum pname, GLint *params)

## ◆ ptr_glGetGraphicsResetStatus

typedef GLenum(GLFUNC * clan::GLFunctions::ptr_glGetGraphicsResetStatus) (void)

## ◆ ptr_glGetGraphicsResetStatusARB

typedef GLenum(GLFUNC * clan::GLFunctions::ptr_glGetGraphicsResetStatusARB) (void)

## ◆ ptr_glGetInteger64i_v

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetInteger64i_v) (GLenum target, GLuint index, CLint64 *data)

## ◆ ptr_glGetInteger64v

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetInteger64v) (GLenum pname, CLint64 *params)

## ◆ ptr_glGetIntegeri_v

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetIntegeri_v) (GLenum target, GLuint index, GLint *data)

## ◆ ptr_glGetIntegerv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetIntegerv) (GLenum pname, GLint *params)

## ◆ ptr_glGetInternalformati64v

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetInternalformati64v) (GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, CLint64 *params)

## ◆ ptr_glGetInternalformativ

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetInternalformativ) (GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint *params)

## ◆ ptr_glGetMultisamplefv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetMultisamplefv) (GLenum pname, GLuint index, GLfloat *val)

## ◆ ptr_glGetNamedBufferParameteri64v

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetNamedBufferParameteri64v) (GLuint buffer, GLenum pname, CLint64 *params)

## ◆ ptr_glGetNamedBufferParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetNamedBufferParameteriv) (GLuint buffer, GLenum pname, GLint *params)

## ◆ ptr_glGetNamedBufferPointerv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetNamedBufferPointerv) (GLuint buffer, GLenum pname, void **params)

## ◆ ptr_glGetNamedBufferSubData

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetNamedBufferSubData) (GLuint buffer, GLintptr offset, GLsizeiptr size, void *data)

## ◆ ptr_glGetNamedFramebufferAttachmentParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetNamedFramebufferAttachmentParameteriv) (GLuint framebuffer, GLenum attachment, GLenum pname, GLint *params)

## ◆ ptr_glGetNamedFramebufferParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetNamedFramebufferParameteriv) (GLuint framebuffer, GLenum pname, GLint *param)

## ◆ ptr_glGetNamedFramebufferParameterivEXT

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetNamedFramebufferParameterivEXT) (GLuint framebuffer, GLenum pname, GLint *params)

## ◆ ptr_glGetNamedRenderbufferParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetNamedRenderbufferParameteriv) (GLuint renderbuffer, GLenum pname, GLint *params)

## ◆ ptr_glGetNamedStringARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetNamedStringARB) (GLint namelen, const GLchar *name, GLsizei bufSize, GLint *stringlen, GLchar *string)

## ◆ ptr_glGetNamedStringivARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetNamedStringivARB) (GLint namelen, const GLchar *name, GLenum pname, GLint *params)

## ◆ ptr_glGetnColorTable

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnColorTable) (GLenum target, GLenum format, GLenum type, GLsizei bufSize, void *table)

## ◆ ptr_glGetnColorTableARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnColorTableARB) (GLenum target, GLenum format, GLenum type, GLsizei bufSize, GLvoid *table)

## ◆ ptr_glGetnCompressedTexImage

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnCompressedTexImage) (GLenum target, GLint lod, GLsizei bufSize, void *pixels)

## ◆ ptr_glGetnCompressedTexImageARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnCompressedTexImageARB) (GLenum target, GLint lod, GLsizei bufSize, GLvoid *img)

## ◆ ptr_glGetnConvolutionFilter

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnConvolutionFilter) (GLenum target, GLenum format, GLenum type, GLsizei bufSize, void *image)

## ◆ ptr_glGetnConvolutionFilterARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnConvolutionFilterARB) (GLenum target, GLenum format, GLenum type, GLsizei bufSize, GLvoid *image)

## ◆ ptr_glGetnHistogram

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnHistogram) (GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, void *values)

## ◆ ptr_glGetnHistogramARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnHistogramARB) (GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, GLvoid *values)

## ◆ ptr_glGetnMapdv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnMapdv) (GLenum target, GLenum query, GLsizei bufSize, GLdouble *v)

## ◆ ptr_glGetnMapdvARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnMapdvARB) (GLenum target, GLenum query, GLsizei bufSize, GLdouble *v)

## ◆ ptr_glGetnMapfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnMapfv) (GLenum target, GLenum query, GLsizei bufSize, GLfloat *v)

## ◆ ptr_glGetnMapfvARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnMapfvARB) (GLenum target, GLenum query, GLsizei bufSize, GLfloat *v)

## ◆ ptr_glGetnMapiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnMapiv) (GLenum target, GLenum query, GLsizei bufSize, GLint *v)

## ◆ ptr_glGetnMapivARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnMapivARB) (GLenum target, GLenum query, GLsizei bufSize, GLint *v)

## ◆ ptr_glGetnMinmax

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnMinmax) (GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, void *values)

## ◆ ptr_glGetnMinmaxARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnMinmaxARB) (GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, GLvoid *values)

## ◆ ptr_glGetnPixelMapfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnPixelMapfv) (GLenum map, GLsizei bufSize, GLfloat *values)

## ◆ ptr_glGetnPixelMapfvARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnPixelMapfvARB) (GLenum map, GLsizei bufSize, GLfloat *values)

## ◆ ptr_glGetnPixelMapuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnPixelMapuiv) (GLenum map, GLsizei bufSize, GLuint *values)

## ◆ ptr_glGetnPixelMapuivARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnPixelMapuivARB) (GLenum map, GLsizei bufSize, GLuint *values)

## ◆ ptr_glGetnPixelMapusv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnPixelMapusv) (GLenum map, GLsizei bufSize, GLushort *values)

## ◆ ptr_glGetnPixelMapusvARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnPixelMapusvARB) (GLenum map, GLsizei bufSize, GLushort *values)

## ◆ ptr_glGetnPolygonStipple

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnPolygonStipple) (GLsizei bufSize, GLubyte *pattern)

## ◆ ptr_glGetnPolygonStippleARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnPolygonStippleARB) (GLsizei bufSize, GLubyte *pattern)

## ◆ ptr_glGetnSeparableFilter

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnSeparableFilter) (GLenum target, GLenum format, GLenum type, GLsizei rowBufSize, void *row, GLsizei columnBufSize, void *column, void *span)

## ◆ ptr_glGetnSeparableFilterARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnSeparableFilterARB) (GLenum target, GLenum format, GLenum type, GLsizei rowBufSize, GLvoid *row, GLsizei columnBufSize, GLvoid *column, GLvoid *span)

## ◆ ptr_glGetnTexImage

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnTexImage) (GLenum target, GLint level, GLenum format, GLenum type, GLsizei bufSize, void *pixels)

## ◆ ptr_glGetnTexImageARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnTexImageARB) (GLenum target, GLint level, GLenum format, GLenum type, GLsizei bufSize, GLvoid *img)

## ◆ ptr_glGetnUniformdv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnUniformdv) (GLuint program, GLint location, GLsizei bufSize, GLdouble *params)

## ◆ ptr_glGetnUniformdvARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnUniformdvARB) (GLuint program, GLint location, GLsizei bufSize, GLdouble *params)

## ◆ ptr_glGetnUniformfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnUniformfv) (GLuint program, GLint location, GLsizei bufSize, GLfloat *params)

## ◆ ptr_glGetnUniformfvARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnUniformfvARB) (GLuint program, GLint location, GLsizei bufSize, GLfloat *params)

## ◆ ptr_glGetnUniformiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnUniformiv) (GLuint program, GLint location, GLsizei bufSize, GLint *params)

## ◆ ptr_glGetnUniformivARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnUniformivARB) (GLuint program, GLint location, GLsizei bufSize, GLint *params)

## ◆ ptr_glGetnUniformuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnUniformuiv) (GLuint program, GLint location, GLsizei bufSize, GLuint *params)

## ◆ ptr_glGetnUniformuivARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetnUniformuivARB) (GLuint program, GLint location, GLsizei bufSize, GLuint *params)

## ◆ ptr_glGetObjectLabel

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetObjectLabel) (GLenum identifier, GLuint name, GLsizei bufSize, GLsizei *length, GLchar *label)

## ◆ ptr_glGetObjectPtrLabel

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetObjectPtrLabel) (const void *ptr, GLsizei bufSize, GLsizei *length, GLchar *label)

## ◆ ptr_glGetPointerv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetPointerv) (GLenum pname, GLvoid **params)

## ◆ ptr_glGetProgramBinary

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetProgramBinary) (GLuint program, GLsizei bufSize, GLsizei *length, GLenum *binaryFormat, GLvoid *binary)

## ◆ ptr_glGetProgramInfoLog

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetProgramInfoLog) (GLuint program, GLsizei bufSize, GLsizei *length, GLchar *infoLog)

## ◆ ptr_glGetProgramInterfaceiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetProgramInterfaceiv) (GLuint program, GLenum programInterface, GLenum pname, GLint *params)

## ◆ ptr_glGetProgramiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetProgramiv) (GLuint program, GLenum pname, GLint *params)

## ◆ ptr_glGetProgramPipelineInfoLog

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetProgramPipelineInfoLog) (GLuint pipeline, GLsizei bufSize, GLsizei *length, GLchar *infoLog)

## ◆ ptr_glGetProgramPipelineiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetProgramPipelineiv) (GLuint pipeline, GLenum pname, GLint *params)

## ◆ ptr_glGetProgramResourceIndex

typedef GLuint(GLFUNC * clan::GLFunctions::ptr_glGetProgramResourceIndex) (GLuint program, GLenum programInterface, const GLchar *name)

## ◆ ptr_glGetProgramResourceiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetProgramResourceiv) (GLuint program, GLenum programInterface, GLuint index, GLsizei propCount, const GLenum *props, GLsizei bufSize, GLsizei *length, GLint *params)

## ◆ ptr_glGetProgramResourceLocation

typedef GLint(GLFUNC * clan::GLFunctions::ptr_glGetProgramResourceLocation) (GLuint program, GLenum programInterface, const GLchar *name)

## ◆ ptr_glGetProgramResourceLocationIndex

typedef GLint(GLFUNC * clan::GLFunctions::ptr_glGetProgramResourceLocationIndex) (GLuint program, GLenum programInterface, const GLchar *name)

## ◆ ptr_glGetProgramResourceName

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetProgramResourceName) (GLuint program, GLenum programInterface, GLuint index, GLsizei bufSize, GLsizei *length, GLchar *name)

## ◆ ptr_glGetProgramStageiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetProgramStageiv) (GLuint program, GLenum shadertype, GLenum pname, GLint *values)

## ◆ ptr_glGetQueryBufferObjecti64v

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetQueryBufferObjecti64v) (GLuint id, GLuint buffer, GLenum pname, GLintptr offset)

## ◆ ptr_glGetQueryBufferObjectiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetQueryBufferObjectiv) (GLuint id, GLuint buffer, GLenum pname, GLintptr offset)

## ◆ ptr_glGetQueryBufferObjectui64v

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetQueryBufferObjectui64v) (GLuint id, GLuint buffer, GLenum pname, GLintptr offset)

## ◆ ptr_glGetQueryBufferObjectuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetQueryBufferObjectuiv) (GLuint id, GLuint buffer, GLenum pname, GLintptr offset)

## ◆ ptr_glGetQueryIndexediv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetQueryIndexediv) (GLenum target, GLuint index, GLenum pname, GLint *params)

## ◆ ptr_glGetQueryiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetQueryiv) (GLenum target, GLenum pname, GLint *params)

## ◆ ptr_glGetQueryObjecti64v

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetQueryObjecti64v) (GLuint id, GLenum pname, CLint64 *params)

## ◆ ptr_glGetQueryObjectiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetQueryObjectiv) (GLuint id, GLenum pname, GLint *params)

## ◆ ptr_glGetQueryObjectui64v

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetQueryObjectui64v) (GLuint id, GLenum pname, CLuint64 *params)

## ◆ ptr_glGetQueryObjectuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetQueryObjectuiv) (GLuint id, GLenum pname, GLuint *params)

## ◆ ptr_glGetRenderbufferParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetRenderbufferParameteriv) (GLenum target, GLenum pname, GLint *params)

## ◆ ptr_glGetSamplerParameterfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetSamplerParameterfv) (GLuint sampler, GLenum pname, GLfloat *params)

## ◆ ptr_glGetSamplerParameterIiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetSamplerParameterIiv) (GLuint sampler, GLenum pname, GLint *params)

## ◆ ptr_glGetSamplerParameterIuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetSamplerParameterIuiv) (GLuint sampler, GLenum pname, GLuint *params)

## ◆ ptr_glGetSamplerParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetSamplerParameteriv) (GLuint sampler, GLenum pname, GLint *params)

## ◆ ptr_glGetShaderInfoLog

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetShaderInfoLog) (GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *infoLog)

## ◆ ptr_glGetShaderiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetShaderiv) (GLuint shader, GLenum pname, GLint *params)

## ◆ ptr_glGetShaderPrecisionFormat

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetShaderPrecisionFormat) (GLenum shadertype, GLenum precisiontype, GLint *range, GLint *precision)

## ◆ ptr_glGetShaderSource

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetShaderSource) (GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *source)

## ◆ ptr_glGetString

typedef const GLubyte *(GLFUNC * clan::GLFunctions::ptr_glGetString) (GLenum name)

## ◆ ptr_glGetStringi

typedef const GLubyte *(GLFUNC * clan::GLFunctions::ptr_glGetStringi) (GLenum name, GLuint index)

## ◆ ptr_glGetSubroutineIndex

typedef GLuint(GLFUNC * clan::GLFunctions::ptr_glGetSubroutineIndex) (GLuint program, GLenum shadertype, const GLchar *name)

## ◆ ptr_glGetSubroutineUniformLocation

typedef GLint(GLFUNC * clan::GLFunctions::ptr_glGetSubroutineUniformLocation) (GLuint program, GLenum shadertype, const GLchar *name)

## ◆ ptr_glGetSynciv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetSynciv) (CLsync sync, GLenum pname, GLsizei bufSize, GLsizei *length, GLint *values)

## ◆ ptr_glGetTexImage

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTexImage) (GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels)

## ◆ ptr_glGetTexLevelParameterfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTexLevelParameterfv) (GLenum target, GLint level, GLenum pname, GLfloat *params)

## ◆ ptr_glGetTexLevelParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTexLevelParameteriv) (GLenum target, GLint level, GLenum pname, GLint *params)

## ◆ ptr_glGetTexParameterfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTexParameterfv) (GLenum target, GLenum pname, GLfloat *params)

## ◆ ptr_glGetTexParameterIiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTexParameterIiv) (GLenum target, GLenum pname, GLint *params)

## ◆ ptr_glGetTexParameterIuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTexParameterIuiv) (GLenum target, GLenum pname, GLuint *params)

## ◆ ptr_glGetTexParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTexParameteriv) (GLenum target, GLenum pname, GLint *params)

## ◆ ptr_glGetTextureImage

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTextureImage) (GLuint texture, GLint level, GLenum format, GLenum type, GLsizei bufSize, void *pixels)

## ◆ ptr_glGetTextureLevelParameterfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTextureLevelParameterfv) (GLuint texture, GLint level, GLenum pname, GLfloat *params)

## ◆ ptr_glGetTextureLevelParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTextureLevelParameteriv) (GLuint texture, GLint level, GLenum pname, GLint *params)

## ◆ ptr_glGetTextureParameterfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTextureParameterfv) (GLuint texture, GLenum pname, GLfloat *params)

## ◆ ptr_glGetTextureParameterIiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTextureParameterIiv) (GLuint texture, GLenum pname, GLint *params)

## ◆ ptr_glGetTextureParameterIuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTextureParameterIuiv) (GLuint texture, GLenum pname, GLuint *params)

## ◆ ptr_glGetTextureParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTextureParameteriv) (GLuint texture, GLenum pname, GLint *params)

## ◆ ptr_glGetTextureSubImage

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTextureSubImage) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, GLsizei bufSize, void *pixels)

## ◆ ptr_glGetTransformFeedbacki64_v

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTransformFeedbacki64_v) (GLuint xfb, GLenum pname, GLuint index, CLint64 *param)

## ◆ ptr_glGetTransformFeedbacki_v

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTransformFeedbacki_v) (GLuint xfb, GLenum pname, GLuint index, GLint *param)

## ◆ ptr_glGetTransformFeedbackiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTransformFeedbackiv) (GLuint xfb, GLenum pname, GLint *param)

## ◆ ptr_glGetTransformFeedbackVarying

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetTransformFeedbackVarying) (GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLsizei *size, GLenum *type, GLchar *name)

## ◆ ptr_glGetUniformBlockIndex

typedef GLuint(GLFUNC * clan::GLFunctions::ptr_glGetUniformBlockIndex) (GLuint program, const GLchar *uniformBlockName)

## ◆ ptr_glGetUniformdv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetUniformdv) (GLuint program, GLint location, GLdouble *params)

## ◆ ptr_glGetUniformfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetUniformfv) (GLuint program, GLint location, GLfloat *params)

## ◆ ptr_glGetUniformIndices

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetUniformIndices) (GLuint program, GLsizei uniformCount, const GLchar *const *uniformNames, GLuint *uniformIndices)

## ◆ ptr_glGetUniformiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetUniformiv) (GLuint program, GLint location, GLint *params)

## ◆ ptr_glGetUniformLocation

typedef GLint(GLFUNC * clan::GLFunctions::ptr_glGetUniformLocation) (GLuint program, const GLchar *name)

## ◆ ptr_glGetUniformSubroutineuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetUniformSubroutineuiv) (GLenum shadertype, GLint location, GLuint *params)

## ◆ ptr_glGetUniformuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetUniformuiv) (GLuint program, GLint location, GLuint *params)

## ◆ ptr_glGetVertexArrayIndexed64iv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetVertexArrayIndexed64iv) (GLuint vaobj, GLuint index, GLenum pname, CLint64 *param)

## ◆ ptr_glGetVertexArrayIndexediv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetVertexArrayIndexediv) (GLuint vaobj, GLuint index, GLenum pname, GLint *param)

## ◆ ptr_glGetVertexArrayiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetVertexArrayiv) (GLuint vaobj, GLenum pname, GLint *param)

## ◆ ptr_glGetVertexAttribdv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetVertexAttribdv) (GLuint index, GLenum pname, GLdouble *params)

## ◆ ptr_glGetVertexAttribfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetVertexAttribfv) (GLuint index, GLenum pname, GLfloat *params)

## ◆ ptr_glGetVertexAttribIiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetVertexAttribIiv) (GLuint index, GLenum pname, GLint *params)

## ◆ ptr_glGetVertexAttribIuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetVertexAttribIuiv) (GLuint index, GLenum pname, GLuint *params)

## ◆ ptr_glGetVertexAttribiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetVertexAttribiv) (GLuint index, GLenum pname, GLint *params)

## ◆ ptr_glGetVertexAttribLdv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetVertexAttribLdv) (GLuint index, GLenum pname, GLdouble *params)

## ◆ ptr_glGetVertexAttribPointerv

typedef void(GLFUNC * clan::GLFunctions::ptr_glGetVertexAttribPointerv) (GLuint index, GLenum pname, GLvoid **pointer)

## ◆ ptr_glHint

typedef void(GLFUNC * clan::GLFunctions::ptr_glHint) (GLenum target, GLenum mode)

## ◆ ptr_glInvalidateBufferData

typedef void(GLFUNC * clan::GLFunctions::ptr_glInvalidateBufferData) (GLuint buffer)

## ◆ ptr_glInvalidateBufferSubData

typedef void(GLFUNC * clan::GLFunctions::ptr_glInvalidateBufferSubData) (GLuint buffer, GLintptr offset, GLsizeiptr length)

## ◆ ptr_glInvalidateFramebuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glInvalidateFramebuffer) (GLenum target, GLsizei numAttachments, const GLenum *attachments)

## ◆ ptr_glInvalidateNamedFramebufferData

typedef void(GLFUNC * clan::GLFunctions::ptr_glInvalidateNamedFramebufferData) (GLuint framebuffer, GLsizei numAttachments, const GLenum *attachments)

## ◆ ptr_glInvalidateNamedFramebufferSubData

typedef void(GLFUNC * clan::GLFunctions::ptr_glInvalidateNamedFramebufferSubData) (GLuint framebuffer, GLsizei numAttachments, const GLenum *attachments, GLint x, GLint y, GLsizei width, GLsizei height)

## ◆ ptr_glInvalidateSubFramebuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glInvalidateSubFramebuffer) (GLenum target, GLsizei numAttachments, const GLenum *attachments, GLint x, GLint y, GLsizei width, GLsizei height)

## ◆ ptr_glInvalidateTexImage

typedef void(GLFUNC * clan::GLFunctions::ptr_glInvalidateTexImage) (GLuint texture, GLint level)

## ◆ ptr_glInvalidateTexSubImage

typedef void(GLFUNC * clan::GLFunctions::ptr_glInvalidateTexSubImage) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth)

## ◆ ptr_glIsBuffer

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glIsBuffer) (GLuint buffer)

## ◆ ptr_glIsEnabled

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glIsEnabled) (GLenum cap)

## ◆ ptr_glIsEnabledi

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glIsEnabledi) (GLenum target, GLuint index)

## ◆ ptr_glIsFramebuffer

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glIsFramebuffer) (GLuint framebuffer)

## ◆ ptr_glIsNamedStringARB

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glIsNamedStringARB) (GLint namelen, const GLchar *name)

## ◆ ptr_glIsProgram

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glIsProgram) (GLuint program)

## ◆ ptr_glIsProgramPipeline

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glIsProgramPipeline) (GLuint pipeline)

## ◆ ptr_glIsQuery

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glIsQuery) (GLuint id)

## ◆ ptr_glIsRenderbuffer

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glIsRenderbuffer) (GLuint renderbuffer)

## ◆ ptr_glIsSampler

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glIsSampler) (GLuint sampler)

## ◆ ptr_glIsShader

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glIsShader) (GLuint shader)

## ◆ ptr_glIsSync

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glIsSync) (CLsync sync)

## ◆ ptr_glIsTexture

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glIsTexture) (GLuint texture)

## ◆ ptr_glIsTransformFeedback

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glIsTransformFeedback) (GLuint id)

## ◆ ptr_glIsVertexArray

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glIsVertexArray) (GLuint array)

## ◆ ptr_glLineWidth

typedef void(GLFUNC * clan::GLFunctions::ptr_glLineWidth) (GLfloat width)

## ◆ ptr_glLinkProgram

typedef void(GLFUNC * clan::GLFunctions::ptr_glLinkProgram) (GLuint program)

## ◆ ptr_glLogicOp

typedef void(GLFUNC * clan::GLFunctions::ptr_glLogicOp) (GLenum opcode)

## ◆ ptr_glMapBuffer

typedef GLvoid *(GLFUNC * clan::GLFunctions::ptr_glMapBuffer) (GLenum target, GLenum access)

## ◆ ptr_glMapBufferRange

typedef GLvoid *(GLFUNC * clan::GLFunctions::ptr_glMapBufferRange) (GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)

## ◆ ptr_glMapNamedBuffer

typedef void *(GLFUNC * clan::GLFunctions::ptr_glMapNamedBuffer) (GLuint buffer, GLenum access)

## ◆ ptr_glMapNamedBufferRange

typedef void *(GLFUNC * clan::GLFunctions::ptr_glMapNamedBufferRange) (GLuint buffer, GLintptr offset, GLsizeiptr length, GLbitfield access)

## ◆ ptr_glMemoryBarrier

typedef void(GLFUNC * clan::GLFunctions::ptr_glMemoryBarrier) (GLbitfield barriers)

## ◆ ptr_glMemoryBarrierByRegion

typedef void(GLFUNC * clan::GLFunctions::ptr_glMemoryBarrierByRegion) (GLbitfield barriers)

## ◆ ptr_glMinSampleShading

typedef void(GLFUNC * clan::GLFunctions::ptr_glMinSampleShading) (GLfloat value)

## ◆ ptr_glMinSampleShadingARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glMinSampleShadingARB) (GLfloat value)

## ◆ ptr_glMultiDrawArrays

typedef void(GLFUNC * clan::GLFunctions::ptr_glMultiDrawArrays) (GLenum mode, const GLint *first, const GLsizei *count, GLsizei drawcount)

## ◆ ptr_glMultiDrawArraysIndirect

typedef void(GLFUNC * clan::GLFunctions::ptr_glMultiDrawArraysIndirect) (GLenum mode, const void *indirect, GLsizei drawcount, GLsizei stride)

## ◆ ptr_glMultiDrawElements

typedef void(GLFUNC * clan::GLFunctions::ptr_glMultiDrawElements) (GLenum mode, const GLsizei *count, GLenum type, const GLvoid *const *indices, GLsizei drawcount)

## ◆ ptr_glMultiDrawElementsBaseVertex

typedef void(GLFUNC * clan::GLFunctions::ptr_glMultiDrawElementsBaseVertex) (GLenum mode, const GLsizei *count, GLenum type, const GLvoid *const *indices, GLsizei drawcount, const GLint *basevertex)

## ◆ ptr_glMultiDrawElementsIndirect

typedef void(GLFUNC * clan::GLFunctions::ptr_glMultiDrawElementsIndirect) (GLenum mode, GLenum type, const void *indirect, GLsizei drawcount, GLsizei stride)

## ◆ ptr_glMultiTexCoordP1ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glMultiTexCoordP1ui) (GLenum texture, GLenum type, GLuint coords)

## ◆ ptr_glMultiTexCoordP1uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glMultiTexCoordP1uiv) (GLenum texture, GLenum type, const GLuint *coords)

## ◆ ptr_glMultiTexCoordP2ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glMultiTexCoordP2ui) (GLenum texture, GLenum type, GLuint coords)

## ◆ ptr_glMultiTexCoordP2uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glMultiTexCoordP2uiv) (GLenum texture, GLenum type, const GLuint *coords)

## ◆ ptr_glMultiTexCoordP3ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glMultiTexCoordP3ui) (GLenum texture, GLenum type, GLuint coords)

## ◆ ptr_glMultiTexCoordP3uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glMultiTexCoordP3uiv) (GLenum texture, GLenum type, const GLuint *coords)

## ◆ ptr_glMultiTexCoordP4ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glMultiTexCoordP4ui) (GLenum texture, GLenum type, GLuint coords)

## ◆ ptr_glMultiTexCoordP4uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glMultiTexCoordP4uiv) (GLenum texture, GLenum type, const GLuint *coords)

## ◆ ptr_glNamedBufferData

typedef void(GLFUNC * clan::GLFunctions::ptr_glNamedBufferData) (GLuint buffer, GLsizeiptr size, const void *data, GLenum usage)

## ◆ ptr_glNamedBufferStorage

typedef void(GLFUNC * clan::GLFunctions::ptr_glNamedBufferStorage) (GLuint buffer, GLsizeiptr size, const void *data, GLbitfield flags)

## ◆ ptr_glNamedBufferSubData

typedef void(GLFUNC * clan::GLFunctions::ptr_glNamedBufferSubData) (GLuint buffer, GLintptr offset, GLsizeiptr size, const void *data)

## ◆ ptr_glNamedFramebufferDrawBuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glNamedFramebufferDrawBuffer) (GLuint framebuffer, GLenum buf)

## ◆ ptr_glNamedFramebufferDrawBuffers

typedef void(GLFUNC * clan::GLFunctions::ptr_glNamedFramebufferDrawBuffers) (GLuint framebuffer, GLsizei n, const GLenum *bufs)

## ◆ ptr_glNamedFramebufferParameteri

typedef void(GLFUNC * clan::GLFunctions::ptr_glNamedFramebufferParameteri) (GLuint framebuffer, GLenum pname, GLint param)

## ◆ ptr_glNamedFramebufferParameteriEXT

typedef void(GLFUNC * clan::GLFunctions::ptr_glNamedFramebufferParameteriEXT) (GLuint framebuffer, GLenum pname, GLint param)

## ◆ ptr_glNamedFramebufferReadBuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glNamedFramebufferReadBuffer) (GLuint framebuffer, GLenum src)

## ◆ ptr_glNamedFramebufferRenderbuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glNamedFramebufferRenderbuffer) (GLuint framebuffer, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)

## ◆ ptr_glNamedFramebufferTexture

typedef void(GLFUNC * clan::GLFunctions::ptr_glNamedFramebufferTexture) (GLuint framebuffer, GLenum attachment, GLuint texture, GLint level)

## ◆ ptr_glNamedFramebufferTextureLayer

typedef void(GLFUNC * clan::GLFunctions::ptr_glNamedFramebufferTextureLayer) (GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLint layer)

## ◆ ptr_glNamedRenderbufferStorage

typedef void(GLFUNC * clan::GLFunctions::ptr_glNamedRenderbufferStorage) (GLuint renderbuffer, GLenum internalformat, GLsizei width, GLsizei height)

## ◆ ptr_glNamedRenderbufferStorageMultisample

typedef void(GLFUNC * clan::GLFunctions::ptr_glNamedRenderbufferStorageMultisample) (GLuint renderbuffer, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)

## ◆ ptr_glNamedStringARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glNamedStringARB) (GLenum type, GLint namelen, const GLchar *name, GLint stringlen, const GLchar *string)

## ◆ ptr_glNormalP3ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glNormalP3ui) (GLenum type, GLuint coords)

## ◆ ptr_glNormalP3uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glNormalP3uiv) (GLenum type, const GLuint *coords)

## ◆ ptr_glObjectLabel

typedef void(GLFUNC * clan::GLFunctions::ptr_glObjectLabel) (GLenum identifier, GLuint name, GLsizei length, const GLchar *label)

## ◆ ptr_glObjectPtrLabel

typedef void(GLFUNC * clan::GLFunctions::ptr_glObjectPtrLabel) (const void *ptr, GLsizei length, const GLchar *label)

## ◆ ptr_glPatchParameterfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glPatchParameterfv) (GLenum pname, const GLfloat *values)

## ◆ ptr_glPatchParameteri

typedef void(GLFUNC * clan::GLFunctions::ptr_glPatchParameteri) (GLenum pname, GLint value)

## ◆ ptr_glPauseTransformFeedback

typedef void(GLFUNC * clan::GLFunctions::ptr_glPauseTransformFeedback) (void)

## ◆ ptr_glPixelStoref

typedef void(GLFUNC * clan::GLFunctions::ptr_glPixelStoref) (GLenum pname, GLfloat param)

## ◆ ptr_glPixelStorei

typedef void(GLFUNC * clan::GLFunctions::ptr_glPixelStorei) (GLenum pname, GLint param)

## ◆ ptr_glPointParameterf

typedef void(GLFUNC * clan::GLFunctions::ptr_glPointParameterf) (GLenum pname, GLfloat param)

## ◆ ptr_glPointParameterfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glPointParameterfv) (GLenum pname, const GLfloat *params)

## ◆ ptr_glPointParameteri

typedef void(GLFUNC * clan::GLFunctions::ptr_glPointParameteri) (GLenum pname, GLint param)

## ◆ ptr_glPointParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glPointParameteriv) (GLenum pname, const GLint *params)

## ◆ ptr_glPointSize

typedef void(GLFUNC * clan::GLFunctions::ptr_glPointSize) (GLfloat size)

## ◆ ptr_glPolygonMode

typedef void(GLFUNC * clan::GLFunctions::ptr_glPolygonMode) (GLenum face, GLenum mode)

## ◆ ptr_glPolygonOffset

typedef void(GLFUNC * clan::GLFunctions::ptr_glPolygonOffset) (GLfloat factor, GLfloat units)

## ◆ ptr_glPopDebugGroup

typedef void(GLFUNC * clan::GLFunctions::ptr_glPopDebugGroup) (void)

## ◆ ptr_glPrimitiveRestartIndex

typedef void(GLFUNC * clan::GLFunctions::ptr_glPrimitiveRestartIndex) (GLuint index)

## ◆ ptr_glProgramBinary

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramBinary) (GLuint program, GLenum binaryFormat, const GLvoid *binary, GLsizei length)

## ◆ ptr_glProgramParameteri

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramParameteri) (GLuint program, GLenum pname, GLint value)

## ◆ ptr_glProgramUniform1d

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform1d) (GLuint program, GLint location, GLdouble v0)

## ◆ ptr_glProgramUniform1dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform1dv) (GLuint program, GLint location, GLsizei count, const GLdouble *value)

## ◆ ptr_glProgramUniform1f

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform1f) (GLuint program, GLint location, GLfloat v0)

## ◆ ptr_glProgramUniform1fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform1fv) (GLuint program, GLint location, GLsizei count, const GLfloat *value)

## ◆ ptr_glProgramUniform1i

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform1i) (GLuint program, GLint location, GLint v0)

## ◆ ptr_glProgramUniform1iv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform1iv) (GLuint program, GLint location, GLsizei count, const GLint *value)

## ◆ ptr_glProgramUniform1ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform1ui) (GLuint program, GLint location, GLuint v0)

## ◆ ptr_glProgramUniform1uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform1uiv) (GLuint program, GLint location, GLsizei count, const GLuint *value)

## ◆ ptr_glProgramUniform2d

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform2d) (GLuint program, GLint location, GLdouble v0, GLdouble v1)

## ◆ ptr_glProgramUniform2dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform2dv) (GLuint program, GLint location, GLsizei count, const GLdouble *value)

## ◆ ptr_glProgramUniform2f

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform2f) (GLuint program, GLint location, GLfloat v0, GLfloat v1)

## ◆ ptr_glProgramUniform2fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform2fv) (GLuint program, GLint location, GLsizei count, const GLfloat *value)

## ◆ ptr_glProgramUniform2i

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform2i) (GLuint program, GLint location, GLint v0, GLint v1)

## ◆ ptr_glProgramUniform2iv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform2iv) (GLuint program, GLint location, GLsizei count, const GLint *value)

## ◆ ptr_glProgramUniform2ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform2ui) (GLuint program, GLint location, GLuint v0, GLuint v1)

## ◆ ptr_glProgramUniform2uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform2uiv) (GLuint program, GLint location, GLsizei count, const GLuint *value)

## ◆ ptr_glProgramUniform3d

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform3d) (GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2)

## ◆ ptr_glProgramUniform3dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform3dv) (GLuint program, GLint location, GLsizei count, const GLdouble *value)

## ◆ ptr_glProgramUniform3f

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform3f) (GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2)

## ◆ ptr_glProgramUniform3fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform3fv) (GLuint program, GLint location, GLsizei count, const GLfloat *value)

## ◆ ptr_glProgramUniform3i

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform3i) (GLuint program, GLint location, GLint v0, GLint v1, GLint v2)

## ◆ ptr_glProgramUniform3iv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform3iv) (GLuint program, GLint location, GLsizei count, const GLint *value)

## ◆ ptr_glProgramUniform3ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform3ui) (GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2)

## ◆ ptr_glProgramUniform3uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform3uiv) (GLuint program, GLint location, GLsizei count, const GLuint *value)

## ◆ ptr_glProgramUniform4d

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform4d) (GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2, GLdouble v3)

## ◆ ptr_glProgramUniform4dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform4dv) (GLuint program, GLint location, GLsizei count, const GLdouble *value)

## ◆ ptr_glProgramUniform4f

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform4f) (GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)

## ◆ ptr_glProgramUniform4fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform4fv) (GLuint program, GLint location, GLsizei count, const GLfloat *value)

## ◆ ptr_glProgramUniform4i

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform4i) (GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3)

## ◆ ptr_glProgramUniform4iv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform4iv) (GLuint program, GLint location, GLsizei count, const GLint *value)

## ◆ ptr_glProgramUniform4ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform4ui) (GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)

## ◆ ptr_glProgramUniform4uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniform4uiv) (GLuint program, GLint location, GLsizei count, const GLuint *value)

## ◆ ptr_glProgramUniformMatrix2dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix2dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glProgramUniformMatrix2fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix2fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glProgramUniformMatrix2x3dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix2x3dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glProgramUniformMatrix2x3fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix2x3fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glProgramUniformMatrix2x4dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix2x4dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glProgramUniformMatrix2x4fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix2x4fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glProgramUniformMatrix3dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix3dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glProgramUniformMatrix3fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix3fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glProgramUniformMatrix3x2dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix3x2dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glProgramUniformMatrix3x2fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix3x2fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glProgramUniformMatrix3x4dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix3x4dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glProgramUniformMatrix3x4fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix3x4fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glProgramUniformMatrix4dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix4dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glProgramUniformMatrix4fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix4fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glProgramUniformMatrix4x2dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix4x2dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glProgramUniformMatrix4x2fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix4x2fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glProgramUniformMatrix4x3dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix4x3dv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glProgramUniformMatrix4x3fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glProgramUniformMatrix4x3fv) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glProvokingVertex

typedef void(GLFUNC * clan::GLFunctions::ptr_glProvokingVertex) (GLenum mode)

## ◆ ptr_glPushDebugGroup

typedef void(GLFUNC * clan::GLFunctions::ptr_glPushDebugGroup) (GLenum source, GLuint id, GLsizei length, const GLchar *message)

## ◆ ptr_glQueryCounter

typedef void(GLFUNC * clan::GLFunctions::ptr_glQueryCounter) (GLuint id, GLenum target)

## ◆ ptr_glReadBuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glReadBuffer) (GLenum mode)

## ◆ ptr_glReadnPixels

typedef void(GLFUNC * clan::GLFunctions::ptr_glReadnPixels) (GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, void *data)

## ◆ ptr_glReadnPixelsARB

typedef void(GLFUNC * clan::GLFunctions::ptr_glReadnPixelsARB) (GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, GLvoid *data)

## ◆ ptr_glReadPixels

typedef void(GLFUNC * clan::GLFunctions::ptr_glReadPixels) (GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid *pixels)

## ◆ ptr_glReleaseShaderCompiler

typedef void(GLFUNC * clan::GLFunctions::ptr_glReleaseShaderCompiler) (void)

## ◆ ptr_glRenderbufferStorage

typedef void(GLFUNC * clan::GLFunctions::ptr_glRenderbufferStorage) (GLenum target, GLenum internalformat, GLsizei width, GLsizei height)

## ◆ ptr_glRenderbufferStorageMultisample

typedef void(GLFUNC * clan::GLFunctions::ptr_glRenderbufferStorageMultisample) (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)

## ◆ ptr_glResumeTransformFeedback

typedef void(GLFUNC * clan::GLFunctions::ptr_glResumeTransformFeedback) (void)

## ◆ ptr_glSampleCoverage

typedef void(GLFUNC * clan::GLFunctions::ptr_glSampleCoverage) (GLfloat value, GLboolean invert)

## ◆ ptr_glSampleMaski

typedef void(GLFUNC * clan::GLFunctions::ptr_glSampleMaski) (GLuint index, GLbitfield mask)

## ◆ ptr_glSamplerParameterf

typedef void(GLFUNC * clan::GLFunctions::ptr_glSamplerParameterf) (GLuint sampler, GLenum pname, GLfloat param)

## ◆ ptr_glSamplerParameterfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glSamplerParameterfv) (GLuint sampler, GLenum pname, const GLfloat *param)

## ◆ ptr_glSamplerParameteri

typedef void(GLFUNC * clan::GLFunctions::ptr_glSamplerParameteri) (GLuint sampler, GLenum pname, GLint param)

## ◆ ptr_glSamplerParameterIiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glSamplerParameterIiv) (GLuint sampler, GLenum pname, const GLint *param)

## ◆ ptr_glSamplerParameterIuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glSamplerParameterIuiv) (GLuint sampler, GLenum pname, const GLuint *param)

## ◆ ptr_glSamplerParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glSamplerParameteriv) (GLuint sampler, GLenum pname, const GLint *param)

## ◆ ptr_glScissor

typedef void(GLFUNC * clan::GLFunctions::ptr_glScissor) (GLint x, GLint y, GLsizei width, GLsizei height)

## ◆ ptr_glScissorArrayv

typedef void(GLFUNC * clan::GLFunctions::ptr_glScissorArrayv) (GLuint first, GLsizei count, const GLint *v)

## ◆ ptr_glScissorIndexed

typedef void(GLFUNC * clan::GLFunctions::ptr_glScissorIndexed) (GLuint index, GLint left, GLint bottom, GLsizei width, GLsizei height)

## ◆ ptr_glScissorIndexedv

typedef void(GLFUNC * clan::GLFunctions::ptr_glScissorIndexedv) (GLuint index, const GLint *v)

## ◆ ptr_glSecondaryColorP3ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glSecondaryColorP3ui) (GLenum type, GLuint color)

## ◆ ptr_glSecondaryColorP3uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glSecondaryColorP3uiv) (GLenum type, const GLuint *color)

## ◆ ptr_glShaderBinary

typedef void(GLFUNC * clan::GLFunctions::ptr_glShaderBinary) (GLsizei count, const GLuint *shaders, GLenum binaryformat, const GLvoid *binary, GLsizei length)

## ◆ ptr_glShaderSource

typedef void(GLFUNC * clan::GLFunctions::ptr_glShaderSource) (GLuint shader, GLsizei count, const GLchar *const *string, const GLint *length)

## ◆ ptr_glShaderStorageBlockBinding

typedef void(GLFUNC * clan::GLFunctions::ptr_glShaderStorageBlockBinding) (GLuint program, GLuint storageBlockIndex, GLuint storageBlockBinding)

## ◆ ptr_glStencilFunc

typedef void(GLFUNC * clan::GLFunctions::ptr_glStencilFunc) (GLenum func, GLint ref, GLuint mask)

## ◆ ptr_glStencilFuncSeparate

typedef void(GLFUNC * clan::GLFunctions::ptr_glStencilFuncSeparate) (GLenum face, GLenum func, GLint ref, GLuint mask)

## ◆ ptr_glStencilMask

typedef void(GLFUNC * clan::GLFunctions::ptr_glStencilMask) (GLuint mask)

## ◆ ptr_glStencilMaskSeparate

typedef void(GLFUNC * clan::GLFunctions::ptr_glStencilMaskSeparate) (GLenum face, GLuint mask)

## ◆ ptr_glStencilOp

typedef void(GLFUNC * clan::GLFunctions::ptr_glStencilOp) (GLenum fail, GLenum zfail, GLenum zpass)

## ◆ ptr_glStencilOpSeparate

typedef void(GLFUNC * clan::GLFunctions::ptr_glStencilOpSeparate) (GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass)

## ◆ ptr_glTexBuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexBuffer) (GLenum target, GLenum internalformat, GLuint buffer)

## ◆ ptr_glTexBufferRange

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexBufferRange) (GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)

## ◆ ptr_glTexCoordP1ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexCoordP1ui) (GLenum type, GLuint coords)

## ◆ ptr_glTexCoordP1uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexCoordP1uiv) (GLenum type, const GLuint *coords)

## ◆ ptr_glTexCoordP2ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexCoordP2ui) (GLenum type, GLuint coords)

## ◆ ptr_glTexCoordP2uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexCoordP2uiv) (GLenum type, const GLuint *coords)

## ◆ ptr_glTexCoordP3ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexCoordP3ui) (GLenum type, GLuint coords)

## ◆ ptr_glTexCoordP3uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexCoordP3uiv) (GLenum type, const GLuint *coords)

## ◆ ptr_glTexCoordP4ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexCoordP4ui) (GLenum type, GLuint coords)

## ◆ ptr_glTexCoordP4uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexCoordP4uiv) (GLenum type, const GLuint *coords)

## ◆ ptr_glTexImage1D

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexImage1D) (GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid *pixels)

## ◆ ptr_glTexImage2D

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexImage2D) (GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *pixels)

## ◆ ptr_glTexImage2DMultisample

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexImage2DMultisample) (GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)

## ◆ ptr_glTexImage3D

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexImage3D) (GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)

## ◆ ptr_glTexImage3DMultisample

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexImage3DMultisample) (GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)

## ◆ ptr_glTexParameterf

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexParameterf) (GLenum target, GLenum pname, GLfloat param)

## ◆ ptr_glTexParameterfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexParameterfv) (GLenum target, GLenum pname, const GLfloat *params)

## ◆ ptr_glTexParameteri

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexParameteri) (GLenum target, GLenum pname, GLint param)

## ◆ ptr_glTexParameterIiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexParameterIiv) (GLenum target, GLenum pname, const GLint *params)

## ◆ ptr_glTexParameterIuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexParameterIuiv) (GLenum target, GLenum pname, const GLuint *params)

## ◆ ptr_glTexParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexParameteriv) (GLenum target, GLenum pname, const GLint *params)

## ◆ ptr_glTexStorage1D

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexStorage1D) (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)

## ◆ ptr_glTexStorage2D

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexStorage2D) (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)

## ◆ ptr_glTexStorage2DMultisample

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexStorage2DMultisample) (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)

## ◆ ptr_glTexStorage3D

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexStorage3D) (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)

## ◆ ptr_glTexStorage3DMultisample

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexStorage3DMultisample) (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)

## ◆ ptr_glTexSubImage1D

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexSubImage1D) (GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels)

## ◆ ptr_glTexSubImage2D

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexSubImage2D) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)

## ◆ ptr_glTexSubImage3D

typedef void(GLFUNC * clan::GLFunctions::ptr_glTexSubImage3D) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)

## ◆ ptr_glTextureBarrier

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureBarrier) (void)

## ◆ ptr_glTextureBuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureBuffer) (GLuint texture, GLenum internalformat, GLuint buffer)

## ◆ ptr_glTextureBufferRange

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureBufferRange) (GLuint texture, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)

## ◆ ptr_glTextureBufferRangeEXT

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureBufferRangeEXT) (GLuint texture, GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)

## ◆ ptr_glTextureParameterf

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureParameterf) (GLuint texture, GLenum pname, GLfloat param)

## ◆ ptr_glTextureParameterfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureParameterfv) (GLuint texture, GLenum pname, const GLfloat *param)

## ◆ ptr_glTextureParameteri

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureParameteri) (GLuint texture, GLenum pname, GLint param)

## ◆ ptr_glTextureParameterIiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureParameterIiv) (GLuint texture, GLenum pname, const GLint *params)

## ◆ ptr_glTextureParameterIuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureParameterIuiv) (GLuint texture, GLenum pname, const GLuint *params)

## ◆ ptr_glTextureParameteriv

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureParameteriv) (GLuint texture, GLenum pname, const GLint *param)

## ◆ ptr_glTextureStorage1D

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureStorage1D) (GLuint texture, GLsizei levels, GLenum internalformat, GLsizei width)

## ◆ ptr_glTextureStorage1DEXT

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureStorage1DEXT) (GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)

## ◆ ptr_glTextureStorage2D

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureStorage2D) (GLuint texture, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)

## ◆ ptr_glTextureStorage2DEXT

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureStorage2DEXT) (GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)

## ◆ ptr_glTextureStorage2DMultisample

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureStorage2DMultisample) (GLuint texture, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)

## ◆ ptr_glTextureStorage2DMultisampleEXT

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureStorage2DMultisampleEXT) (GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)

## ◆ ptr_glTextureStorage3D

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureStorage3D) (GLuint texture, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)

## ◆ ptr_glTextureStorage3DEXT

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureStorage3DEXT) (GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)

## ◆ ptr_glTextureStorage3DMultisample

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureStorage3DMultisample) (GLuint texture, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)

## ◆ ptr_glTextureStorage3DMultisampleEXT

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureStorage3DMultisampleEXT) (GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)

## ◆ ptr_glTextureSubImage1D

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureSubImage1D) (GLuint texture, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const void *pixels)

## ◆ ptr_glTextureSubImage2D

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureSubImage2D) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void *pixels)

## ◆ ptr_glTextureSubImage3D

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureSubImage3D) (GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void *pixels)

## ◆ ptr_glTextureView

typedef void(GLFUNC * clan::GLFunctions::ptr_glTextureView) (GLuint texture, GLenum target, GLuint origtexture, GLenum internalformat, GLuint minlevel, GLuint numlevels, GLuint minlayer, GLuint numlayers)

## ◆ ptr_glTransformFeedbackBufferBase

typedef void(GLFUNC * clan::GLFunctions::ptr_glTransformFeedbackBufferBase) (GLuint xfb, GLuint index, GLuint buffer)

## ◆ ptr_glTransformFeedbackBufferRange

typedef void(GLFUNC * clan::GLFunctions::ptr_glTransformFeedbackBufferRange) (GLuint xfb, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)

## ◆ ptr_glTransformFeedbackVaryings

typedef void(GLFUNC * clan::GLFunctions::ptr_glTransformFeedbackVaryings) (GLuint program, GLsizei count, const GLchar *const *varyings, GLenum bufferMode)

## ◆ ptr_glUniform1d

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform1d) (GLint location, GLdouble x)

## ◆ ptr_glUniform1dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform1dv) (GLint location, GLsizei count, const GLdouble *value)

## ◆ ptr_glUniform1f

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform1f) (GLint location, GLfloat v0)

## ◆ ptr_glUniform1fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform1fv) (GLint location, GLsizei count, const GLfloat *value)

## ◆ ptr_glUniform1i

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform1i) (GLint location, GLint v0)

## ◆ ptr_glUniform1iv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform1iv) (GLint location, GLsizei count, const GLint *value)

## ◆ ptr_glUniform1ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform1ui) (GLint location, GLuint v0)

## ◆ ptr_glUniform1uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform1uiv) (GLint location, GLsizei count, const GLuint *value)

## ◆ ptr_glUniform2d

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform2d) (GLint location, GLdouble x, GLdouble y)

## ◆ ptr_glUniform2dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform2dv) (GLint location, GLsizei count, const GLdouble *value)

## ◆ ptr_glUniform2f

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform2f) (GLint location, GLfloat v0, GLfloat v1)

## ◆ ptr_glUniform2fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform2fv) (GLint location, GLsizei count, const GLfloat *value)

## ◆ ptr_glUniform2i

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform2i) (GLint location, GLint v0, GLint v1)

## ◆ ptr_glUniform2iv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform2iv) (GLint location, GLsizei count, const GLint *value)

## ◆ ptr_glUniform2ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform2ui) (GLint location, GLuint v0, GLuint v1)

## ◆ ptr_glUniform2uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform2uiv) (GLint location, GLsizei count, const GLuint *value)

## ◆ ptr_glUniform3d

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform3d) (GLint location, GLdouble x, GLdouble y, GLdouble z)

## ◆ ptr_glUniform3dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform3dv) (GLint location, GLsizei count, const GLdouble *value)

## ◆ ptr_glUniform3f

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform3f) (GLint location, GLfloat v0, GLfloat v1, GLfloat v2)

## ◆ ptr_glUniform3fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform3fv) (GLint location, GLsizei count, const GLfloat *value)

## ◆ ptr_glUniform3i

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform3i) (GLint location, GLint v0, GLint v1, GLint v2)

## ◆ ptr_glUniform3iv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform3iv) (GLint location, GLsizei count, const GLint *value)

## ◆ ptr_glUniform3ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform3ui) (GLint location, GLuint v0, GLuint v1, GLuint v2)

## ◆ ptr_glUniform3uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform3uiv) (GLint location, GLsizei count, const GLuint *value)

## ◆ ptr_glUniform4d

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform4d) (GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)

## ◆ ptr_glUniform4dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform4dv) (GLint location, GLsizei count, const GLdouble *value)

## ◆ ptr_glUniform4f

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform4f) (GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)

## ◆ ptr_glUniform4fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform4fv) (GLint location, GLsizei count, const GLfloat *value)

## ◆ ptr_glUniform4i

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform4i) (GLint location, GLint v0, GLint v1, GLint v2, GLint v3)

## ◆ ptr_glUniform4iv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform4iv) (GLint location, GLsizei count, const GLint *value)

## ◆ ptr_glUniform4ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform4ui) (GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)

## ◆ ptr_glUniform4uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniform4uiv) (GLint location, GLsizei count, const GLuint *value)

## ◆ ptr_glUniformBlockBinding

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformBlockBinding) (GLuint program, GLuint uniformBlockIndex, GLuint uniformBlockBinding)

## ◆ ptr_glUniformMatrix2dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix2dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glUniformMatrix2fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix2fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glUniformMatrix2x3dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix2x3dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glUniformMatrix2x3fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix2x3fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glUniformMatrix2x4dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix2x4dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glUniformMatrix2x4fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix2x4fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glUniformMatrix3dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix3dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glUniformMatrix3fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix3fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glUniformMatrix3x2dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix3x2dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glUniformMatrix3x2fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix3x2fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glUniformMatrix3x4dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix3x4dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glUniformMatrix3x4fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix3x4fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glUniformMatrix4dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix4dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glUniformMatrix4fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix4fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glUniformMatrix4x2dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix4x2dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glUniformMatrix4x2fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix4x2fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glUniformMatrix4x3dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix4x3dv) (GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)

## ◆ ptr_glUniformMatrix4x3fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformMatrix4x3fv) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)

## ◆ ptr_glUniformSubroutinesuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glUniformSubroutinesuiv) (GLenum shadertype, GLsizei count, const GLuint *indices)

## ◆ ptr_glUnmapBuffer

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glUnmapBuffer) (GLenum target)

## ◆ ptr_glUnmapNamedBuffer

typedef GLboolean(GLFUNC * clan::GLFunctions::ptr_glUnmapNamedBuffer) (GLuint buffer)

## ◆ ptr_glUseProgram

typedef void(GLFUNC * clan::GLFunctions::ptr_glUseProgram) (GLuint program)

## ◆ ptr_glUseProgramStages

typedef void(GLFUNC * clan::GLFunctions::ptr_glUseProgramStages) (GLuint pipeline, GLbitfield stages, GLuint program)

## ◆ ptr_glValidateProgram

typedef void(GLFUNC * clan::GLFunctions::ptr_glValidateProgram) (GLuint program)

## ◆ ptr_glValidateProgramPipeline

typedef void(GLFUNC * clan::GLFunctions::ptr_glValidateProgramPipeline) (GLuint pipeline)

## ◆ ptr_glVertexArrayAttribBinding

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexArrayAttribBinding) (GLuint vaobj, GLuint attribindex, GLuint bindingindex)

## ◆ ptr_glVertexArrayAttribFormat

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexArrayAttribFormat) (GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)

## ◆ ptr_glVertexArrayAttribIFormat

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexArrayAttribIFormat) (GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)

## ◆ ptr_glVertexArrayAttribLFormat

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexArrayAttribLFormat) (GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)

## ◆ ptr_glVertexArrayBindingDivisor

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexArrayBindingDivisor) (GLuint vaobj, GLuint bindingindex, GLuint divisor)

## ◆ ptr_glVertexArrayBindVertexBufferEXT

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexArrayBindVertexBufferEXT) (GLuint vaobj, GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)

## ◆ ptr_glVertexArrayElementBuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexArrayElementBuffer) (GLuint vaobj, GLuint buffer)

## ◆ ptr_glVertexArrayVertexAttribBindingEXT

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexArrayVertexAttribBindingEXT) (GLuint vaobj, GLuint attribindex, GLuint bindingindex)

## ◆ ptr_glVertexArrayVertexAttribFormatEXT

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexArrayVertexAttribFormatEXT) (GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)

## ◆ ptr_glVertexArrayVertexAttribIFormatEXT

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexArrayVertexAttribIFormatEXT) (GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)

## ◆ ptr_glVertexArrayVertexAttribLFormatEXT

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexArrayVertexAttribLFormatEXT) (GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)

## ◆ ptr_glVertexArrayVertexBindingDivisorEXT

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexArrayVertexBindingDivisorEXT) (GLuint vaobj, GLuint bindingindex, GLuint divisor)

## ◆ ptr_glVertexArrayVertexBuffer

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexArrayVertexBuffer) (GLuint vaobj, GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)

## ◆ ptr_glVertexArrayVertexBuffers

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexArrayVertexBuffers) (GLuint vaobj, GLuint first, GLsizei count, const GLuint *buffers, const GLintptr *offsets, const GLsizei *strides)

## ◆ ptr_glVertexAttrib1d

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib1d) (GLuint index, GLdouble x)

## ◆ ptr_glVertexAttrib1dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib1dv) (GLuint index, const GLdouble *v)

## ◆ ptr_glVertexAttrib1f

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib1f) (GLuint index, GLfloat x)

## ◆ ptr_glVertexAttrib1fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib1fv) (GLuint index, const GLfloat *v)

## ◆ ptr_glVertexAttrib1s

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib1s) (GLuint index, GLshort x)

## ◆ ptr_glVertexAttrib1sv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib1sv) (GLuint index, const GLshort *v)

## ◆ ptr_glVertexAttrib2d

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib2d) (GLuint index, GLdouble x, GLdouble y)

## ◆ ptr_glVertexAttrib2dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib2dv) (GLuint index, const GLdouble *v)

## ◆ ptr_glVertexAttrib2f

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib2f) (GLuint index, GLfloat x, GLfloat y)

## ◆ ptr_glVertexAttrib2fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib2fv) (GLuint index, const GLfloat *v)

## ◆ ptr_glVertexAttrib2s

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib2s) (GLuint index, GLshort x, GLshort y)

## ◆ ptr_glVertexAttrib2sv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib2sv) (GLuint index, const GLshort *v)

## ◆ ptr_glVertexAttrib3d

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib3d) (GLuint index, GLdouble x, GLdouble y, GLdouble z)

## ◆ ptr_glVertexAttrib3dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib3dv) (GLuint index, const GLdouble *v)

## ◆ ptr_glVertexAttrib3f

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib3f) (GLuint index, GLfloat x, GLfloat y, GLfloat z)

## ◆ ptr_glVertexAttrib3fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib3fv) (GLuint index, const GLfloat *v)

## ◆ ptr_glVertexAttrib3s

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib3s) (GLuint index, GLshort x, GLshort y, GLshort z)

## ◆ ptr_glVertexAttrib3sv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib3sv) (GLuint index, const GLshort *v)

## ◆ ptr_glVertexAttrib4bv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4bv) (GLuint index, const GLbyte *v)

## ◆ ptr_glVertexAttrib4d

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4d) (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)

## ◆ ptr_glVertexAttrib4dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4dv) (GLuint index, const GLdouble *v)

## ◆ ptr_glVertexAttrib4f

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4f) (GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)

## ◆ ptr_glVertexAttrib4fv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4fv) (GLuint index, const GLfloat *v)

## ◆ ptr_glVertexAttrib4iv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4iv) (GLuint index, const GLint *v)

## ◆ ptr_glVertexAttrib4Nbv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4Nbv) (GLuint index, const GLbyte *v)

## ◆ ptr_glVertexAttrib4Niv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4Niv) (GLuint index, const GLint *v)

## ◆ ptr_glVertexAttrib4Nsv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4Nsv) (GLuint index, const GLshort *v)

## ◆ ptr_glVertexAttrib4Nub

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4Nub) (GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)

## ◆ ptr_glVertexAttrib4Nubv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4Nubv) (GLuint index, const GLubyte *v)

## ◆ ptr_glVertexAttrib4Nuiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4Nuiv) (GLuint index, const GLuint *v)

## ◆ ptr_glVertexAttrib4Nusv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4Nusv) (GLuint index, const GLushort *v)

## ◆ ptr_glVertexAttrib4s

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4s) (GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)

## ◆ ptr_glVertexAttrib4sv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4sv) (GLuint index, const GLshort *v)

## ◆ ptr_glVertexAttrib4ubv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4ubv) (GLuint index, const GLubyte *v)

## ◆ ptr_glVertexAttrib4uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4uiv) (GLuint index, const GLuint *v)

## ◆ ptr_glVertexAttrib4usv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttrib4usv) (GLuint index, const GLushort *v)

## ◆ ptr_glVertexAttribBinding

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribBinding) (GLuint attribindex, GLuint bindingindex)

## ◆ ptr_glVertexAttribDivisor

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribDivisor) (GLuint index, GLuint divisor)

## ◆ ptr_glVertexAttribFormat

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribFormat) (GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)

## ◆ ptr_glVertexAttribI1i

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI1i) (GLuint index, GLint x)

## ◆ ptr_glVertexAttribI1iv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI1iv) (GLuint index, const GLint *v)

## ◆ ptr_glVertexAttribI1ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI1ui) (GLuint index, GLuint x)

## ◆ ptr_glVertexAttribI1uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI1uiv) (GLuint index, const GLuint *v)

## ◆ ptr_glVertexAttribI2i

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI2i) (GLuint index, GLint x, GLint y)

## ◆ ptr_glVertexAttribI2iv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI2iv) (GLuint index, const GLint *v)

## ◆ ptr_glVertexAttribI2ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI2ui) (GLuint index, GLuint x, GLuint y)

## ◆ ptr_glVertexAttribI2uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI2uiv) (GLuint index, const GLuint *v)

## ◆ ptr_glVertexAttribI3i

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI3i) (GLuint index, GLint x, GLint y, GLint z)

## ◆ ptr_glVertexAttribI3iv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI3iv) (GLuint index, const GLint *v)

## ◆ ptr_glVertexAttribI3ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI3ui) (GLuint index, GLuint x, GLuint y, GLuint z)

## ◆ ptr_glVertexAttribI3uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI3uiv) (GLuint index, const GLuint *v)

## ◆ ptr_glVertexAttribI4bv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI4bv) (GLuint index, const GLbyte *v)

## ◆ ptr_glVertexAttribI4i

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI4i) (GLuint index, GLint x, GLint y, GLint z, GLint w)

## ◆ ptr_glVertexAttribI4iv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI4iv) (GLuint index, const GLint *v)

## ◆ ptr_glVertexAttribI4sv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI4sv) (GLuint index, const GLshort *v)

## ◆ ptr_glVertexAttribI4ubv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI4ubv) (GLuint index, const GLubyte *v)

## ◆ ptr_glVertexAttribI4ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI4ui) (GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)

## ◆ ptr_glVertexAttribI4uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI4uiv) (GLuint index, const GLuint *v)

## ◆ ptr_glVertexAttribI4usv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribI4usv) (GLuint index, const GLushort *v)

## ◆ ptr_glVertexAttribIFormat

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribIFormat) (GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)

## ◆ ptr_glVertexAttribIPointer

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribIPointer) (GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)

## ◆ ptr_glVertexAttribL1d

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribL1d) (GLuint index, GLdouble x)

## ◆ ptr_glVertexAttribL1dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribL1dv) (GLuint index, const GLdouble *v)

## ◆ ptr_glVertexAttribL2d

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribL2d) (GLuint index, GLdouble x, GLdouble y)

## ◆ ptr_glVertexAttribL2dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribL2dv) (GLuint index, const GLdouble *v)

## ◆ ptr_glVertexAttribL3d

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribL3d) (GLuint index, GLdouble x, GLdouble y, GLdouble z)

## ◆ ptr_glVertexAttribL3dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribL3dv) (GLuint index, const GLdouble *v)

## ◆ ptr_glVertexAttribL4d

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribL4d) (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)

## ◆ ptr_glVertexAttribL4dv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribL4dv) (GLuint index, const GLdouble *v)

## ◆ ptr_glVertexAttribLFormat

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribLFormat) (GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)

## ◆ ptr_glVertexAttribLPointer

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribLPointer) (GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)

## ◆ ptr_glVertexAttribP1ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribP1ui) (GLuint index, GLenum type, GLboolean normalized, GLuint value)

## ◆ ptr_glVertexAttribP1uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribP1uiv) (GLuint index, GLenum type, GLboolean normalized, const GLuint *value)

## ◆ ptr_glVertexAttribP2ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribP2ui) (GLuint index, GLenum type, GLboolean normalized, GLuint value)

## ◆ ptr_glVertexAttribP2uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribP2uiv) (GLuint index, GLenum type, GLboolean normalized, const GLuint *value)

## ◆ ptr_glVertexAttribP3ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribP3ui) (GLuint index, GLenum type, GLboolean normalized, GLuint value)

## ◆ ptr_glVertexAttribP3uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribP3uiv) (GLuint index, GLenum type, GLboolean normalized, const GLuint *value)

## ◆ ptr_glVertexAttribP4ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribP4ui) (GLuint index, GLenum type, GLboolean normalized, GLuint value)

## ◆ ptr_glVertexAttribP4uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribP4uiv) (GLuint index, GLenum type, GLboolean normalized, const GLuint *value)

## ◆ ptr_glVertexAttribPointer

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexAttribPointer) (GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid *pointer)

## ◆ ptr_glVertexBindingDivisor

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexBindingDivisor) (GLuint bindingindex, GLuint divisor)

## ◆ ptr_glVertexP2ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexP2ui) (GLenum type, GLuint value)

## ◆ ptr_glVertexP2uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexP2uiv) (GLenum type, const GLuint *value)

## ◆ ptr_glVertexP3ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexP3ui) (GLenum type, GLuint value)

## ◆ ptr_glVertexP3uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexP3uiv) (GLenum type, const GLuint *value)

## ◆ ptr_glVertexP4ui

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexP4ui) (GLenum type, GLuint value)

## ◆ ptr_glVertexP4uiv

typedef void(GLFUNC * clan::GLFunctions::ptr_glVertexP4uiv) (GLenum type, const GLuint *value)

## ◆ ptr_glViewport

typedef void(GLFUNC * clan::GLFunctions::ptr_glViewport) (GLint x, GLint y, GLsizei width, GLsizei height)

## ◆ ptr_glViewportArrayv

typedef void(GLFUNC * clan::GLFunctions::ptr_glViewportArrayv) (GLuint first, GLsizei count, const GLfloat *v)

## ◆ ptr_glViewportIndexedf

typedef void(GLFUNC * clan::GLFunctions::ptr_glViewportIndexedf) (GLuint index, GLfloat x, GLfloat y, GLfloat w, GLfloat h)

## ◆ ptr_glViewportIndexedfv

typedef void(GLFUNC * clan::GLFunctions::ptr_glViewportIndexedfv) (GLuint index, const GLfloat *v)

## ◆ ptr_glWaitSync

typedef void(GLFUNC * clan::GLFunctions::ptr_glWaitSync) (CLsync sync, GLbitfield flags, CLuint64 timeout)

## Member Data Documentation

## ◆ activeShaderProgram

ptr_glActiveShaderProgram clan::GLFunctions::activeShaderProgram

## ◆ activeTexture

ptr_glActiveTexture clan::GLFunctions::activeTexture

## ◆ attachShader

ptr_glAttachShader clan::GLFunctions::attachShader

## ◆ beginConditionalRender

ptr_glBeginConditionalRender clan::GLFunctions::beginConditionalRender

## ◆ beginQuery

ptr_glBeginQuery clan::GLFunctions::beginQuery

## ◆ beginQueryIndexed

ptr_glBeginQueryIndexed clan::GLFunctions::beginQueryIndexed

## ◆ beginTransformFeedback

ptr_glBeginTransformFeedback clan::GLFunctions::beginTransformFeedback

## ◆ bindAttribLocation

ptr_glBindAttribLocation clan::GLFunctions::bindAttribLocation

## ◆ bindBuffer

ptr_glBindBuffer clan::GLFunctions::bindBuffer

## ◆ bindBufferBase

ptr_glBindBufferBase clan::GLFunctions::bindBufferBase

## ◆ bindBufferRange

ptr_glBindBufferRange clan::GLFunctions::bindBufferRange

## ◆ BindBuffersBase

ptr_glBindBuffersBase clan::GLFunctions::BindBuffersBase

## ◆ BindBuffersRange

ptr_glBindBuffersRange clan::GLFunctions::BindBuffersRange

## ◆ bindFragDataLocation

ptr_glBindFragDataLocation clan::GLFunctions::bindFragDataLocation

## ◆ bindFragDataLocationIndexed

ptr_glBindFragDataLocationIndexed clan::GLFunctions::bindFragDataLocationIndexed

## ◆ bindFramebuffer

ptr_glBindFramebuffer clan::GLFunctions::bindFramebuffer

## ◆ bindImageTexture

ptr_glBindImageTexture clan::GLFunctions::bindImageTexture

## ◆ BindImageTextures

ptr_glBindImageTextures clan::GLFunctions::BindImageTextures

## ◆ bindProgramPipeline

ptr_glBindProgramPipeline clan::GLFunctions::bindProgramPipeline

## ◆ bindRenderbuffer

ptr_glBindRenderbuffer clan::GLFunctions::bindRenderbuffer

## ◆ bindSampler

ptr_glBindSampler clan::GLFunctions::bindSampler

## ◆ BindSamplers

ptr_glBindSamplers clan::GLFunctions::BindSamplers

## ◆ bindTexture

ptr_glBindTexture clan::GLFunctions::bindTexture

## ◆ BindTextures

ptr_glBindTextures clan::GLFunctions::BindTextures

## ◆ BindTextureUnit

ptr_glBindTextureUnit clan::GLFunctions::BindTextureUnit

## ◆ bindTransformFeedback

ptr_glBindTransformFeedback clan::GLFunctions::bindTransformFeedback

## ◆ bindVertexArray

ptr_glBindVertexArray clan::GLFunctions::bindVertexArray

## ◆ bindVertexBuffer

ptr_glBindVertexBuffer clan::GLFunctions::bindVertexBuffer

## ◆ BindVertexBuffers

ptr_glBindVertexBuffers clan::GLFunctions::BindVertexBuffers

## ◆ blendColor

ptr_glBlendColor clan::GLFunctions::blendColor

## ◆ blendEquation

ptr_glBlendEquation clan::GLFunctions::blendEquation

## ◆ blendEquationi

ptr_glBlendEquationi clan::GLFunctions::blendEquationi

## ◆ blendEquationiARB

ptr_glBlendEquationiARB clan::GLFunctions::blendEquationiARB

## ◆ blendEquationSeparate

ptr_glBlendEquationSeparate clan::GLFunctions::blendEquationSeparate

## ◆ blendEquationSeparatei

ptr_glBlendEquationSeparatei clan::GLFunctions::blendEquationSeparatei

## ◆ blendEquationSeparateiARB

ptr_glBlendEquationSeparateiARB clan::GLFunctions::blendEquationSeparateiARB

## ◆ blendFunc

ptr_glBlendFunc clan::GLFunctions::blendFunc

## ◆ blendFunci

ptr_glBlendFunci clan::GLFunctions::blendFunci

## ◆ blendFunciARB

ptr_glBlendFunciARB clan::GLFunctions::blendFunciARB

## ◆ blendFuncSeparate

ptr_glBlendFuncSeparate clan::GLFunctions::blendFuncSeparate

## ◆ blendFuncSeparatei

ptr_glBlendFuncSeparatei clan::GLFunctions::blendFuncSeparatei

## ◆ blendFuncSeparateiARB

ptr_glBlendFuncSeparateiARB clan::GLFunctions::blendFuncSeparateiARB

## ◆ blitFramebuffer

ptr_glBlitFramebuffer clan::GLFunctions::blitFramebuffer

## ◆ BlitNamedFramebuffer

ptr_glBlitNamedFramebuffer clan::GLFunctions::BlitNamedFramebuffer

## ◆ bufferData

ptr_glBufferData clan::GLFunctions::bufferData

## ◆ BufferStorage

ptr_glBufferStorage clan::GLFunctions::BufferStorage

## ◆ bufferSubData

ptr_glBufferSubData clan::GLFunctions::bufferSubData

## ◆ checkFramebufferStatus

ptr_glCheckFramebufferStatus clan::GLFunctions::checkFramebufferStatus

## ◆ CheckNamedFramebufferStatus

ptr_glCheckNamedFramebufferStatus clan::GLFunctions::CheckNamedFramebufferStatus

## ◆ clampColor

ptr_glClampColor clan::GLFunctions::clampColor

## ◆ clear

ptr_glClear clan::GLFunctions::clear

## ◆ clearBufferData

ptr_glClearBufferData clan::GLFunctions::clearBufferData

## ◆ clearBufferfi

ptr_glClearBufferfi clan::GLFunctions::clearBufferfi

## ◆ clearBufferfv

ptr_glClearBufferfv clan::GLFunctions::clearBufferfv

## ◆ clearBufferiv

ptr_glClearBufferiv clan::GLFunctions::clearBufferiv

## ◆ clearBufferSubData

ptr_glClearBufferSubData clan::GLFunctions::clearBufferSubData

## ◆ clearBufferuiv

ptr_glClearBufferuiv clan::GLFunctions::clearBufferuiv

## ◆ clearColor

ptr_glClearColor clan::GLFunctions::clearColor

## ◆ clearDepth

ptr_glClearDepth clan::GLFunctions::clearDepth

## ◆ clearDepthf

ptr_glClearDepthf clan::GLFunctions::clearDepthf

## ◆ ClearNamedBufferData

ptr_glClearNamedBufferData clan::GLFunctions::ClearNamedBufferData

## ◆ clearNamedBufferDataEXT

ptr_glClearNamedBufferDataEXT clan::GLFunctions::clearNamedBufferDataEXT

## ◆ ClearNamedBufferSubData

ptr_glClearNamedBufferSubData clan::GLFunctions::ClearNamedBufferSubData

## ◆ clearNamedBufferSubDataEXT

ptr_glClearNamedBufferSubDataEXT clan::GLFunctions::clearNamedBufferSubDataEXT

## ◆ ClearNamedFramebufferfi

ptr_glClearNamedFramebufferfi clan::GLFunctions::ClearNamedFramebufferfi

## ◆ ClearNamedFramebufferfv

ptr_glClearNamedFramebufferfv clan::GLFunctions::ClearNamedFramebufferfv

## ◆ ClearNamedFramebufferiv

ptr_glClearNamedFramebufferiv clan::GLFunctions::ClearNamedFramebufferiv

## ◆ ClearNamedFramebufferuiv

ptr_glClearNamedFramebufferuiv clan::GLFunctions::ClearNamedFramebufferuiv

## ◆ clearStencil

ptr_glClearStencil clan::GLFunctions::clearStencil

## ◆ ClearTexImage

ptr_glClearTexImage clan::GLFunctions::ClearTexImage

## ◆ ClearTexSubImage

ptr_glClearTexSubImage clan::GLFunctions::ClearTexSubImage

## ◆ clientActiveTexture

ptr_glClientActiveTextureARB clan::GLFunctions::clientActiveTexture

## ◆ clientWaitSync

ptr_glClientWaitSync clan::GLFunctions::clientWaitSync

## ◆ ClipControl

ptr_glClipControl clan::GLFunctions::ClipControl

## ◆ colorMask

ptr_glColorMask clan::GLFunctions::colorMask

## ◆ colorMaski

ptr_glColorMaski clan::GLFunctions::colorMaski

## ◆ colorP3ui

ptr_glColorP3ui clan::GLFunctions::colorP3ui

## ◆ colorP3uiv

ptr_glColorP3uiv clan::GLFunctions::colorP3uiv

## ◆ colorP4ui

ptr_glColorP4ui clan::GLFunctions::colorP4ui

## ◆ colorP4uiv

ptr_glColorP4uiv clan::GLFunctions::colorP4uiv

## ◆ compileShader

ptr_glCompileShader clan::GLFunctions::compileShader

## ◆ compileShaderIncludeARB

ptr_glCompileShaderIncludeARB clan::GLFunctions::compileShaderIncludeARB

## ◆ compressedTexImage1D

ptr_glCompressedTexImage1D clan::GLFunctions::compressedTexImage1D

## ◆ compressedTexImage2D

ptr_glCompressedTexImage2D clan::GLFunctions::compressedTexImage2D

## ◆ compressedTexImage3D

ptr_glCompressedTexImage3D clan::GLFunctions::compressedTexImage3D

## ◆ compressedTexSubImage1D

ptr_glCompressedTexSubImage1D clan::GLFunctions::compressedTexSubImage1D

## ◆ compressedTexSubImage2D

ptr_glCompressedTexSubImage2D clan::GLFunctions::compressedTexSubImage2D

## ◆ compressedTexSubImage3D

ptr_glCompressedTexSubImage3D clan::GLFunctions::compressedTexSubImage3D

## ◆ CompressedTextureSubImage1D

ptr_glCompressedTextureSubImage1D clan::GLFunctions::CompressedTextureSubImage1D

## ◆ CompressedTextureSubImage2D

ptr_glCompressedTextureSubImage2D clan::GLFunctions::CompressedTextureSubImage2D

## ◆ CompressedTextureSubImage3D

ptr_glCompressedTextureSubImage3D clan::GLFunctions::CompressedTextureSubImage3D

## ◆ copyBufferSubData

ptr_glCopyBufferSubData clan::GLFunctions::copyBufferSubData

## ◆ copyImageSubData

ptr_glCopyImageSubData clan::GLFunctions::copyImageSubData

## ◆ CopyNamedBufferSubData

ptr_glCopyNamedBufferSubData clan::GLFunctions::CopyNamedBufferSubData

## ◆ copyTexImage1D

ptr_glCopyTexImage1D clan::GLFunctions::copyTexImage1D

## ◆ copyTexImage2D

ptr_glCopyTexImage2D clan::GLFunctions::copyTexImage2D

## ◆ copyTexSubImage1D

ptr_glCopyTexSubImage1D clan::GLFunctions::copyTexSubImage1D

## ◆ copyTexSubImage2D

ptr_glCopyTexSubImage2D clan::GLFunctions::copyTexSubImage2D

## ◆ copyTexSubImage3D

ptr_glCopyTexSubImage3D clan::GLFunctions::copyTexSubImage3D

## ◆ CopyTextureSubImage1D

ptr_glCopyTextureSubImage1D clan::GLFunctions::CopyTextureSubImage1D

## ◆ CopyTextureSubImage2D

ptr_glCopyTextureSubImage2D clan::GLFunctions::CopyTextureSubImage2D

## ◆ CopyTextureSubImage3D

ptr_glCopyTextureSubImage3D clan::GLFunctions::CopyTextureSubImage3D

## ◆ CreateBuffers

ptr_glCreateBuffers clan::GLFunctions::CreateBuffers

## ◆ CreateFramebuffers

ptr_glCreateFramebuffers clan::GLFunctions::CreateFramebuffers

## ◆ createProgram

ptr_glCreateProgram clan::GLFunctions::createProgram

## ◆ CreateProgramPipelines

ptr_glCreateProgramPipelines clan::GLFunctions::CreateProgramPipelines

## ◆ CreateQueries

ptr_glCreateQueries clan::GLFunctions::CreateQueries

## ◆ CreateRenderbuffers

ptr_glCreateRenderbuffers clan::GLFunctions::CreateRenderbuffers

## ◆ CreateSamplers

ptr_glCreateSamplers clan::GLFunctions::CreateSamplers

## ◆ createShader

ptr_glCreateShader clan::GLFunctions::createShader

## ◆ createShaderProgramv

ptr_glCreateShaderProgramv clan::GLFunctions::createShaderProgramv

## ◆ createSyncFromCLeventARB

ptr_glCreateSyncFromCLeventARB clan::GLFunctions::createSyncFromCLeventARB

## ◆ CreateTextures

ptr_glCreateTextures clan::GLFunctions::CreateTextures

## ◆ CreateTransformFeedbacks

ptr_glCreateTransformFeedbacks clan::GLFunctions::CreateTransformFeedbacks

## ◆ CreateVertexArrays

ptr_glCreateVertexArrays clan::GLFunctions::CreateVertexArrays

## ◆ cullFace

ptr_glCullFace clan::GLFunctions::cullFace

## ◆ debugMessageCallback

ptr_glDebugMessageCallback clan::GLFunctions::debugMessageCallback

## ◆ debugMessageCallbackARB

ptr_glDebugMessageCallbackARB clan::GLFunctions::debugMessageCallbackARB

## ◆ debugMessageControl

ptr_glDebugMessageControl clan::GLFunctions::debugMessageControl

## ◆ debugMessageControlARB

ptr_glDebugMessageControlARB clan::GLFunctions::debugMessageControlARB

## ◆ debugMessageInsert

ptr_glDebugMessageInsert clan::GLFunctions::debugMessageInsert

## ◆ debugMessageInsertARB

ptr_glDebugMessageInsertARB clan::GLFunctions::debugMessageInsertARB

## ◆ deleteBuffers

ptr_glDeleteBuffers clan::GLFunctions::deleteBuffers

## ◆ deleteFramebuffers

ptr_glDeleteFramebuffers clan::GLFunctions::deleteFramebuffers

## ◆ deleteNamedStringARB

ptr_glDeleteNamedStringARB clan::GLFunctions::deleteNamedStringARB

## ◆ deleteProgram

ptr_glDeleteProgram clan::GLFunctions::deleteProgram

## ◆ deleteProgramPipelines

ptr_glDeleteProgramPipelines clan::GLFunctions::deleteProgramPipelines

## ◆ deleteQueries

ptr_glDeleteQueries clan::GLFunctions::deleteQueries

## ◆ deleteRenderbuffers

ptr_glDeleteRenderbuffers clan::GLFunctions::deleteRenderbuffers

## ◆ deleteSamplers

ptr_glDeleteSamplers clan::GLFunctions::deleteSamplers

## ◆ deleteShader

ptr_glDeleteShader clan::GLFunctions::deleteShader

## ◆ deleteSync

ptr_glDeleteSync clan::GLFunctions::deleteSync

## ◆ deleteTextures

ptr_glDeleteTextures clan::GLFunctions::deleteTextures

## ◆ deleteTransformFeedbacks

ptr_glDeleteTransformFeedbacks clan::GLFunctions::deleteTransformFeedbacks

## ◆ deleteVertexArrays

ptr_glDeleteVertexArrays clan::GLFunctions::deleteVertexArrays

## ◆ depthFunc

ptr_glDepthFunc clan::GLFunctions::depthFunc

## ◆ depthMask

ptr_glDepthMask clan::GLFunctions::depthMask

## ◆ depthRange

ptr_glDepthRange clan::GLFunctions::depthRange

## ◆ depthRangeArrayv

ptr_glDepthRangeArrayv clan::GLFunctions::depthRangeArrayv

## ◆ depthRangef

ptr_glDepthRangef clan::GLFunctions::depthRangef

## ◆ depthRangeIndexed

ptr_glDepthRangeIndexed clan::GLFunctions::depthRangeIndexed

## ◆ detachShader

ptr_glDetachShader clan::GLFunctions::detachShader

## ◆ disable

ptr_glDisable clan::GLFunctions::disable

## ◆ disablei

ptr_glDisablei clan::GLFunctions::disablei

## ◆ DisableVertexArrayAttrib

ptr_glDisableVertexArrayAttrib clan::GLFunctions::DisableVertexArrayAttrib

## ◆ disableVertexAttribArray

ptr_glDisableVertexAttribArray clan::GLFunctions::disableVertexAttribArray

## ◆ dispatchCompute

ptr_glDispatchCompute clan::GLFunctions::dispatchCompute

## ◆ dispatchComputeIndirect

ptr_glDispatchComputeIndirect clan::GLFunctions::dispatchComputeIndirect

## ◆ drawArrays

ptr_glDrawArrays clan::GLFunctions::drawArrays

## ◆ drawArraysIndirect

ptr_glDrawArraysIndirect clan::GLFunctions::drawArraysIndirect

## ◆ drawArraysInstanced

ptr_glDrawArraysInstanced clan::GLFunctions::drawArraysInstanced

## ◆ drawArraysInstancedBaseInstance

ptr_glDrawArraysInstancedBaseInstance clan::GLFunctions::drawArraysInstancedBaseInstance

## ◆ drawBuffer

ptr_glDrawBuffer clan::GLFunctions::drawBuffer

## ◆ drawBuffers

ptr_glDrawBuffers clan::GLFunctions::drawBuffers

## ◆ drawElements

ptr_glDrawElements clan::GLFunctions::drawElements

## ◆ drawElementsBaseVertex

ptr_glDrawElementsBaseVertex clan::GLFunctions::drawElementsBaseVertex

## ◆ drawElementsIndirect

ptr_glDrawElementsIndirect clan::GLFunctions::drawElementsIndirect

## ◆ drawElementsInstanced

ptr_glDrawElementsInstanced clan::GLFunctions::drawElementsInstanced

## ◆ drawElementsInstancedBaseInstance

ptr_glDrawElementsInstancedBaseInstance clan::GLFunctions::drawElementsInstancedBaseInstance

## ◆ drawElementsInstancedBaseVertex

ptr_glDrawElementsInstancedBaseVertex clan::GLFunctions::drawElementsInstancedBaseVertex

## ◆ drawElementsInstancedBaseVertexBaseInstance

ptr_glDrawElementsInstancedBaseVertexBaseInstance clan::GLFunctions::drawElementsInstancedBaseVertexBaseInstance

## ◆ drawRangeElements

ptr_glDrawRangeElements clan::GLFunctions::drawRangeElements

## ◆ drawRangeElementsBaseVertex

ptr_glDrawRangeElementsBaseVertex clan::GLFunctions::drawRangeElementsBaseVertex

## ◆ drawTransformFeedback

ptr_glDrawTransformFeedback clan::GLFunctions::drawTransformFeedback

## ◆ drawTransformFeedbackInstanced

ptr_glDrawTransformFeedbackInstanced clan::GLFunctions::drawTransformFeedbackInstanced

## ◆ drawTransformFeedbackStream

ptr_glDrawTransformFeedbackStream clan::GLFunctions::drawTransformFeedbackStream

## ◆ drawTransformFeedbackStreamInstanced

ptr_glDrawTransformFeedbackStreamInstanced clan::GLFunctions::drawTransformFeedbackStreamInstanced

## ◆ enable

ptr_glEnable clan::GLFunctions::enable

## ◆ enablei

ptr_glEnablei clan::GLFunctions::enablei

## ◆ EnableVertexArrayAttrib

ptr_glEnableVertexArrayAttrib clan::GLFunctions::EnableVertexArrayAttrib

## ◆ enableVertexAttribArray

ptr_glEnableVertexAttribArray clan::GLFunctions::enableVertexAttribArray

## ◆ endConditionalRender

ptr_glEndConditionalRender clan::GLFunctions::endConditionalRender

## ◆ endQuery

ptr_glEndQuery clan::GLFunctions::endQuery

## ◆ endQueryIndexed

ptr_glEndQueryIndexed clan::GLFunctions::endQueryIndexed

## ◆ endTransformFeedback

ptr_glEndTransformFeedback clan::GLFunctions::endTransformFeedback

## ◆ fenceSync

ptr_glFenceSync clan::GLFunctions::fenceSync

## ◆ finish

ptr_glFinish clan::GLFunctions::finish

## ◆ flush

ptr_glFlush clan::GLFunctions::flush

## ◆ flushMappedBufferRange

ptr_glFlushMappedBufferRange clan::GLFunctions::flushMappedBufferRange

## ◆ FlushMappedNamedBufferRange

ptr_glFlushMappedNamedBufferRange clan::GLFunctions::FlushMappedNamedBufferRange

## ◆ framebufferParameteri

ptr_glFramebufferParameteri clan::GLFunctions::framebufferParameteri

## ◆ framebufferRenderbuffer

ptr_glFramebufferRenderbuffer clan::GLFunctions::framebufferRenderbuffer

## ◆ framebufferTexture

ptr_glFramebufferTexture clan::GLFunctions::framebufferTexture

## ◆ framebufferTexture1D

ptr_glFramebufferTexture1D clan::GLFunctions::framebufferTexture1D

## ◆ framebufferTexture2D

ptr_glFramebufferTexture2D clan::GLFunctions::framebufferTexture2D

## ◆ framebufferTexture3D

ptr_glFramebufferTexture3D clan::GLFunctions::framebufferTexture3D

## ◆ framebufferTextureLayer

ptr_glFramebufferTextureLayer clan::GLFunctions::framebufferTextureLayer

## ◆ frontFace

ptr_glFrontFace clan::GLFunctions::frontFace

## ◆ genBuffers

ptr_glGenBuffers clan::GLFunctions::genBuffers

## ◆ generateMipmap

ptr_glGenerateMipmap clan::GLFunctions::generateMipmap

## ◆ GenerateTextureMipmap

ptr_glGenerateTextureMipmap clan::GLFunctions::GenerateTextureMipmap

## ◆ genFramebuffers

ptr_glGenFramebuffers clan::GLFunctions::genFramebuffers

## ◆ genProgramPipelines

ptr_glGenProgramPipelines clan::GLFunctions::genProgramPipelines

## ◆ genQueries

ptr_glGenQueries clan::GLFunctions::genQueries

## ◆ genRenderbuffers

ptr_glGenRenderbuffers clan::GLFunctions::genRenderbuffers

## ◆ genSamplers

ptr_glGenSamplers clan::GLFunctions::genSamplers

## ◆ genTextures

ptr_glGenTextures clan::GLFunctions::genTextures

## ◆ genTransformFeedbacks

ptr_glGenTransformFeedbacks clan::GLFunctions::genTransformFeedbacks

## ◆ genVertexArrays

ptr_glGenVertexArrays clan::GLFunctions::genVertexArrays

## ◆ getActiveAtomicCounterBufferiv

ptr_glGetActiveAtomicCounterBufferiv clan::GLFunctions::getActiveAtomicCounterBufferiv

## ◆ getActiveAttrib

ptr_glGetActiveAttrib clan::GLFunctions::getActiveAttrib

## ◆ getActiveSubroutineName

ptr_glGetActiveSubroutineName clan::GLFunctions::getActiveSubroutineName

## ◆ getActiveSubroutineUniformiv

ptr_glGetActiveSubroutineUniformiv clan::GLFunctions::getActiveSubroutineUniformiv

## ◆ getActiveSubroutineUniformName

ptr_glGetActiveSubroutineUniformName clan::GLFunctions::getActiveSubroutineUniformName

## ◆ getActiveUniform

ptr_glGetActiveUniform clan::GLFunctions::getActiveUniform

## ◆ getActiveUniformBlockiv

ptr_glGetActiveUniformBlockiv clan::GLFunctions::getActiveUniformBlockiv

## ◆ getActiveUniformBlockName

ptr_glGetActiveUniformBlockName clan::GLFunctions::getActiveUniformBlockName

## ◆ getActiveUniformName

ptr_glGetActiveUniformName clan::GLFunctions::getActiveUniformName

## ◆ getActiveUniformsiv

ptr_glGetActiveUniformsiv clan::GLFunctions::getActiveUniformsiv

## ◆ getAttachedShaders

ptr_glGetAttachedShaders clan::GLFunctions::getAttachedShaders

## ◆ getAttribLocation

ptr_glGetAttribLocation clan::GLFunctions::getAttribLocation

## ◆ getBooleani_v

ptr_glGetBooleani_v clan::GLFunctions::getBooleani_v

## ◆ getBooleanv

ptr_glGetBooleanv clan::GLFunctions::getBooleanv

## ◆ getBufferParameteri64v

ptr_glGetBufferParameteri64v clan::GLFunctions::getBufferParameteri64v

## ◆ getBufferParameteriv

ptr_glGetBufferParameteriv clan::GLFunctions::getBufferParameteriv

## ◆ getBufferPointerv

ptr_glGetBufferPointerv clan::GLFunctions::getBufferPointerv

## ◆ getBufferSubData

ptr_glGetBufferSubData clan::GLFunctions::getBufferSubData

## ◆ getCompressedTexImage

ptr_glGetCompressedTexImage clan::GLFunctions::getCompressedTexImage

## ◆ GetCompressedTextureImage

ptr_glGetCompressedTextureImage clan::GLFunctions::GetCompressedTextureImage

## ◆ GetCompressedTextureSubImage

ptr_glGetCompressedTextureSubImage clan::GLFunctions::GetCompressedTextureSubImage

## ◆ getDebugMessageLog

ptr_glGetDebugMessageLog clan::GLFunctions::getDebugMessageLog

## ◆ getDebugMessageLogARB

ptr_glGetDebugMessageLogARB clan::GLFunctions::getDebugMessageLogARB

## ◆ getDoublei_v

ptr_glGetDoublei_v clan::GLFunctions::getDoublei_v

## ◆ getDoublev

ptr_glGetDoublev clan::GLFunctions::getDoublev

## ◆ getError

ptr_glGetError clan::GLFunctions::getError

## ◆ getFloati_v

ptr_glGetFloati_v clan::GLFunctions::getFloati_v

## ◆ getFloatv

ptr_glGetFloatv clan::GLFunctions::getFloatv

## ◆ getFragDataIndex

ptr_glGetFragDataIndex clan::GLFunctions::getFragDataIndex

## ◆ getFragDataLocation

ptr_glGetFragDataLocation clan::GLFunctions::getFragDataLocation

## ◆ getFramebufferAttachmentParameteriv

ptr_glGetFramebufferAttachmentParameteriv clan::GLFunctions::getFramebufferAttachmentParameteriv

## ◆ getFramebufferParameteriv

ptr_glGetFramebufferParameteriv clan::GLFunctions::getFramebufferParameteriv

## ◆ GetGraphicsResetStatus

ptr_glGetGraphicsResetStatus clan::GLFunctions::GetGraphicsResetStatus

## ◆ getGraphicsResetStatusARB

ptr_glGetGraphicsResetStatusARB clan::GLFunctions::getGraphicsResetStatusARB

## ◆ getInteger64i_v

ptr_glGetInteger64i_v clan::GLFunctions::getInteger64i_v

## ◆ getInteger64v

ptr_glGetInteger64v clan::GLFunctions::getInteger64v

## ◆ getIntegeri_v

ptr_glGetIntegeri_v clan::GLFunctions::getIntegeri_v

## ◆ getIntegerv

ptr_glGetIntegerv clan::GLFunctions::getIntegerv

## ◆ getInternalformati64v

ptr_glGetInternalformati64v clan::GLFunctions::getInternalformati64v

## ◆ getInternalformativ

ptr_glGetInternalformativ clan::GLFunctions::getInternalformativ

## ◆ getMultisamplefv

ptr_glGetMultisamplefv clan::GLFunctions::getMultisamplefv

## ◆ GetNamedBufferParameteri64v

ptr_glGetNamedBufferParameteri64v clan::GLFunctions::GetNamedBufferParameteri64v

## ◆ GetNamedBufferParameteriv

ptr_glGetNamedBufferParameteriv clan::GLFunctions::GetNamedBufferParameteriv

## ◆ GetNamedBufferPointerv

ptr_glGetNamedBufferPointerv clan::GLFunctions::GetNamedBufferPointerv

## ◆ GetNamedBufferSubData

ptr_glGetNamedBufferSubData clan::GLFunctions::GetNamedBufferSubData

## ◆ GetNamedFramebufferAttachmentParameteriv

ptr_glGetNamedFramebufferAttachmentParameteriv clan::GLFunctions::GetNamedFramebufferAttachmentParameteriv

## ◆ GetNamedFramebufferParameteriv

ptr_glGetNamedFramebufferParameteriv clan::GLFunctions::GetNamedFramebufferParameteriv

## ◆ getNamedFramebufferParameterivEXT

ptr_glGetNamedFramebufferParameterivEXT clan::GLFunctions::getNamedFramebufferParameterivEXT

## ◆ GetNamedRenderbufferParameteriv

ptr_glGetNamedRenderbufferParameteriv clan::GLFunctions::GetNamedRenderbufferParameteriv

## ◆ getNamedStringARB

ptr_glGetNamedStringARB clan::GLFunctions::getNamedStringARB

## ◆ getNamedStringivARB

ptr_glGetNamedStringivARB clan::GLFunctions::getNamedStringivARB

## ◆ GetnColorTable

ptr_glGetnColorTable clan::GLFunctions::GetnColorTable

## ◆ getnColorTableARB

ptr_glGetnColorTableARB clan::GLFunctions::getnColorTableARB

## ◆ GetnCompressedTexImage

ptr_glGetnCompressedTexImage clan::GLFunctions::GetnCompressedTexImage

## ◆ getnCompressedTexImageARB

ptr_glGetnCompressedTexImageARB clan::GLFunctions::getnCompressedTexImageARB

## ◆ GetnConvolutionFilter

ptr_glGetnConvolutionFilter clan::GLFunctions::GetnConvolutionFilter

## ◆ getnConvolutionFilterARB

ptr_glGetnConvolutionFilterARB clan::GLFunctions::getnConvolutionFilterARB

## ◆ GetnHistogram

ptr_glGetnHistogram clan::GLFunctions::GetnHistogram

## ◆ getnHistogramARB

ptr_glGetnHistogramARB clan::GLFunctions::getnHistogramARB

## ◆ GetnMapdv

ptr_glGetnMapdv clan::GLFunctions::GetnMapdv

## ◆ getnMapdvARB

ptr_glGetnMapdvARB clan::GLFunctions::getnMapdvARB

## ◆ GetnMapfv

ptr_glGetnMapfv clan::GLFunctions::GetnMapfv

## ◆ getnMapfvARB

ptr_glGetnMapfvARB clan::GLFunctions::getnMapfvARB

## ◆ GetnMapiv

ptr_glGetnMapiv clan::GLFunctions::GetnMapiv

## ◆ getnMapivARB

ptr_glGetnMapivARB clan::GLFunctions::getnMapivARB

## ◆ GetnMinmax

ptr_glGetnMinmax clan::GLFunctions::GetnMinmax

## ◆ getnMinmaxARB

ptr_glGetnMinmaxARB clan::GLFunctions::getnMinmaxARB

## ◆ GetnPixelMapfv

ptr_glGetnPixelMapfv clan::GLFunctions::GetnPixelMapfv

## ◆ getnPixelMapfvARB

ptr_glGetnPixelMapfvARB clan::GLFunctions::getnPixelMapfvARB

## ◆ GetnPixelMapuiv

ptr_glGetnPixelMapuiv clan::GLFunctions::GetnPixelMapuiv

## ◆ getnPixelMapuivARB

ptr_glGetnPixelMapuivARB clan::GLFunctions::getnPixelMapuivARB

## ◆ GetnPixelMapusv

ptr_glGetnPixelMapusv clan::GLFunctions::GetnPixelMapusv

## ◆ getnPixelMapusvARB

ptr_glGetnPixelMapusvARB clan::GLFunctions::getnPixelMapusvARB

## ◆ GetnPolygonStipple

ptr_glGetnPolygonStipple clan::GLFunctions::GetnPolygonStipple

## ◆ getnPolygonStippleARB

ptr_glGetnPolygonStippleARB clan::GLFunctions::getnPolygonStippleARB

## ◆ GetnSeparableFilter

ptr_glGetnSeparableFilter clan::GLFunctions::GetnSeparableFilter

## ◆ getnSeparableFilterARB

ptr_glGetnSeparableFilterARB clan::GLFunctions::getnSeparableFilterARB

## ◆ GetnTexImage

ptr_glGetnTexImage clan::GLFunctions::GetnTexImage

## ◆ getnTexImageARB

ptr_glGetnTexImageARB clan::GLFunctions::getnTexImageARB

## ◆ GetnUniformdv

ptr_glGetnUniformdv clan::GLFunctions::GetnUniformdv

## ◆ getnUniformdvARB

ptr_glGetnUniformdvARB clan::GLFunctions::getnUniformdvARB

## ◆ GetnUniformfv

ptr_glGetnUniformfv clan::GLFunctions::GetnUniformfv

## ◆ getnUniformfvARB

ptr_glGetnUniformfvARB clan::GLFunctions::getnUniformfvARB

## ◆ GetnUniformiv

ptr_glGetnUniformiv clan::GLFunctions::GetnUniformiv

## ◆ getnUniformivARB

ptr_glGetnUniformivARB clan::GLFunctions::getnUniformivARB

## ◆ GetnUniformuiv

ptr_glGetnUniformuiv clan::GLFunctions::GetnUniformuiv

## ◆ getnUniformuivARB

ptr_glGetnUniformuivARB clan::GLFunctions::getnUniformuivARB

## ◆ getObjectLabel

ptr_glGetObjectLabel clan::GLFunctions::getObjectLabel

## ◆ getObjectPtrLabel

ptr_glGetObjectPtrLabel clan::GLFunctions::getObjectPtrLabel

## ◆ getPointerv

ptr_glGetPointerv clan::GLFunctions::getPointerv

## ◆ getProgramBinary

ptr_glGetProgramBinary clan::GLFunctions::getProgramBinary

## ◆ getProgramInfoLog

ptr_glGetProgramInfoLog clan::GLFunctions::getProgramInfoLog

## ◆ getProgramInterfaceiv

ptr_glGetProgramInterfaceiv clan::GLFunctions::getProgramInterfaceiv

## ◆ getProgramiv

ptr_glGetProgramiv clan::GLFunctions::getProgramiv

## ◆ getProgramPipelineInfoLog

ptr_glGetProgramPipelineInfoLog clan::GLFunctions::getProgramPipelineInfoLog

## ◆ getProgramPipelineiv

ptr_glGetProgramPipelineiv clan::GLFunctions::getProgramPipelineiv

## ◆ getProgramResourceIndex

ptr_glGetProgramResourceIndex clan::GLFunctions::getProgramResourceIndex

## ◆ getProgramResourceiv

ptr_glGetProgramResourceiv clan::GLFunctions::getProgramResourceiv

## ◆ getProgramResourceLocation

ptr_glGetProgramResourceLocation clan::GLFunctions::getProgramResourceLocation

## ◆ getProgramResourceLocationIndex

ptr_glGetProgramResourceLocationIndex clan::GLFunctions::getProgramResourceLocationIndex

## ◆ getProgramResourceName

ptr_glGetProgramResourceName clan::GLFunctions::getProgramResourceName

## ◆ getProgramStageiv

ptr_glGetProgramStageiv clan::GLFunctions::getProgramStageiv

## ◆ GetQueryBufferObjecti64v

ptr_glGetQueryBufferObjecti64v clan::GLFunctions::GetQueryBufferObjecti64v

## ◆ GetQueryBufferObjectiv

ptr_glGetQueryBufferObjectiv clan::GLFunctions::GetQueryBufferObjectiv

## ◆ GetQueryBufferObjectui64v

ptr_glGetQueryBufferObjectui64v clan::GLFunctions::GetQueryBufferObjectui64v

## ◆ GetQueryBufferObjectuiv

ptr_glGetQueryBufferObjectuiv clan::GLFunctions::GetQueryBufferObjectuiv

## ◆ getQueryIndexediv

ptr_glGetQueryIndexediv clan::GLFunctions::getQueryIndexediv

## ◆ getQueryiv

ptr_glGetQueryiv clan::GLFunctions::getQueryiv

## ◆ getQueryObjecti64v

ptr_glGetQueryObjecti64v clan::GLFunctions::getQueryObjecti64v

## ◆ getQueryObjectiv

ptr_glGetQueryObjectiv clan::GLFunctions::getQueryObjectiv

## ◆ getQueryObjectui64v

ptr_glGetQueryObjectui64v clan::GLFunctions::getQueryObjectui64v

## ◆ getQueryObjectuiv

ptr_glGetQueryObjectuiv clan::GLFunctions::getQueryObjectuiv

## ◆ getRenderbufferParameteriv

ptr_glGetRenderbufferParameteriv clan::GLFunctions::getRenderbufferParameteriv

## ◆ getSamplerParameterfv

ptr_glGetSamplerParameterfv clan::GLFunctions::getSamplerParameterfv

## ◆ getSamplerParameterIiv

ptr_glGetSamplerParameterIiv clan::GLFunctions::getSamplerParameterIiv

## ◆ getSamplerParameterIuiv

ptr_glGetSamplerParameterIuiv clan::GLFunctions::getSamplerParameterIuiv

## ◆ getSamplerParameteriv

ptr_glGetSamplerParameteriv clan::GLFunctions::getSamplerParameteriv

## ◆ getShaderInfoLog

ptr_glGetShaderInfoLog clan::GLFunctions::getShaderInfoLog

## ◆ getShaderiv

ptr_glGetShaderiv clan::GLFunctions::getShaderiv

## ◆ getShaderPrecisionFormat

ptr_glGetShaderPrecisionFormat clan::GLFunctions::getShaderPrecisionFormat

## ◆ getShaderSource

ptr_glGetShaderSource clan::GLFunctions::getShaderSource

## ◆ getString

ptr_glGetString clan::GLFunctions::getString

## ◆ getStringi

ptr_glGetStringi clan::GLFunctions::getStringi

## ◆ getSubroutineIndex

ptr_glGetSubroutineIndex clan::GLFunctions::getSubroutineIndex

## ◆ getSubroutineUniformLocation

ptr_glGetSubroutineUniformLocation clan::GLFunctions::getSubroutineUniformLocation

## ◆ getSynciv

ptr_glGetSynciv clan::GLFunctions::getSynciv

## ◆ getTexImage

ptr_glGetTexImage clan::GLFunctions::getTexImage

## ◆ getTexLevelParameterfv

ptr_glGetTexLevelParameterfv clan::GLFunctions::getTexLevelParameterfv

## ◆ getTexLevelParameteriv

ptr_glGetTexLevelParameteriv clan::GLFunctions::getTexLevelParameteriv

## ◆ getTexParameterfv

ptr_glGetTexParameterfv clan::GLFunctions::getTexParameterfv

## ◆ getTexParameterIiv

ptr_glGetTexParameterIiv clan::GLFunctions::getTexParameterIiv

## ◆ getTexParameterIuiv

ptr_glGetTexParameterIuiv clan::GLFunctions::getTexParameterIuiv

## ◆ getTexParameteriv

ptr_glGetTexParameteriv clan::GLFunctions::getTexParameteriv

## ◆ GetTextureImage

ptr_glGetTextureImage clan::GLFunctions::GetTextureImage

## ◆ GetTextureLevelParameterfv

ptr_glGetTextureLevelParameterfv clan::GLFunctions::GetTextureLevelParameterfv

## ◆ GetTextureLevelParameteriv

ptr_glGetTextureLevelParameteriv clan::GLFunctions::GetTextureLevelParameteriv

## ◆ GetTextureParameterfv

ptr_glGetTextureParameterfv clan::GLFunctions::GetTextureParameterfv

## ◆ GetTextureParameterIiv

ptr_glGetTextureParameterIiv clan::GLFunctions::GetTextureParameterIiv

## ◆ GetTextureParameterIuiv

ptr_glGetTextureParameterIuiv clan::GLFunctions::GetTextureParameterIuiv

## ◆ GetTextureParameteriv

ptr_glGetTextureParameteriv clan::GLFunctions::GetTextureParameteriv

## ◆ GetTextureSubImage

ptr_glGetTextureSubImage clan::GLFunctions::GetTextureSubImage

## ◆ GetTransformFeedbacki64_v

ptr_glGetTransformFeedbacki64_v clan::GLFunctions::GetTransformFeedbacki64_v

## ◆ GetTransformFeedbacki_v

ptr_glGetTransformFeedbacki_v clan::GLFunctions::GetTransformFeedbacki_v

## ◆ GetTransformFeedbackiv

ptr_glGetTransformFeedbackiv clan::GLFunctions::GetTransformFeedbackiv

## ◆ getTransformFeedbackVarying

ptr_glGetTransformFeedbackVarying clan::GLFunctions::getTransformFeedbackVarying

## ◆ getUniformBlockIndex

ptr_glGetUniformBlockIndex clan::GLFunctions::getUniformBlockIndex

## ◆ getUniformdv

ptr_glGetUniformdv clan::GLFunctions::getUniformdv

## ◆ getUniformfv

ptr_glGetUniformfv clan::GLFunctions::getUniformfv

## ◆ getUniformIndices

ptr_glGetUniformIndices clan::GLFunctions::getUniformIndices

## ◆ getUniformiv

ptr_glGetUniformiv clan::GLFunctions::getUniformiv

## ◆ getUniformLocation

ptr_glGetUniformLocation clan::GLFunctions::getUniformLocation

## ◆ getUniformSubroutineuiv

ptr_glGetUniformSubroutineuiv clan::GLFunctions::getUniformSubroutineuiv

## ◆ getUniformuiv

ptr_glGetUniformuiv clan::GLFunctions::getUniformuiv

## ◆ GetVertexArrayIndexed64iv

ptr_glGetVertexArrayIndexed64iv clan::GLFunctions::GetVertexArrayIndexed64iv

## ◆ GetVertexArrayIndexediv

ptr_glGetVertexArrayIndexediv clan::GLFunctions::GetVertexArrayIndexediv

## ◆ GetVertexArrayiv

ptr_glGetVertexArrayiv clan::GLFunctions::GetVertexArrayiv

## ◆ getVertexAttribdv

ptr_glGetVertexAttribdv clan::GLFunctions::getVertexAttribdv

## ◆ getVertexAttribfv

ptr_glGetVertexAttribfv clan::GLFunctions::getVertexAttribfv

## ◆ getVertexAttribIiv

ptr_glGetVertexAttribIiv clan::GLFunctions::getVertexAttribIiv

## ◆ getVertexAttribIuiv

ptr_glGetVertexAttribIuiv clan::GLFunctions::getVertexAttribIuiv

## ◆ getVertexAttribiv

ptr_glGetVertexAttribiv clan::GLFunctions::getVertexAttribiv

## ◆ getVertexAttribLdv

ptr_glGetVertexAttribLdv clan::GLFunctions::getVertexAttribLdv

## ◆ getVertexAttribPointerv

ptr_glGetVertexAttribPointerv clan::GLFunctions::getVertexAttribPointerv

## ◆ hint

ptr_glHint clan::GLFunctions::hint

## ◆ invalidateBufferData

ptr_glInvalidateBufferData clan::GLFunctions::invalidateBufferData

## ◆ invalidateBufferSubData

ptr_glInvalidateBufferSubData clan::GLFunctions::invalidateBufferSubData

## ◆ invalidateFramebuffer

ptr_glInvalidateFramebuffer clan::GLFunctions::invalidateFramebuffer

## ◆ InvalidateNamedFramebufferData

ptr_glInvalidateNamedFramebufferData clan::GLFunctions::InvalidateNamedFramebufferData

## ◆ InvalidateNamedFramebufferSubData

ptr_glInvalidateNamedFramebufferSubData clan::GLFunctions::InvalidateNamedFramebufferSubData

## ◆ invalidateSubFramebuffer

ptr_glInvalidateSubFramebuffer clan::GLFunctions::invalidateSubFramebuffer

## ◆ invalidateTexImage

ptr_glInvalidateTexImage clan::GLFunctions::invalidateTexImage

## ◆ invalidateTexSubImage

ptr_glInvalidateTexSubImage clan::GLFunctions::invalidateTexSubImage

## ◆ isBuffer

ptr_glIsBuffer clan::GLFunctions::isBuffer

## ◆ isEnabled

ptr_glIsEnabled clan::GLFunctions::isEnabled

## ◆ isEnabledi

ptr_glIsEnabledi clan::GLFunctions::isEnabledi

## ◆ isFramebuffer

ptr_glIsFramebuffer clan::GLFunctions::isFramebuffer

## ◆ isNamedStringARB

ptr_glIsNamedStringARB clan::GLFunctions::isNamedStringARB

## ◆ isProgram

ptr_glIsProgram clan::GLFunctions::isProgram

## ◆ isProgramPipeline

ptr_glIsProgramPipeline clan::GLFunctions::isProgramPipeline

## ◆ isQuery

ptr_glIsQuery clan::GLFunctions::isQuery

## ◆ isRenderbuffer

ptr_glIsRenderbuffer clan::GLFunctions::isRenderbuffer

## ◆ isSampler

ptr_glIsSampler clan::GLFunctions::isSampler

## ◆ isShader

ptr_glIsShader clan::GLFunctions::isShader

## ◆ isSync

ptr_glIsSync clan::GLFunctions::isSync

## ◆ isTexture

ptr_glIsTexture clan::GLFunctions::isTexture

## ◆ isTransformFeedback

ptr_glIsTransformFeedback clan::GLFunctions::isTransformFeedback

## ◆ isVertexArray

ptr_glIsVertexArray clan::GLFunctions::isVertexArray

## ◆ lineWidth

ptr_glLineWidth clan::GLFunctions::lineWidth

## ◆ linkProgram

ptr_glLinkProgram clan::GLFunctions::linkProgram

## ◆ logicOp

ptr_glLogicOp clan::GLFunctions::logicOp

## ◆ mapBuffer

ptr_glMapBuffer clan::GLFunctions::mapBuffer

## ◆ mapBufferRange

ptr_glMapBufferRange clan::GLFunctions::mapBufferRange

## ◆ MapNamedBuffer

ptr_glMapNamedBuffer clan::GLFunctions::MapNamedBuffer

## ◆ MapNamedBufferRange

ptr_glMapNamedBufferRange clan::GLFunctions::MapNamedBufferRange

## ◆ memoryBarrier

ptr_glMemoryBarrier clan::GLFunctions::memoryBarrier

## ◆ MemoryBarrierByRegion

ptr_glMemoryBarrierByRegion clan::GLFunctions::MemoryBarrierByRegion

## ◆ minSampleShading

ptr_glMinSampleShading clan::GLFunctions::minSampleShading

## ◆ minSampleShadingARB

ptr_glMinSampleShadingARB clan::GLFunctions::minSampleShadingARB

## ◆ multiDrawArrays

ptr_glMultiDrawArrays clan::GLFunctions::multiDrawArrays

## ◆ multiDrawArraysIndirect

ptr_glMultiDrawArraysIndirect clan::GLFunctions::multiDrawArraysIndirect

## ◆ multiDrawElements

ptr_glMultiDrawElements clan::GLFunctions::multiDrawElements

## ◆ multiDrawElementsBaseVertex

ptr_glMultiDrawElementsBaseVertex clan::GLFunctions::multiDrawElementsBaseVertex

## ◆ multiDrawElementsIndirect

ptr_glMultiDrawElementsIndirect clan::GLFunctions::multiDrawElementsIndirect

## ◆ multiTexCoordP1ui

ptr_glMultiTexCoordP1ui clan::GLFunctions::multiTexCoordP1ui

## ◆ multiTexCoordP1uiv

ptr_glMultiTexCoordP1uiv clan::GLFunctions::multiTexCoordP1uiv

## ◆ multiTexCoordP2ui

ptr_glMultiTexCoordP2ui clan::GLFunctions::multiTexCoordP2ui

## ◆ multiTexCoordP2uiv

ptr_glMultiTexCoordP2uiv clan::GLFunctions::multiTexCoordP2uiv

## ◆ multiTexCoordP3ui

ptr_glMultiTexCoordP3ui clan::GLFunctions::multiTexCoordP3ui

## ◆ multiTexCoordP3uiv

ptr_glMultiTexCoordP3uiv clan::GLFunctions::multiTexCoordP3uiv

## ◆ multiTexCoordP4ui

ptr_glMultiTexCoordP4ui clan::GLFunctions::multiTexCoordP4ui

## ◆ multiTexCoordP4uiv

ptr_glMultiTexCoordP4uiv clan::GLFunctions::multiTexCoordP4uiv

## ◆ NamedBufferData

ptr_glNamedBufferData clan::GLFunctions::NamedBufferData

## ◆ NamedBufferStorage

ptr_glNamedBufferStorage clan::GLFunctions::NamedBufferStorage

## ◆ NamedBufferSubData

ptr_glNamedBufferSubData clan::GLFunctions::NamedBufferSubData

## ◆ NamedFramebufferDrawBuffer

ptr_glNamedFramebufferDrawBuffer clan::GLFunctions::NamedFramebufferDrawBuffer

## ◆ NamedFramebufferDrawBuffers

ptr_glNamedFramebufferDrawBuffers clan::GLFunctions::NamedFramebufferDrawBuffers

## ◆ NamedFramebufferParameteri

ptr_glNamedFramebufferParameteri clan::GLFunctions::NamedFramebufferParameteri

## ◆ namedFramebufferParameteriEXT

ptr_glNamedFramebufferParameteriEXT clan::GLFunctions::namedFramebufferParameteriEXT

## ◆ NamedFramebufferReadBuffer

ptr_glNamedFramebufferReadBuffer clan::GLFunctions::NamedFramebufferReadBuffer

## ◆ NamedFramebufferRenderbuffer

ptr_glNamedFramebufferRenderbuffer clan::GLFunctions::NamedFramebufferRenderbuffer

## ◆ NamedFramebufferTexture

ptr_glNamedFramebufferTexture clan::GLFunctions::NamedFramebufferTexture

## ◆ NamedFramebufferTextureLayer

ptr_glNamedFramebufferTextureLayer clan::GLFunctions::NamedFramebufferTextureLayer

## ◆ NamedRenderbufferStorage

ptr_glNamedRenderbufferStorage clan::GLFunctions::NamedRenderbufferStorage

## ◆ NamedRenderbufferStorageMultisample

ptr_glNamedRenderbufferStorageMultisample clan::GLFunctions::NamedRenderbufferStorageMultisample

## ◆ namedStringARB

ptr_glNamedStringARB clan::GLFunctions::namedStringARB

## ◆ normalP3ui

ptr_glNormalP3ui clan::GLFunctions::normalP3ui

## ◆ normalP3uiv

ptr_glNormalP3uiv clan::GLFunctions::normalP3uiv

## ◆ objectLabel

ptr_glObjectLabel clan::GLFunctions::objectLabel

## ◆ objectPtrLabel

ptr_glObjectPtrLabel clan::GLFunctions::objectPtrLabel

## ◆ patchParameterfv

ptr_glPatchParameterfv clan::GLFunctions::patchParameterfv

## ◆ patchParameteri

ptr_glPatchParameteri clan::GLFunctions::patchParameteri

## ◆ pauseTransformFeedback

ptr_glPauseTransformFeedback clan::GLFunctions::pauseTransformFeedback

## ◆ pixelStoref

ptr_glPixelStoref clan::GLFunctions::pixelStoref

## ◆ pixelStorei

ptr_glPixelStorei clan::GLFunctions::pixelStorei

## ◆ pointParameterf

ptr_glPointParameterf clan::GLFunctions::pointParameterf

## ◆ pointParameterfv

ptr_glPointParameterfv clan::GLFunctions::pointParameterfv

## ◆ pointParameteri

ptr_glPointParameteri clan::GLFunctions::pointParameteri

## ◆ pointParameteriv

ptr_glPointParameteriv clan::GLFunctions::pointParameteriv

## ◆ pointSize

ptr_glPointSize clan::GLFunctions::pointSize

## ◆ polygonMode

ptr_glPolygonMode clan::GLFunctions::polygonMode

## ◆ polygonOffset

ptr_glPolygonOffset clan::GLFunctions::polygonOffset

## ◆ popDebugGroup

ptr_glPopDebugGroup clan::GLFunctions::popDebugGroup

## ◆ primitiveRestartIndex

ptr_glPrimitiveRestartIndex clan::GLFunctions::primitiveRestartIndex

## ◆ programBinary

ptr_glProgramBinary clan::GLFunctions::programBinary

## ◆ programParameteri

ptr_glProgramParameteri clan::GLFunctions::programParameteri

## ◆ programUniform1d

ptr_glProgramUniform1d clan::GLFunctions::programUniform1d

## ◆ programUniform1dv

ptr_glProgramUniform1dv clan::GLFunctions::programUniform1dv

## ◆ programUniform1f

ptr_glProgramUniform1f clan::GLFunctions::programUniform1f

## ◆ programUniform1fv

ptr_glProgramUniform1fv clan::GLFunctions::programUniform1fv

## ◆ programUniform1i

ptr_glProgramUniform1i clan::GLFunctions::programUniform1i

## ◆ programUniform1iv

ptr_glProgramUniform1iv clan::GLFunctions::programUniform1iv

## ◆ programUniform1ui

ptr_glProgramUniform1ui clan::GLFunctions::programUniform1ui

## ◆ programUniform1uiv

ptr_glProgramUniform1uiv clan::GLFunctions::programUniform1uiv

## ◆ programUniform2d

ptr_glProgramUniform2d clan::GLFunctions::programUniform2d

## ◆ programUniform2dv

ptr_glProgramUniform2dv clan::GLFunctions::programUniform2dv

## ◆ programUniform2f

ptr_glProgramUniform2f clan::GLFunctions::programUniform2f

## ◆ programUniform2fv

ptr_glProgramUniform2fv clan::GLFunctions::programUniform2fv

## ◆ programUniform2i

ptr_glProgramUniform2i clan::GLFunctions::programUniform2i

## ◆ programUniform2iv

ptr_glProgramUniform2iv clan::GLFunctions::programUniform2iv

## ◆ programUniform2ui

ptr_glProgramUniform2ui clan::GLFunctions::programUniform2ui

## ◆ programUniform2uiv

ptr_glProgramUniform2uiv clan::GLFunctions::programUniform2uiv

## ◆ programUniform3d

ptr_glProgramUniform3d clan::GLFunctions::programUniform3d

## ◆ programUniform3dv

ptr_glProgramUniform3dv clan::GLFunctions::programUniform3dv

## ◆ programUniform3f

ptr_glProgramUniform3f clan::GLFunctions::programUniform3f

## ◆ programUniform3fv

ptr_glProgramUniform3fv clan::GLFunctions::programUniform3fv

## ◆ programUniform3i

ptr_glProgramUniform3i clan::GLFunctions::programUniform3i

## ◆ programUniform3iv

ptr_glProgramUniform3iv clan::GLFunctions::programUniform3iv

## ◆ programUniform3ui

ptr_glProgramUniform3ui clan::GLFunctions::programUniform3ui

## ◆ programUniform3uiv

ptr_glProgramUniform3uiv clan::GLFunctions::programUniform3uiv

## ◆ programUniform4d

ptr_glProgramUniform4d clan::GLFunctions::programUniform4d

## ◆ programUniform4dv

ptr_glProgramUniform4dv clan::GLFunctions::programUniform4dv

## ◆ programUniform4f

ptr_glProgramUniform4f clan::GLFunctions::programUniform4f

## ◆ programUniform4fv

ptr_glProgramUniform4fv clan::GLFunctions::programUniform4fv

## ◆ programUniform4i

ptr_glProgramUniform4i clan::GLFunctions::programUniform4i

## ◆ programUniform4iv

ptr_glProgramUniform4iv clan::GLFunctions::programUniform4iv

## ◆ programUniform4ui

ptr_glProgramUniform4ui clan::GLFunctions::programUniform4ui

## ◆ programUniform4uiv

ptr_glProgramUniform4uiv clan::GLFunctions::programUniform4uiv

## ◆ programUniformMatrix2dv

ptr_glProgramUniformMatrix2dv clan::GLFunctions::programUniformMatrix2dv

## ◆ programUniformMatrix2fv

ptr_glProgramUniformMatrix2fv clan::GLFunctions::programUniformMatrix2fv

## ◆ programUniformMatrix2x3dv

ptr_glProgramUniformMatrix2x3dv clan::GLFunctions::programUniformMatrix2x3dv

## ◆ programUniformMatrix2x3fv

ptr_glProgramUniformMatrix2x3fv clan::GLFunctions::programUniformMatrix2x3fv

## ◆ programUniformMatrix2x4dv

ptr_glProgramUniformMatrix2x4dv clan::GLFunctions::programUniformMatrix2x4dv

## ◆ programUniformMatrix2x4fv

ptr_glProgramUniformMatrix2x4fv clan::GLFunctions::programUniformMatrix2x4fv

## ◆ programUniformMatrix3dv

ptr_glProgramUniformMatrix3dv clan::GLFunctions::programUniformMatrix3dv

## ◆ programUniformMatrix3fv

ptr_glProgramUniformMatrix3fv clan::GLFunctions::programUniformMatrix3fv

## ◆ programUniformMatrix3x2dv

ptr_glProgramUniformMatrix3x2dv clan::GLFunctions::programUniformMatrix3x2dv

## ◆ programUniformMatrix3x2fv

ptr_glProgramUniformMatrix3x2fv clan::GLFunctions::programUniformMatrix3x2fv

## ◆ programUniformMatrix3x4dv

ptr_glProgramUniformMatrix3x4dv clan::GLFunctions::programUniformMatrix3x4dv

## ◆ programUniformMatrix3x4fv

ptr_glProgramUniformMatrix3x4fv clan::GLFunctions::programUniformMatrix3x4fv

## ◆ programUniformMatrix4dv

ptr_glProgramUniformMatrix4dv clan::GLFunctions::programUniformMatrix4dv

## ◆ programUniformMatrix4fv

ptr_glProgramUniformMatrix4fv clan::GLFunctions::programUniformMatrix4fv

## ◆ programUniformMatrix4x2dv

ptr_glProgramUniformMatrix4x2dv clan::GLFunctions::programUniformMatrix4x2dv

## ◆ programUniformMatrix4x2fv

ptr_glProgramUniformMatrix4x2fv clan::GLFunctions::programUniformMatrix4x2fv

## ◆ programUniformMatrix4x3dv

ptr_glProgramUniformMatrix4x3dv clan::GLFunctions::programUniformMatrix4x3dv

## ◆ programUniformMatrix4x3fv

ptr_glProgramUniformMatrix4x3fv clan::GLFunctions::programUniformMatrix4x3fv

## ◆ provokingVertex

ptr_glProvokingVertex clan::GLFunctions::provokingVertex

## ◆ pushDebugGroup

ptr_glPushDebugGroup clan::GLFunctions::pushDebugGroup

## ◆ queryCounter

ptr_glQueryCounter clan::GLFunctions::queryCounter

## ◆ readBuffer

ptr_glReadBuffer clan::GLFunctions::readBuffer

## ◆ ReadnPixels

ptr_glReadnPixels clan::GLFunctions::ReadnPixels

## ◆ readnPixelsARB

ptr_glReadnPixelsARB clan::GLFunctions::readnPixelsARB

## ◆ readPixels

ptr_glReadPixels clan::GLFunctions::readPixels

## ◆ releaseShaderCompiler

ptr_glReleaseShaderCompiler clan::GLFunctions::releaseShaderCompiler

## ◆ renderbufferStorage

ptr_glRenderbufferStorage clan::GLFunctions::renderbufferStorage

## ◆ renderbufferStorageMultisample

ptr_glRenderbufferStorageMultisample clan::GLFunctions::renderbufferStorageMultisample

## ◆ resumeTransformFeedback

ptr_glResumeTransformFeedback clan::GLFunctions::resumeTransformFeedback

## ◆ sampleCoverage

ptr_glSampleCoverage clan::GLFunctions::sampleCoverage

## ◆ sampleMaski

ptr_glSampleMaski clan::GLFunctions::sampleMaski

## ◆ samplerParameterf

ptr_glSamplerParameterf clan::GLFunctions::samplerParameterf

## ◆ samplerParameterfv

ptr_glSamplerParameterfv clan::GLFunctions::samplerParameterfv

## ◆ samplerParameteri

ptr_glSamplerParameteri clan::GLFunctions::samplerParameteri

## ◆ samplerParameterIiv

ptr_glSamplerParameterIiv clan::GLFunctions::samplerParameterIiv

## ◆ samplerParameterIuiv

ptr_glSamplerParameterIuiv clan::GLFunctions::samplerParameterIuiv

## ◆ samplerParameteriv

ptr_glSamplerParameteriv clan::GLFunctions::samplerParameteriv

## ◆ scissor

ptr_glScissor clan::GLFunctions::scissor

## ◆ scissorArrayv

ptr_glScissorArrayv clan::GLFunctions::scissorArrayv

## ◆ scissorIndexed

ptr_glScissorIndexed clan::GLFunctions::scissorIndexed

## ◆ scissorIndexedv

ptr_glScissorIndexedv clan::GLFunctions::scissorIndexedv

## ◆ secondaryColorP3ui

ptr_glSecondaryColorP3ui clan::GLFunctions::secondaryColorP3ui

## ◆ secondaryColorP3uiv

ptr_glSecondaryColorP3uiv clan::GLFunctions::secondaryColorP3uiv

## ◆ shaderBinary

ptr_glShaderBinary clan::GLFunctions::shaderBinary

## ◆ shaderSource

ptr_glShaderSource clan::GLFunctions::shaderSource

## ◆ shaderStorageBlockBinding

ptr_glShaderStorageBlockBinding clan::GLFunctions::shaderStorageBlockBinding

## ◆ stencilFunc

ptr_glStencilFunc clan::GLFunctions::stencilFunc

## ◆ stencilFuncSeparate

ptr_glStencilFuncSeparate clan::GLFunctions::stencilFuncSeparate

## ◆ stencilMask

ptr_glStencilMask clan::GLFunctions::stencilMask

## ◆ stencilMaskSeparate

ptr_glStencilMaskSeparate clan::GLFunctions::stencilMaskSeparate

## ◆ stencilOp

ptr_glStencilOp clan::GLFunctions::stencilOp

## ◆ stencilOpSeparate

ptr_glStencilOpSeparate clan::GLFunctions::stencilOpSeparate

## ◆ texBuffer

ptr_glTexBuffer clan::GLFunctions::texBuffer

## ◆ texBufferRange

ptr_glTexBufferRange clan::GLFunctions::texBufferRange

## ◆ texCoordP1ui

ptr_glTexCoordP1ui clan::GLFunctions::texCoordP1ui

## ◆ texCoordP1uiv

ptr_glTexCoordP1uiv clan::GLFunctions::texCoordP1uiv

## ◆ texCoordP2ui

ptr_glTexCoordP2ui clan::GLFunctions::texCoordP2ui

## ◆ texCoordP2uiv

ptr_glTexCoordP2uiv clan::GLFunctions::texCoordP2uiv

## ◆ texCoordP3ui

ptr_glTexCoordP3ui clan::GLFunctions::texCoordP3ui

## ◆ texCoordP3uiv

ptr_glTexCoordP3uiv clan::GLFunctions::texCoordP3uiv

## ◆ texCoordP4ui

ptr_glTexCoordP4ui clan::GLFunctions::texCoordP4ui

## ◆ texCoordP4uiv

ptr_glTexCoordP4uiv clan::GLFunctions::texCoordP4uiv

## ◆ texImage1D

ptr_glTexImage1D clan::GLFunctions::texImage1D

## ◆ texImage2D

ptr_glTexImage2D clan::GLFunctions::texImage2D

## ◆ texImage2DMultisample

ptr_glTexImage2DMultisample clan::GLFunctions::texImage2DMultisample

## ◆ texImage3D

ptr_glTexImage3D clan::GLFunctions::texImage3D

## ◆ texImage3DMultisample

ptr_glTexImage3DMultisample clan::GLFunctions::texImage3DMultisample

## ◆ texParameterf

ptr_glTexParameterf clan::GLFunctions::texParameterf

## ◆ texParameterfv

ptr_glTexParameterfv clan::GLFunctions::texParameterfv

## ◆ texParameteri

ptr_glTexParameteri clan::GLFunctions::texParameteri

## ◆ texParameterIiv

ptr_glTexParameterIiv clan::GLFunctions::texParameterIiv

## ◆ texParameterIuiv

ptr_glTexParameterIuiv clan::GLFunctions::texParameterIuiv

## ◆ texParameteriv

ptr_glTexParameteriv clan::GLFunctions::texParameteriv

## ◆ texStorage1D

ptr_glTexStorage1D clan::GLFunctions::texStorage1D

## ◆ texStorage2D

ptr_glTexStorage2D clan::GLFunctions::texStorage2D

## ◆ texStorage2DMultisample

ptr_glTexStorage2DMultisample clan::GLFunctions::texStorage2DMultisample

## ◆ texStorage3D

ptr_glTexStorage3D clan::GLFunctions::texStorage3D

## ◆ texStorage3DMultisample

ptr_glTexStorage3DMultisample clan::GLFunctions::texStorage3DMultisample

## ◆ texSubImage1D

ptr_glTexSubImage1D clan::GLFunctions::texSubImage1D

## ◆ texSubImage2D

ptr_glTexSubImage2D clan::GLFunctions::texSubImage2D

## ◆ texSubImage3D

ptr_glTexSubImage3D clan::GLFunctions::texSubImage3D

## ◆ TextureBarrier

ptr_glTextureBarrier clan::GLFunctions::TextureBarrier

## ◆ TextureBuffer

ptr_glTextureBuffer clan::GLFunctions::TextureBuffer

## ◆ TextureBufferRange

ptr_glTextureBufferRange clan::GLFunctions::TextureBufferRange

## ◆ textureBufferRangeEXT

ptr_glTextureBufferRangeEXT clan::GLFunctions::textureBufferRangeEXT

## ◆ TextureParameterf

ptr_glTextureParameterf clan::GLFunctions::TextureParameterf

## ◆ TextureParameterfv

ptr_glTextureParameterfv clan::GLFunctions::TextureParameterfv

## ◆ TextureParameteri

ptr_glTextureParameteri clan::GLFunctions::TextureParameteri

## ◆ TextureParameterIiv

ptr_glTextureParameterIiv clan::GLFunctions::TextureParameterIiv

## ◆ TextureParameterIuiv

ptr_glTextureParameterIuiv clan::GLFunctions::TextureParameterIuiv

## ◆ TextureParameteriv

ptr_glTextureParameteriv clan::GLFunctions::TextureParameteriv

## ◆ TextureStorage1D

ptr_glTextureStorage1D clan::GLFunctions::TextureStorage1D

## ◆ textureStorage1DEXT

ptr_glTextureStorage1DEXT clan::GLFunctions::textureStorage1DEXT

## ◆ TextureStorage2D

ptr_glTextureStorage2D clan::GLFunctions::TextureStorage2D

## ◆ textureStorage2DEXT

ptr_glTextureStorage2DEXT clan::GLFunctions::textureStorage2DEXT

## ◆ TextureStorage2DMultisample

ptr_glTextureStorage2DMultisample clan::GLFunctions::TextureStorage2DMultisample

## ◆ textureStorage2DMultisampleEXT

ptr_glTextureStorage2DMultisampleEXT clan::GLFunctions::textureStorage2DMultisampleEXT

## ◆ TextureStorage3D

ptr_glTextureStorage3D clan::GLFunctions::TextureStorage3D

## ◆ textureStorage3DEXT

ptr_glTextureStorage3DEXT clan::GLFunctions::textureStorage3DEXT

## ◆ TextureStorage3DMultisample

ptr_glTextureStorage3DMultisample clan::GLFunctions::TextureStorage3DMultisample

## ◆ textureStorage3DMultisampleEXT

ptr_glTextureStorage3DMultisampleEXT clan::GLFunctions::textureStorage3DMultisampleEXT

## ◆ TextureSubImage1D

ptr_glTextureSubImage1D clan::GLFunctions::TextureSubImage1D

## ◆ TextureSubImage2D

ptr_glTextureSubImage2D clan::GLFunctions::TextureSubImage2D

## ◆ TextureSubImage3D

ptr_glTextureSubImage3D clan::GLFunctions::TextureSubImage3D

## ◆ textureView

ptr_glTextureView clan::GLFunctions::textureView

## ◆ TransformFeedbackBufferBase

ptr_glTransformFeedbackBufferBase clan::GLFunctions::TransformFeedbackBufferBase

## ◆ TransformFeedbackBufferRange

ptr_glTransformFeedbackBufferRange clan::GLFunctions::TransformFeedbackBufferRange

## ◆ transformFeedbackVaryings

ptr_glTransformFeedbackVaryings clan::GLFunctions::transformFeedbackVaryings

## ◆ uniform1d

ptr_glUniform1d clan::GLFunctions::uniform1d

## ◆ uniform1dv

ptr_glUniform1dv clan::GLFunctions::uniform1dv

## ◆ uniform1f

ptr_glUniform1f clan::GLFunctions::uniform1f

## ◆ uniform1fv

ptr_glUniform1fv clan::GLFunctions::uniform1fv

## ◆ uniform1i

ptr_glUniform1i clan::GLFunctions::uniform1i

## ◆ uniform1iv

ptr_glUniform1iv clan::GLFunctions::uniform1iv

## ◆ uniform1ui

ptr_glUniform1ui clan::GLFunctions::uniform1ui

## ◆ uniform1uiv

ptr_glUniform1uiv clan::GLFunctions::uniform1uiv

## ◆ uniform2d

ptr_glUniform2d clan::GLFunctions::uniform2d

## ◆ uniform2dv

ptr_glUniform2dv clan::GLFunctions::uniform2dv

## ◆ uniform2f

ptr_glUniform2f clan::GLFunctions::uniform2f

## ◆ uniform2fv

ptr_glUniform2fv clan::GLFunctions::uniform2fv

## ◆ uniform2i

ptr_glUniform2i clan::GLFunctions::uniform2i

## ◆ uniform2iv

ptr_glUniform2iv clan::GLFunctions::uniform2iv

## ◆ uniform2ui

ptr_glUniform2ui clan::GLFunctions::uniform2ui

## ◆ uniform2uiv

ptr_glUniform2uiv clan::GLFunctions::uniform2uiv

## ◆ uniform3d

ptr_glUniform3d clan::GLFunctions::uniform3d

## ◆ uniform3dv

ptr_glUniform3dv clan::GLFunctions::uniform3dv

## ◆ uniform3f

ptr_glUniform3f clan::GLFunctions::uniform3f

## ◆ uniform3fv

ptr_glUniform3fv clan::GLFunctions::uniform3fv

## ◆ uniform3i

ptr_glUniform3i clan::GLFunctions::uniform3i

## ◆ uniform3iv

ptr_glUniform3iv clan::GLFunctions::uniform3iv

## ◆ uniform3ui

ptr_glUniform3ui clan::GLFunctions::uniform3ui

## ◆ uniform3uiv

ptr_glUniform3uiv clan::GLFunctions::uniform3uiv

## ◆ uniform4d

ptr_glUniform4d clan::GLFunctions::uniform4d

## ◆ uniform4dv

ptr_glUniform4dv clan::GLFunctions::uniform4dv

## ◆ uniform4f

ptr_glUniform4f clan::GLFunctions::uniform4f

## ◆ uniform4fv

ptr_glUniform4fv clan::GLFunctions::uniform4fv

## ◆ uniform4i

ptr_glUniform4i clan::GLFunctions::uniform4i

## ◆ uniform4iv

ptr_glUniform4iv clan::GLFunctions::uniform4iv

## ◆ uniform4ui

ptr_glUniform4ui clan::GLFunctions::uniform4ui

## ◆ uniform4uiv

ptr_glUniform4uiv clan::GLFunctions::uniform4uiv

## ◆ uniformBlockBinding

ptr_glUniformBlockBinding clan::GLFunctions::uniformBlockBinding

## ◆ uniformMatrix2dv

ptr_glUniformMatrix2dv clan::GLFunctions::uniformMatrix2dv

## ◆ uniformMatrix2fv

ptr_glUniformMatrix2fv clan::GLFunctions::uniformMatrix2fv

## ◆ uniformMatrix2x3dv

ptr_glUniformMatrix2x3dv clan::GLFunctions::uniformMatrix2x3dv

## ◆ uniformMatrix2x3fv

ptr_glUniformMatrix2x3fv clan::GLFunctions::uniformMatrix2x3fv

## ◆ uniformMatrix2x4dv

ptr_glUniformMatrix2x4dv clan::GLFunctions::uniformMatrix2x4dv

## ◆ uniformMatrix2x4fv

ptr_glUniformMatrix2x4fv clan::GLFunctions::uniformMatrix2x4fv

## ◆ uniformMatrix3dv

ptr_glUniformMatrix3dv clan::GLFunctions::uniformMatrix3dv

## ◆ uniformMatrix3fv

ptr_glUniformMatrix3fv clan::GLFunctions::uniformMatrix3fv

## ◆ uniformMatrix3x2dv

ptr_glUniformMatrix3x2dv clan::GLFunctions::uniformMatrix3x2dv

## ◆ uniformMatrix3x2fv

ptr_glUniformMatrix3x2fv clan::GLFunctions::uniformMatrix3x2fv

## ◆ uniformMatrix3x4dv

ptr_glUniformMatrix3x4dv clan::GLFunctions::uniformMatrix3x4dv

## ◆ uniformMatrix3x4fv

ptr_glUniformMatrix3x4fv clan::GLFunctions::uniformMatrix3x4fv

## ◆ uniformMatrix4dv

ptr_glUniformMatrix4dv clan::GLFunctions::uniformMatrix4dv

## ◆ uniformMatrix4fv

ptr_glUniformMatrix4fv clan::GLFunctions::uniformMatrix4fv

## ◆ uniformMatrix4x2dv

ptr_glUniformMatrix4x2dv clan::GLFunctions::uniformMatrix4x2dv

## ◆ uniformMatrix4x2fv

ptr_glUniformMatrix4x2fv clan::GLFunctions::uniformMatrix4x2fv

## ◆ uniformMatrix4x3dv

ptr_glUniformMatrix4x3dv clan::GLFunctions::uniformMatrix4x3dv

## ◆ uniformMatrix4x3fv

ptr_glUniformMatrix4x3fv clan::GLFunctions::uniformMatrix4x3fv

## ◆ uniformSubroutinesuiv

ptr_glUniformSubroutinesuiv clan::GLFunctions::uniformSubroutinesuiv

## ◆ unmapBuffer

ptr_glUnmapBuffer clan::GLFunctions::unmapBuffer

## ◆ UnmapNamedBuffer

ptr_glUnmapNamedBuffer clan::GLFunctions::UnmapNamedBuffer

## ◆ useProgram

ptr_glUseProgram clan::GLFunctions::useProgram

## ◆ useProgramStages

ptr_glUseProgramStages clan::GLFunctions::useProgramStages

## ◆ validateProgram

ptr_glValidateProgram clan::GLFunctions::validateProgram

## ◆ validateProgramPipeline

ptr_glValidateProgramPipeline clan::GLFunctions::validateProgramPipeline

## ◆ VertexArrayAttribBinding

ptr_glVertexArrayAttribBinding clan::GLFunctions::VertexArrayAttribBinding

## ◆ VertexArrayAttribFormat

ptr_glVertexArrayAttribFormat clan::GLFunctions::VertexArrayAttribFormat

## ◆ VertexArrayAttribIFormat

ptr_glVertexArrayAttribIFormat clan::GLFunctions::VertexArrayAttribIFormat

## ◆ VertexArrayAttribLFormat

ptr_glVertexArrayAttribLFormat clan::GLFunctions::VertexArrayAttribLFormat

## ◆ VertexArrayBindingDivisor

ptr_glVertexArrayBindingDivisor clan::GLFunctions::VertexArrayBindingDivisor

## ◆ vertexArrayBindVertexBufferEXT

ptr_glVertexArrayBindVertexBufferEXT clan::GLFunctions::vertexArrayBindVertexBufferEXT

## ◆ VertexArrayElementBuffer

ptr_glVertexArrayElementBuffer clan::GLFunctions::VertexArrayElementBuffer

## ◆ vertexArrayVertexAttribBindingEXT

ptr_glVertexArrayVertexAttribBindingEXT clan::GLFunctions::vertexArrayVertexAttribBindingEXT

## ◆ vertexArrayVertexAttribFormatEXT

ptr_glVertexArrayVertexAttribFormatEXT clan::GLFunctions::vertexArrayVertexAttribFormatEXT

## ◆ vertexArrayVertexAttribIFormatEXT

ptr_glVertexArrayVertexAttribIFormatEXT clan::GLFunctions::vertexArrayVertexAttribIFormatEXT

## ◆ vertexArrayVertexAttribLFormatEXT

ptr_glVertexArrayVertexAttribLFormatEXT clan::GLFunctions::vertexArrayVertexAttribLFormatEXT

## ◆ vertexArrayVertexBindingDivisorEXT

ptr_glVertexArrayVertexBindingDivisorEXT clan::GLFunctions::vertexArrayVertexBindingDivisorEXT

## ◆ VertexArrayVertexBuffer

ptr_glVertexArrayVertexBuffer clan::GLFunctions::VertexArrayVertexBuffer

## ◆ VertexArrayVertexBuffers

ptr_glVertexArrayVertexBuffers clan::GLFunctions::VertexArrayVertexBuffers

## ◆ vertexAttrib1d

ptr_glVertexAttrib1d clan::GLFunctions::vertexAttrib1d

## ◆ vertexAttrib1dv

ptr_glVertexAttrib1dv clan::GLFunctions::vertexAttrib1dv

## ◆ vertexAttrib1f

ptr_glVertexAttrib1f clan::GLFunctions::vertexAttrib1f

## ◆ vertexAttrib1fv

ptr_glVertexAttrib1fv clan::GLFunctions::vertexAttrib1fv

## ◆ vertexAttrib1s

ptr_glVertexAttrib1s clan::GLFunctions::vertexAttrib1s

## ◆ vertexAttrib1sv

ptr_glVertexAttrib1sv clan::GLFunctions::vertexAttrib1sv

## ◆ vertexAttrib2d

ptr_glVertexAttrib2d clan::GLFunctions::vertexAttrib2d

## ◆ vertexAttrib2dv

ptr_glVertexAttrib2dv clan::GLFunctions::vertexAttrib2dv

## ◆ vertexAttrib2f

ptr_glVertexAttrib2f clan::GLFunctions::vertexAttrib2f

## ◆ vertexAttrib2fv

ptr_glVertexAttrib2fv clan::GLFunctions::vertexAttrib2fv

## ◆ vertexAttrib2s

ptr_glVertexAttrib2s clan::GLFunctions::vertexAttrib2s

## ◆ vertexAttrib2sv

ptr_glVertexAttrib2sv clan::GLFunctions::vertexAttrib2sv

## ◆ vertexAttrib3d

ptr_glVertexAttrib3d clan::GLFunctions::vertexAttrib3d

## ◆ vertexAttrib3dv

ptr_glVertexAttrib3dv clan::GLFunctions::vertexAttrib3dv

## ◆ vertexAttrib3f

ptr_glVertexAttrib3f clan::GLFunctions::vertexAttrib3f

## ◆ vertexAttrib3fv

ptr_glVertexAttrib3fv clan::GLFunctions::vertexAttrib3fv

## ◆ vertexAttrib3s

ptr_glVertexAttrib3s clan::GLFunctions::vertexAttrib3s

## ◆ vertexAttrib3sv

ptr_glVertexAttrib3sv clan::GLFunctions::vertexAttrib3sv

## ◆ vertexAttrib4bv

ptr_glVertexAttrib4bv clan::GLFunctions::vertexAttrib4bv

## ◆ vertexAttrib4d

ptr_glVertexAttrib4d clan::GLFunctions::vertexAttrib4d

## ◆ vertexAttrib4dv

ptr_glVertexAttrib4dv clan::GLFunctions::vertexAttrib4dv

## ◆ vertexAttrib4f

ptr_glVertexAttrib4f clan::GLFunctions::vertexAttrib4f

## ◆ vertexAttrib4fv

ptr_glVertexAttrib4fv clan::GLFunctions::vertexAttrib4fv

## ◆ vertexAttrib4iv

ptr_glVertexAttrib4iv clan::GLFunctions::vertexAttrib4iv

## ◆ vertexAttrib4Nbv

ptr_glVertexAttrib4Nbv clan::GLFunctions::vertexAttrib4Nbv

## ◆ vertexAttrib4Niv

ptr_glVertexAttrib4Niv clan::GLFunctions::vertexAttrib4Niv

## ◆ vertexAttrib4Nsv

ptr_glVertexAttrib4Nsv clan::GLFunctions::vertexAttrib4Nsv

## ◆ vertexAttrib4Nub

ptr_glVertexAttrib4Nub clan::GLFunctions::vertexAttrib4Nub

## ◆ vertexAttrib4Nubv

ptr_glVertexAttrib4Nubv clan::GLFunctions::vertexAttrib4Nubv

## ◆ vertexAttrib4Nuiv

ptr_glVertexAttrib4Nuiv clan::GLFunctions::vertexAttrib4Nuiv

## ◆ vertexAttrib4Nusv

ptr_glVertexAttrib4Nusv clan::GLFunctions::vertexAttrib4Nusv

## ◆ vertexAttrib4s

ptr_glVertexAttrib4s clan::GLFunctions::vertexAttrib4s

## ◆ vertexAttrib4sv

ptr_glVertexAttrib4sv clan::GLFunctions::vertexAttrib4sv

## ◆ vertexAttrib4ubv

ptr_glVertexAttrib4ubv clan::GLFunctions::vertexAttrib4ubv

## ◆ vertexAttrib4uiv

ptr_glVertexAttrib4uiv clan::GLFunctions::vertexAttrib4uiv

## ◆ vertexAttrib4usv

ptr_glVertexAttrib4usv clan::GLFunctions::vertexAttrib4usv

## ◆ vertexAttribBinding

ptr_glVertexAttribBinding clan::GLFunctions::vertexAttribBinding

## ◆ vertexAttribDivisor

ptr_glVertexAttribDivisor clan::GLFunctions::vertexAttribDivisor

## ◆ vertexAttribFormat

ptr_glVertexAttribFormat clan::GLFunctions::vertexAttribFormat

## ◆ vertexAttribI1i

ptr_glVertexAttribI1i clan::GLFunctions::vertexAttribI1i

## ◆ vertexAttribI1iv

ptr_glVertexAttribI1iv clan::GLFunctions::vertexAttribI1iv

## ◆ vertexAttribI1ui

ptr_glVertexAttribI1ui clan::GLFunctions::vertexAttribI1ui

## ◆ vertexAttribI1uiv

ptr_glVertexAttribI1uiv clan::GLFunctions::vertexAttribI1uiv

## ◆ vertexAttribI2i

ptr_glVertexAttribI2i clan::GLFunctions::vertexAttribI2i

## ◆ vertexAttribI2iv

ptr_glVertexAttribI2iv clan::GLFunctions::vertexAttribI2iv

## ◆ vertexAttribI2ui

ptr_glVertexAttribI2ui clan::GLFunctions::vertexAttribI2ui

## ◆ vertexAttribI2uiv

ptr_glVertexAttribI2uiv clan::GLFunctions::vertexAttribI2uiv

## ◆ vertexAttribI3i

ptr_glVertexAttribI3i clan::GLFunctions::vertexAttribI3i

## ◆ vertexAttribI3iv

ptr_glVertexAttribI3iv clan::GLFunctions::vertexAttribI3iv

## ◆ vertexAttribI3ui

ptr_glVertexAttribI3ui clan::GLFunctions::vertexAttribI3ui

## ◆ vertexAttribI3uiv

ptr_glVertexAttribI3uiv clan::GLFunctions::vertexAttribI3uiv

## ◆ vertexAttribI4bv

ptr_glVertexAttribI4bv clan::GLFunctions::vertexAttribI4bv

## ◆ vertexAttribI4i

ptr_glVertexAttribI4i clan::GLFunctions::vertexAttribI4i

## ◆ vertexAttribI4iv

ptr_glVertexAttribI4iv clan::GLFunctions::vertexAttribI4iv

## ◆ vertexAttribI4sv

ptr_glVertexAttribI4sv clan::GLFunctions::vertexAttribI4sv

## ◆ vertexAttribI4ubv

ptr_glVertexAttribI4ubv clan::GLFunctions::vertexAttribI4ubv

## ◆ vertexAttribI4ui

ptr_glVertexAttribI4ui clan::GLFunctions::vertexAttribI4ui

## ◆ vertexAttribI4uiv

ptr_glVertexAttribI4uiv clan::GLFunctions::vertexAttribI4uiv

## ◆ vertexAttribI4usv

ptr_glVertexAttribI4usv clan::GLFunctions::vertexAttribI4usv

## ◆ vertexAttribIFormat

ptr_glVertexAttribIFormat clan::GLFunctions::vertexAttribIFormat

## ◆ vertexAttribIPointer

ptr_glVertexAttribIPointer clan::GLFunctions::vertexAttribIPointer

## ◆ vertexAttribL1d

ptr_glVertexAttribL1d clan::GLFunctions::vertexAttribL1d

## ◆ vertexAttribL1dv

ptr_glVertexAttribL1dv clan::GLFunctions::vertexAttribL1dv

## ◆ vertexAttribL2d

ptr_glVertexAttribL2d clan::GLFunctions::vertexAttribL2d

## ◆ vertexAttribL2dv

ptr_glVertexAttribL2dv clan::GLFunctions::vertexAttribL2dv

## ◆ vertexAttribL3d

ptr_glVertexAttribL3d clan::GLFunctions::vertexAttribL3d

## ◆ vertexAttribL3dv

ptr_glVertexAttribL3dv clan::GLFunctions::vertexAttribL3dv

## ◆ vertexAttribL4d

ptr_glVertexAttribL4d clan::GLFunctions::vertexAttribL4d

## ◆ vertexAttribL4dv

ptr_glVertexAttribL4dv clan::GLFunctions::vertexAttribL4dv

## ◆ vertexAttribLFormat

ptr_glVertexAttribLFormat clan::GLFunctions::vertexAttribLFormat

## ◆ vertexAttribLPointer

ptr_glVertexAttribLPointer clan::GLFunctions::vertexAttribLPointer

## ◆ vertexAttribP1ui

ptr_glVertexAttribP1ui clan::GLFunctions::vertexAttribP1ui

## ◆ vertexAttribP1uiv

ptr_glVertexAttribP1uiv clan::GLFunctions::vertexAttribP1uiv

## ◆ vertexAttribP2ui

ptr_glVertexAttribP2ui clan::GLFunctions::vertexAttribP2ui

## ◆ vertexAttribP2uiv

ptr_glVertexAttribP2uiv clan::GLFunctions::vertexAttribP2uiv

## ◆ vertexAttribP3ui

ptr_glVertexAttribP3ui clan::GLFunctions::vertexAttribP3ui

## ◆ vertexAttribP3uiv

ptr_glVertexAttribP3uiv clan::GLFunctions::vertexAttribP3uiv

## ◆ vertexAttribP4ui

ptr_glVertexAttribP4ui clan::GLFunctions::vertexAttribP4ui

## ◆ vertexAttribP4uiv

ptr_glVertexAttribP4uiv clan::GLFunctions::vertexAttribP4uiv

## ◆ vertexAttribPointer

ptr_glVertexAttribPointer clan::GLFunctions::vertexAttribPointer

## ◆ vertexBindingDivisor

ptr_glVertexBindingDivisor clan::GLFunctions::vertexBindingDivisor

## ◆ vertexP2ui

ptr_glVertexP2ui clan::GLFunctions::vertexP2ui

## ◆ vertexP2uiv

ptr_glVertexP2uiv clan::GLFunctions::vertexP2uiv

## ◆ vertexP3ui

ptr_glVertexP3ui clan::GLFunctions::vertexP3ui

## ◆ vertexP3uiv

ptr_glVertexP3uiv clan::GLFunctions::vertexP3uiv

## ◆ vertexP4ui

ptr_glVertexP4ui clan::GLFunctions::vertexP4ui

## ◆ vertexP4uiv

ptr_glVertexP4uiv clan::GLFunctions::vertexP4uiv

## ◆ viewport

ptr_glViewport clan::GLFunctions::viewport

## ◆ viewportArrayv

ptr_glViewportArrayv clan::GLFunctions::viewportArrayv

## ◆ viewportIndexedf

ptr_glViewportIndexedf clan::GLFunctions::viewportIndexedf

## ◆ viewportIndexedfv

ptr_glViewportIndexedfv clan::GLFunctions::viewportIndexedfv

## ◆ waitSync

ptr_glWaitSync clan::GLFunctions::waitSync

The documentation for this class was generated from the following file:

- opengl_wrap.h